<?php
/**
 * Reset Option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_reset_option
 *
 */
if (!function_exists('better_health_reset_option')) :
    function better_health_reset_option()
    {
        $better_health_reset_option = array(
            'do-not-reset' 	=> esc_html__( 'Do Not Reset','better-health'),
            'reset-all' 	=> esc_html__( 'Reset All','better-health'),
        );
        return apply_filters('better_health_reset_option', $better_health_reset_option);
    }
endif;


/**
 * Breadcrumb  display option options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $better_health_show_breadcrumb_option
 *
 */
if (!function_exists('better_health_show_breadcrumb_option')) :
    function better_health_show_breadcrumb_option()
    {
        $better_health_show_breadcrumb_option = array(
            'simple'    => esc_html__( 'Theme Default','better-health'),
            'advanced'  => esc_html__( 'Advanced : Breadcrumb NavXT','better-health'),
            'disable'   => esc_html__( 'Disable','better-health')
        );
        return apply_filters('better_health_show_breadcrumb_option', $better_health_show_breadcrumb_option);
    }
endif;


/**
 * Top Header Section Hide/Show  options
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_show_top_header_section_option
 *
 */
if (!function_exists('better_health_show_top_header_section_option')) :
    function better_health_show_top_header_section_option()
    {
        $better_health_show_top_header_section_option = array(
            'show' => esc_html__('Show', 'better-health'),
            'hide' => esc_html__('Hide', 'better-health')
        );
        return apply_filters('better_health_show_top_header_section_option', $better_health_show_top_header_section_option);
    }
endif;


/**
 * Feature Section Hide/Show  options
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_show_feature_section_option
 *
 */
if (!function_exists('better_health_show_feature_section_option')) :
    function better_health_show_feature_section_option()
    {
        $better_health_show_feature_section_option = array(
            'show' => esc_html__('Show', 'better-health'),
            'hide' => esc_html__('Hide', 'better-health')
        );
        return apply_filters('better_health_show_feature_section_option', $better_health_show_feature_section_option);
    }
endif;


/**
 * Show/Hide Feature Image  options
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_show_feature_image_option
 *
 */
if (!function_exists('better_health_show_feature_image_option')) :
    function better_health_show_feature_image_option()
    {
        $better_health_show_feature_image_option = array(
            'show' => esc_html__('Show', 'better-health'),
            'hide' => esc_html__('Hide', 'better-health')
        );
        return apply_filters('better_health_show_feature_image_option', $better_health_show_feature_image_option);
    }
endif;


/**
 * Slider  options
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_slider_option
 *
 */
if (!function_exists('better_health_slider_option')) :
    function better_health_slider_option()
    {
        $better_health_slider_option = array(
            'show' => esc_html__('Show', 'better-health'),
            'hide' => esc_html__('Hide', 'better-health')
        );
        return apply_filters('better_health_slider_option', $better_health_slider_option);
    }
endif;

/**
 * Sidebar layout options
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_sidebar_layout
 *
 */
if (!function_exists('better_health_sidebar_layout')) :
    function better_health_sidebar_layout()
    {
        $better_health_sidebar_layout = array(
            'right-sidebar' => esc_html__('Right Sidebar', 'better-health'),
            'left-sidebar' => esc_html__('Left Sidebar', 'better-health'),
            'no-sidebar' => esc_html__('No Sidebar', 'better-health'),
        );
        return apply_filters('better_health_sidebar_layout', $better_health_sidebar_layout);
    }
endif;

/**
 * Blog/Archive Description Option
 *
 * @since Better Health  1.0.0
 *
 * @param null
 * @return array $better_health_blog_excerpt
 *
 */
if (!function_exists('better_health_blog_excerpt')) :
    function better_health_blog_excerpt()
    {
        $better_health_blog_excerpt = array(
            'excerpt' => esc_html__('Excerpt', 'better-health'),
            'content' => esc_html__('Content', 'better-health'),

        );
        return apply_filters('better_health_blog_excerpt', $better_health_blog_excerpt);
    }
endif;


/**
 * Blog Image  size option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array better_health_image_display_option
 *
 */
if (!function_exists('better_health_image_display_option')) :
    function better_health_image_display_option()
    {
        $better_health_image_display_option = array(
            'thumbnail'  => esc_html__( 'Thumbnail (150x150)' ,'better-health'),
            'medium'  => esc_html__( 'Medium (640x426)' ,'better-health'),
            'large'    => esc_html__( 'Large (1024x1024)','better-health'),
            'full'    => esc_html__( 'Full (original)','better-health'),
            'post-thumbnail'    => esc_html__( 'Post Thumbnail (340x240)','better-health')
        );
        return apply_filters('better_health_image_display_option', $better_health_image_display_option);
    }
endif;


/**
 * Better Health select_number of columns option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_select_number_of_columns_option
 *
 */
if (!function_exists('better_health_select_number_of_columns_option')) :
    function better_health_select_number_of_columns_option()
    {
        $better_health_select_number_of_columns_option = array(
            'col-sm-12'     => esc_html__( '1 Columns','better-health'),
            'col-sm-6'  => esc_html__( '2 Columns','better-health'),
            'col-sm-4'  => esc_html__( '3 Columns','better-health'),
            'col-sm-3'  => esc_html__( '4 Columns','better-health')
        );
        return apply_filters('better_health_select_number_of_columns_option', $better_health_select_number_of_columns_option);
    }
endif;


/**
 * Blog/Archive Layout Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $better_health_blog_layout
 *
 */
if ( !function_exists('better_health_blog_layout') ) :
    function better_health_blog_layout() {
        $better_health_blog_layout =  array(
            'left-image' => esc_html__( 'Left Image','better-health'),
            'three-column' => esc_html__( 'Three Column','better-health'),
            'large-image'  => esc_html__( 'Default Image' ,'better-health'),
            'masonry'    => esc_html__( 'Masonry','better-health'),
           
        );
        return apply_filters( 'better_health_blog_layout', $better_health_blog_layout );
    }
endif;


/**
 * Button Design option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_button_design_option
 *
 */
if (!function_exists('better_health_button_design_option')) :
    function better_health_button_design_option()
    {
        $better_health_button_design_option = array(
            'rectangle'     => esc_html__( 'Rectangle','better-health'),
            'rounded-rectangle'     => esc_html__( 'Rounded Rectangle','better-health'),
        );
        return apply_filters('better_health_button_design_option', $better_health_button_design_option);
    }
endif;

/**
 * Pagination option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_pagination_option
 *
 */
if (!function_exists('better_health_pagination_option')) :
    function better_health_pagination_option()
    {
        $better_health_pagination_option = array(
            'default'   => esc_html__( 'Default','better-health'),
            'numeric'   => esc_html__( 'Numeric','better-health'),
        );
        return apply_filters('better_health_pagination_option', $better_health_pagination_option);
    }
endif;


/**
 * Show Related post option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_show_related_posts_option
 *
 */
if (!function_exists('better_health_show_related_posts_option')) :
    function better_health_show_related_posts_option()
    {
        $better_health_show_related_posts_option = array(
            'show'  => esc_html__( 'Show' ,'better-health'),
            'hide'  => esc_html__( 'Hide' ,'better-health'),
        );
        return apply_filters('better_health_show_related_posts_option', $better_health_show_related_posts_option);
    }
endif;


/**
 * Better Health select_number of columns option for realted post
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_select_number_of_columns_reated_post_option
 *
 */
if (!function_exists('better_health_select_number_of_columns_reated_post_option')) :
    function better_health_select_number_of_columns_reated_post_option()
    {
        $better_health_select_number_of_columns_reated_post_option = array(
            '1'     => esc_html__( '1 Columns','better-health'),
            '2'  => esc_html__( '2 Columns','better-health'),
            '3'  => esc_html__( '3 Columns','better-health'),
            '4'  => esc_html__( '4 Columns','better-health')
        );
        return apply_filters('better_health_select_number_of_columns_reated_post_option', $better_health_select_number_of_columns_reated_post_option);
    }
endif;


/**
 * Better health show author info option
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_show_author_info_option
 *
 */
if (!function_exists('better_health_show_author_info_option')) :
    function better_health_show_author_info_option()
    {
        $better_health_show_author_info_option = array(
            'show'  => esc_html__( 'Show','better-health'),
            'hide'  => esc_html__( 'Hide','better-health')
        );
        return apply_filters('better_health_select_number_of_columns_option', $better_health_show_author_info_option);
    }
endif;


/**
 * Post Navigation Options
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return array $better_health_navigation_option
 *
 */
if (!function_exists('better_health_navigation_option')) :
    function better_health_navigation_option()
    {
        $better_health_navigation_option = array(
            'title-only'    => esc_html__( 'Default ( Title )','better-health'),
            'title-image'   => esc_html__( 'Title and image','better-health'),
            'image-only'    => esc_html__( 'Image','better-health'),
        );
        return apply_filters('better_health_select_number_of_columns_option', $better_health_navigation_option);
    }
endif;