<?php

    /**
     * Color Option
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel(
        'better_health_color_info',
        array(
                'priority'       => 7,
                'capability'     => 'edit_theme_options',
                'theme_supports' => '',
                'title'          => esc_html__( 'Theme Color Option','better-health'),
             )
    );

    /*------------------------------------------------------------------
       Top Scroll Icon Color
     */

    $wp_customize->add_section(
        'better_health_top_scroll_color_options',
        array(
                'title'		=> esc_html__( 'Top Scroll Color Option','better-health'),
                'panel'     => 'better_health_color_info',
                'priority'  => 6,
              )
    );


    $wp_customize->add_setting(
        'better_health_top_scroll_icon_color',
        array(
                'default' => $default['better_health_top_scroll_icon_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );


    $wp_customize->add_control( new WP_Customize_Color_Control(
        $wp_customize, 'better_health_top_scroll_icon_color',
             array(
                    'label' => esc_html__( 'Top Scroll Icon Color','better-health'),
                    'section' => 'better_health_top_scroll_color_options',
                    'priority' => 9,
                   )
        )
    );


    $wp_customize->add_setting(
        'better_health_top_scroll_bg_color',
        array(
                'default' => $default['better_health_top_scroll_bg_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_top_scroll_bg_color',
        array(
                'label' => esc_html__( 'Top Scroll Background Color','better-health'),
                'section' => 'better_health_top_scroll_color_options',
                'priority' => 9,

              )
        )
    );

 /*
    -----------------------------------------------------------------------------*/

    /**
     * Basic Colors Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'better_health_basic_color_option',
        array(
                'title'		=> esc_html__( 'Basic Colors Options ','better-health'),
                'panel'     => 'better_health_color_info',
                'priority'  => 4,
              )
    );


    $wp_customize->add_setting(
        'better_health_primary_color',
        array(
                'default' => $default['better_health_primary_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'better_health_primary_color',
        array(
                'label' => esc_html__( 'Primary Color','better-health'),
                'description' => esc_html__('We recommend choose  different  background color but not to choose similar to font color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,

              )
        )
    );

   /*-----------------------------------------------------------------------------*/
    /**
     * Top Header Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'better_health_top_header_background_color',
        array(
                'default' => $default['better_health_top_header_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            'better_health_top_header_background_color',
            array(
                    'label' => esc_html__('Top Header Background Color', 'better-health'),
                    'description' => esc_html__('Choose Top Background color', 'better-health'),
                    'section' => 'better_health_basic_color_option',
                    'priority' => 14,

                  )
            )
    );

    $wp_customize->add_setting(
        'better_health_top_header_text_color',
        array(
                'default' => $default['better_health_top_header_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_top_header_text_color',
        array(
                'label' => esc_html__('Top Header Email & Phone Color With Icon', 'better-health'),
                'description' => esc_html__('Choose Top Header Email & Phone Color With Icon color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'better_health_top_header_fontawesome_color',
        array(
                'default' => $default['better_health_top_header_fontawesome_color'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_top_header_fontawesome_color',
        array(
                'label' => esc_html__('Top Header Social Link Font Awesome Icon Color', 'better-health'),
                'description' => esc_html__('Choose Top Social Link Font Awesome Icon color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,

              )
        )
    );

  /*-----------------------------------------------------------------------------*/
    /**
     * Top Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'better_health_top_footer_background_color',
        array(
                'default' => $default['better_health_top_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'better_health_top_footer_background_color',
        array(
                'label' => esc_html__('Top Footer Background Color', 'better-health'),
                'description' => esc_html__('Choose Background color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,

             )
        )
    );


    $wp_customize->add_setting(
        'better_health_top_footer_title_color',
        array(
                'default' => $default['better_health_top_footer_title_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'better_health_top_footer_title_color',
        array(
                'label' => esc_html__('Top Footer Title Color', 'better-health'),
                'description' => esc_html__('Choose Title color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );


    $wp_customize->add_setting(
        'better_health_top_footer_text_color',
        array(
                'default' => $default['better_health_top_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'better_health_top_footer_text_color',
         array(
                'label' => esc_html__('Top Footer Text Color', 'better-health'),
                'description' => esc_html__('Choose Text color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
              )
         )
    );

    /*-----------------------------------------------------------------------------*/
    /**
     * Bottom Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'better_health_bottom_footer_background_color',
        array(
                'default' => $default['better_health_bottom_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'better_health_bottom_footer_background_color',
         array(
                'label' => esc_html__('Bottom Footer Background Color', 'better-health'),
                'description' => esc_html__('Choose Background color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
              )
         )
    );

    $wp_customize->add_setting(
        'better_health_bottom_footer_text_color',
        array(
                'default' => $default['better_health_bottom_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'better_health_bottom_footer_text_color',
        array(
                'label' => esc_html__('Bottom Footer Text Color', 'better-health'),
                'description' => esc_html__('Choose Text color', 'better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'better_health_site_title_color_option',
        array(
                'default' => $default['better_health_site_title_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_site_title_color_option',
         array(
                'label' => esc_html__( 'Site Title Color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
               )
         )
    );

    $wp_customize->add_setting(
        'better_health_site_title_hover_color_option',
        array(
                'default' => $default['better_health_site_title_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_site_title_hover_color_option',
        array(
                'label' => esc_html__( 'Site Title Hover Color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'better_health_site_tagline_color_option',
        array(
                'default' => $default['better_health_site_tagline_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_site_tagline_color_option',
        array(
                'label' => esc_html__( 'Site Tagline Color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'better_health_body_paragraph_color_option',
        array(
                'default' => $default['better_health_body_paragraph_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_body_paragraph_color_option',
        array(
                'label' => esc_html__( 'Body Paragraph Color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
              )
         )
    );

    $wp_customize->add_setting(
        'better_health_heading_color_option',
        array(
                'default' => $default['better_health_heading_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_heading_color_option',
        array(
                'label' => esc_html__( 'Heading Color','better-health'),
                'description' 	=> esc_html__( 'H1-H6 color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );



    $wp_customize->add_setting(
        'better_health_link_color_option',
        array(
                'default' => $default['better_health_link_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_link_color_option',
        array(
                'label' => esc_html__( 'Link Color','better-health'),
                'section' => 'better_health_basic_color_option',
                'priority' => 14,
             )
        )
    );


    $wp_customize->add_setting(
        'better_health_link_hover_color_option',
        array(
                'default' => $default['better_health_link_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_link_hover_color_option',
             array(
                    'label' => esc_html__( 'Link Hover Color','better-health'),
                    'section' => 'better_health_basic_color_option',
                    'priority' => 14,
                  )
        )
    );

    /*
    -----------------------------------------------------------------------------*/

    /**
     * Advanced Color Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'better_health_advanced_color_option',
        array(
                'title'		=> esc_html__( 'Advanced Color Options','better-health'),
                'panel'     => 'better_health_color_info',
                'priority'  => 5,
             )
    );

    $wp_customize->add_setting(
        'better_health_menu_navbar_bg_color_option',
        array(
                'default' => $default['better_health_menu_navbar_bg_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_menu_navbar_bg_color_option',
        array(
                'label' => esc_html__( 'Nav Bar Background Color','better-health'),
                'section' => 'better_health_advanced_color_option',
                'priority' => 13,
             )
        )
    );



    $wp_customize->add_setting(
        'better_health_menu_active_color_option',
        array(
                'default' => $default['better_health_menu_active_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_menu_active_color_option',
         array(
                'label' => esc_html__( 'Menu Active Color','better-health'),
                'section' => 'better_health_advanced_color_option',
                'priority' => 16,
              )
         )
    );

    $wp_customize->add_setting(
        'better_health_menu_hover_color_option',
        array(
                'default' => $default['better_health_menu_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_menu_hover_color_option',
          array(
                    'label' => esc_html__( 'Menu Hover Color','better-health'),
                    'section' => 'better_health_advanced_color_option',
                    'priority' => 15,
               )
          )
    );

    $wp_customize->add_setting(
        'better_health_menu_text_color_option',
        array(
                'default' => $default['better_health_menu_text_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_menu_text_color_option',
           array(
                    'label' => esc_html__( 'Menu Text Color','better-health'),
                    'section' => 'better_health_advanced_color_option',
                    'priority' => 14,
                 )
        )
     );


    $wp_customize->add_setting(
        'better_health_slider_color_option',
        array(
                'default' => $default['better_health_slider_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_slider_color_option',
           array(
                    'label' => esc_html__( 'Slider Title Text Color','better-health'),
                    'section' => 'better_health_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );


  $wp_customize->add_setting(
        'better_health_slider_desc_color_option',
        array(
                'default' => $default['better_health_slider_desc_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'better_health_slider_desc_color_option',
           array(
                    'label' => esc_html__( 'Slider Description Text Color','better-health'),
                    'section' => 'better_health_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );



/*-----------------------------------------------------------------------------*/
/**
 * Odd Feature Section Color Options
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'better_health_feature_odd_part_color_option',
    array(
        'default' => $default['better_health_feature_odd_part_color_option'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'better_health_feature_odd_part_color_option', array(
    'label' => esc_html__('Feature Odd Section Color Option', 'better-health'),
    'description' => esc_html__('We recommend choose Color for odd section part', 'better-health'),
    'section' => 'better_health_advanced_color_option',
    'priority' => 18,

)));


/*-----------------------------------------------------------------------------*/
/**
 * Even Feature Section Color Options
 *
 * @since 1.0.0
 */

$wp_customize->add_setting(
    'better_health_feature_even_part_color_option',
    array(
        'default' => $default['better_health_feature_even_part_color_option'],
        'sanitize_callback' => 'sanitize_hex_color',

    )
);

$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'better_health_feature_even_part_color_option', array(
    'label' => esc_html__('Feature Even Section Color Option', 'better-health'),
    'description' => esc_html__('We recommend choose Color for even section part', 'better-health'),
    'section' => 'better_health_advanced_color_option',
    'priority' => 18,

)));
