<?php
/**
 * Layout/Design Option
 *
 */
$wp_customize->add_panel(
    'better_health_design_layout_options',
    array(
        'priority' => 7,
        'capability' => 'edit_theme_options',
        'theme_supports' => '',
        'title' => esc_html__(' Layout/Design Option', 'better-health'),
    )
);

/*-------------------------------------------------------------------------------------------*/
/**
 * Sidebar Option
 *
 */
$wp_customize->add_section(
    'better_health_default_sidebar_layout_option',
    array(
        'title' => esc_html__('Default Sidebar Layout Option', 'better-health'),
        'panel' => 'better_health_design_layout_options',
        'priority' => 2,
    )
);

/**
 * Sidebar Option
 */
$wp_customize->add_setting(
    'better_health_sidebar_layout_option',
    array(
        'default' => $default['better_health_sidebar_layout_option'],
        'sanitize_callback' => 'better_health_sanitize_select',
    )
);


$layout = better_health_sidebar_layout();
$wp_customize->add_control('better_health_sidebar_layout_option',
    array(
        'label' => esc_html__('Default Sidebar Layout', 'better-health'),
        'description' => esc_html__('Home/front page does not have sidebar. Inner pages like blog, archive single page/post Sidebar Layout. However single page/post sidebar can be overridden.', 'better-health'),
        'section' => 'better_health_default_sidebar_layout_option',
        'type' => 'select',
        'choices' => $layout,
        'priority' => 10
    )
);


/*-------------------------------------------------------------------------------------------*/

/**
 * Blog/Archive Layout Option
 *
 * @since 1.0.0
 */
$wp_customize->add_section(
    'better_health_blog_archive_layout_option',
    array(
        'title' => esc_html__('Blog/Archive Layout Option', 'better-health'),
        'panel' => 'better_health_design_layout_options',
        'priority' => 5,
    )
);


/**
     * Blog/Archive Image display options
     */
    $wp_customize->add_setting(
        'better_health_image_display_option',
        array(
                'default'           => $default['better_health_image_display_option'],
                'sanitize_callback' => 'better_health_sanitize_select',
             )
    );

    $image_display_option = better_health_image_display_option();
    $wp_customize->add_control('better_health_image_display_option',
        array(
                'choices'   => $image_display_option,
                'label'      => esc_html__('Image display options','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'select',
                'priority'  => 2
             )
    );





 /**
     * Blog/Archive Layout Option
     */
    $wp_customize->add_setting(
        'better_health_blog_layout_option',
        array(
                'default'           => $default['better_health_blog_layout_option'],
                'sanitize_callback' => 'better_health_sanitize_select',
             )
    );

    $bloglayout = better_health_blog_layout();
    $wp_customize->add_control('better_health_blog_layout_option',
        array(
                'choices'   => $bloglayout,
                'label'      => esc_html__('Blog Display Layout Options','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'select',
                'priority'  => 3
             )
    );


 /**
     * Blog/Archive Columns Option
     */
    $wp_customize->add_setting(
        'better_health_columns_option',
        array(
                'default'           => $default['better_health_columns_option'],
                'sanitize_callback' => 'better_health_sanitize_select',
             )
    );

    $columns = better_health_select_number_of_columns_option();
    $wp_customize->add_control('better_health_columns_option',
        array(
                'choices'   => $columns,
                'label'      => esc_html__('Columns Options','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'select',
                'priority'  => 10
             )
    );



/**
 * Blog Page Title
 */
$wp_customize->add_setting(
    'better_health_blog_title_option',
    array(
        'default' => $default['better_health_blog_title_option'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('better_health_blog_title_option',
    array(
        'label' => esc_html__('Blog Page Title', 'better-health'),
        'section' => 'better_health_blog_archive_layout_option',
        'type' => 'text',
        'priority' => 11
    )
);

/**
 * Blog/Archive excerpt option
 */
$wp_customize->add_setting(
    'better_health_blog_excerpt_option',
    array(
        'default' => $default['better_health_blog_excerpt_option'],
        'sanitize_callback' => 'better_health_sanitize_select',
    )
);
$blogexcerpt = better_health_blog_excerpt();
$wp_customize->add_control('better_health_blog_excerpt_option',
    array(
        'choices' => $blogexcerpt,
        'label' => esc_html__('Show Description From', 'better-health'),
        'section' => 'better_health_blog_archive_layout_option',
        'type' => 'select',
        'priority' => 8
    )
);

/**
 * Description Length In Words
 */
$wp_customize->add_setting(
    'better_health_description_length_option',
    array(
        'default' => $default['better_health_description_length_option'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('better_health_description_length_option',
    array(
        'label' => esc_html__('Description Length In Words', 'better-health'),
        'section' => 'better_health_blog_archive_layout_option',
        'type' => 'number',
        'priority' => 12
    )
);

/**
 * Exclude Categories In Blog/Archive Pages
 */
$wp_customize->add_setting(
    'better_health_exclude_cat_blog_archive_option',
    array(
        'default' => $default['better_health_exclude_cat_blog_archive_option'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('better_health_exclude_cat_blog_archive_option',
    array(
        'label' => esc_html__('Exclude Categories In Blog Page', 'better-health'),
        'description' => esc_html__('Enter categories ids with comma separated eg: 2,7,14,47. For including all categories left blank', 'better-health'),
        'section' => 'better_health_blog_archive_layout_option',
        'type' => 'text',
        'priority' => 13
    )
);


/**
 * Read More Text
 */
$wp_customize->add_setting(
    'better_health_read_more_text_blog_archive_option',
    array(
        'default' => $default['better_health_read_more_text_blog_archive_option'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('better_health_read_more_text_blog_archive_option',
    array(
        'label' => esc_html__('Read More Text', 'better-health'),
        'section' => 'better_health_blog_archive_layout_option',
        'type' => 'text',
        'priority' => 14
    )
);


/**
     *   Show Date
     */
    $wp_customize->add_setting(
        'better_health_blog_show_date_option',
        array(
                'default'           =>  $default['better_health_blog_show_date_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_blog_show_date_option',
        array(
                'label'      => esc_html__('  Show Date','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

    /**
     *   Show Author
     */
    $wp_customize->add_setting(
        'better_health_blog_show_author_option',
        array(
               'default'           => $default['better_health_blog_show_author_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
              )
    );
    $wp_customize->add_control('better_health_blog_show_author_option',
        array(
                'label'      => esc_html__('Show Author','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

    /**
     *   Show Cats
     */
    $wp_customize->add_setting(
        'better_health_blog_show_cats_option',
        array(
                'default'           => $default['better_health_blog_show_cats_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_blog_show_cats_option',
        array(
                'label'      => esc_html__('Show Cats','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

    /**
     *   Show Tags
     */
    $wp_customize->add_setting(
        'better_health_blog_show_tags_option',
        array(
                'default' => $default['better_health_blog_show_tags_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_blog_show_tags_option',
        array(
                'label'      => esc_html__('Show Tags','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'checkbox',
                'priority'  => 21
             )
    );

    /**
     *   Show Comments
     */
    $wp_customize->add_setting(
        'better_health_blog_show_comments_option',
        array(
                'default'           => $default['better_health_blog_show_comments_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_blog_show_comments_option',
        array(
                'label'      => esc_html__(' Show Comments','better-health'),
                'section'   => 'better_health_blog_archive_layout_option',
                'type'      => 'checkbox',
                'priority'  => 22
            )
    );





/*-------------------------------------------------------------------------------------------*/
/**
 * Feature Image Option
 *
 */
$wp_customize->add_section(
    'better_health_feature_image_info_option',
    array(
        'title' => esc_html__('Feature Image Option For Single Page', 'better-health'),
        'panel' => 'better_health_design_layout_options',
        'priority' => 6,
    )
);


/**
 * Feature Image Option Single page
 */
$wp_customize->add_setting(
    'better_health_show_feature_image_single_option',
    array(
        'default' => $default['better_health_show_feature_image_single_option'],
        'sanitize_callback' => 'better_health_sanitize_select',
    )
);

$hide_show_feature_image_option = better_health_show_feature_image_option();
$wp_customize->add_control(
    'better_health_show_feature_image_single_option',
    array(
        'type' => 'radio',
        'label' => esc_html__('Show/Hide Feature Image For Single Page', 'better-health'),
        'section' => 'better_health_feature_image_info_option',
        'choices' => $hide_show_feature_image_option,
        'priority' => 5
    )
);



  /*-------------------------------------------------------------------------------------------*/
    /**
     * Single Post option
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'better_health_single_post_design_option',
        array(
                'title'     => esc_html__( 'Single Post Option','better-health'),
                'panel'     => 'better_health_design_layout_options',
                'priority'  => 8,
             )
    );

    /**
     * Show Related Posts In Single Post
     */
    $wp_customize->add_setting(
        'better_health_related_post_hide_option',
        array(
                'default'           => $default['better_health_related_post_hide_option'],
                'sanitize_callback' => 'better_health_sanitize_select',
             )
    );

    $hide_show_realted_post_option = better_health_show_feature_image_option();
    $wp_customize->add_control(
        'better_health_related_post_hide_option',
        array(
                'type' => 'radio',
                'label' => esc_html__( 'Show/Hide Related Posts In Single Post','better-health'),
                'section' => 'better_health_single_post_design_option',
                'choices'   => $hide_show_realted_post_option,
                'priority' =>5
             )
    );

    /**
     * Related Posts title
     */
    $wp_customize->add_setting(
        'better_health_related_post_title_option',
        array(
                'default'           => $default['better_health_related_post_title_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );
    $wp_customize->add_control('better_health_related_post_title_option',
        array(
                'label'      => esc_html__('Related Posts title ','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'text',
                'priority'  => 10
             )
    );

   /**
     * Select Number Of Columns
     */
    $wp_customize->add_setting(
        'better_health_select_number_of_columns_reated_post_option',
        array(
                'default'           => $default['better_health_select_number_of_columns_reated_post_option'],
                'sanitize_callback' => 'better_health_sanitize_select',
             )
    );

    $show_no_of_column = better_health_select_number_of_columns_reated_post_option();
    $wp_customize->add_control('better_health_select_number_of_columns_reated_post_option',
        array(
                'label'      => esc_html__('Select Number Of Columns','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'select',
                'choices'   =>$show_no_of_column,
                'priority'  => 10
             )
    );

   /**
     * Number of posts to show
     */
    $wp_customize->add_setting(
        'better_health_number_of_post_show_option',
        array(
                'default'           => $default['better_health_number_of_post_show_option'],
                'sanitize_callback' => 'absint',
             )
    );
    $wp_customize->add_control('better_health_number_of_post_show_option',
        array(
                'label'      => esc_html__('Number of posts to show','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'number',
                'priority'  => 10
             )
    );

   /**
     * Number of words in contents
     */
    $wp_customize->add_setting(
        'better_health_number_of_words_show_option',
        array(
                'default'           => $default['better_health_number_of_words_show_option'],
                'sanitize_callback' => 'absint',
             )
    );
    $wp_customize->add_control('better_health_number_of_words_show_option',
        array(
                'label'      => esc_html__('Number of words in contents','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'number',
                'priority'  => 10
             )
    );

    /**
     *  Show Image
     */
    $wp_customize->add_setting(
        'better_health_show_image_option',
        array(
                'default'           => $default['better_health_show_image_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_show_image_option',
        array(
                'label'      => esc_html__(' Show Image','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );

    /**
     *  Show Categories
     */
    $wp_customize->add_setting(
        'better_health_show_categories_option',
        array(
                'default'           => $default['better_health_show_categories_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_show_categories_option',
        array(
                'label'      => esc_html__(' Show Categories','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );

    /**
     *  Show Tag
     */
    $wp_customize->add_setting(
        'better_health_show_tags_option',
        array(
                'default'           => $default['better_health_show_tags_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_show_tags_option',
        array(
                'label'      => esc_html__(' Show Tags','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
            )
    );

    /**
     *  Show Date
     */
    $wp_customize->add_setting(
        'better_health_show_date_option',
        array(
                'default'           => $default['better_health_show_date_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_show_date_option',
        array(
                'label'      => esc_html__('Show Date','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
            )
    );

    /**
     *  Show Author
     */
    $wp_customize->add_setting(
        'better_health_show_author_option',
        array(
                'default'           => $default['better_health_show_author_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
            )
    );
    $wp_customize->add_control('better_health_show_author_option',
        array(
                'label'      => esc_html__('Show Author','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
            )
    );

    /**
     *  Show Comments
     */
    $wp_customize->add_setting(
        'better_health_show_number_of_comments_option',
        array(
                'default'           => $default['better_health_show_number_of_comments_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',
             )
    );
    $wp_customize->add_control('better_health_show_number_of_comments_option',
        array(
                'label'      => esc_html__('Show Number Of Comments','better-health'),
                'section'   => 'better_health_single_post_design_option',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );


	/*-------------------------------------------------------------------------------------------*/
    /**
     * Author Info Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'better_health_author_info_option',
        array(
                'title'     => esc_html__( 'Author Info Options','better-health'),
                'panel'     => 'better_health_design_layout_options',
                'priority'  => 9,
             )
    );

    /**
     * Show Author Info
     */
    $wp_customize->add_setting(
        'better_health_show_author_info_option',
        array(
                'default'           => $default['better_health_show_author_info_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );

    $hide_show_author_info_option = better_health_show_author_info_option();
    $wp_customize->add_control(
        'better_health_show_author_info_option',
        array(
                'type' => 'radio',
                'label' => esc_html__( 'Show/Hide Show Author Info', 'better-health'),
                'section' => 'better_health_author_info_option',
                'choices'   => $hide_show_author_info_option,
                'priority' =>5
             )
    );


/*-------------------------------------------------------------------------------------------*/
    /**
     * Post Navigation Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'better_health_post_navigation_option',
        array(
                'title'     => esc_html__( 'Post Navigation Options','better-health'),
                'panel'     => 'better_health_design_layout_options',
                'priority'  => 10,
             )
    );

    /**
     * Post Navigation Options
     */
    $wp_customize->add_setting(
        'better_health_navigation_option',
        array(
                'default'           =>  $default['better_health_navigation_option'],
                'sanitize_callback' => 'better_health_sanitize_select',

             )
    );

    $navigation_option = better_health_navigation_option();
    $wp_customize->add_control('better_health_navigation_option',
        array(
                'label'      => esc_html__('Navigation Options','better-health'),
                'section'   => 'better_health_post_navigation_option',
                'type'      => 'select',
                'choices'   =>  $navigation_option,
                'priority'  => 10
             )
    );


    /*-------------------------------------------------------------------------------------------*/
    /**
     * Post Comments Options
     *
     * @since 1.0.0
     */
    $option_discussion = "<a href='".admin_url( 'options-discussion.php' )."' target='_blank'>";
    $wp_customize->add_section(
        'better_health_post_comments_option',
        array(
                'title'     => esc_html__( 'Post Comments Options','better-health'),
                'description'    => sprintf(__( 'Further setting are available %1$s here %2$s, and also in single post/page','better-health'), $option_discussion,'</a>'),
                'panel'     => 'better_health_design_layout_options',
                'priority'  => 11,
            )
    );

    /**
     * Comment Title
     */
    $wp_customize->add_setting(
        'better_health_comment_title_option',
        array(
                'default'           =>  $default['better_health_comment_title_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );

    $wp_customize->add_control('better_health_comment_title_option',
        array(
                'label'      => esc_html__('Comment Title','better-health'),
                'section'   => 'better_health_post_comments_option',
                'type'      => 'text',
                'priority'  => 10
             )
    );


    /**
     * Comment Button Text
     */
    $wp_customize->add_setting(
        'better_health_comment_button_text_option',
        array(
                'default'           => $default['better_health_comment_button_text_option'],
                'sanitize_callback' => 'sanitize_text_field',
             )
    );

    $wp_customize->add_control('better_health_comment_button_text_option',
        array(
                'label'      => esc_html__('Comment Button Text','better-health'),
                'section'   => 'better_health_post_comments_option',
                'type'      => 'text',
                'priority'  => 10
            )
    );


    /**
     * Comment Note After
     */
    $wp_customize->add_setting(
        'better_health_comment_note_after_option',
        array(
                'default'           => $default['better_health_comment_note_after_option'],
                'sanitize_callback' => 'wp_kses_post',

             )
    );

    $wp_customize->add_control('better_health_comment_note_after_option',
        array(
                'label'      => esc_html__('Comment Note After','better-health'),
                'section'   => 'better_health_post_comments_option',
                'type'      => 'textarea',
                'priority'  => 10
            )
    );


    /**
     *  Hide Comment
     */
    $wp_customize->add_setting(
        'better_health_hide_comment_option',
        array(
                'default' => $default['better_health_hide_comment_option'],
                'sanitize_callback' => 'better_health_sanitize_checkbox',

             )
    );
    $wp_customize->add_control('better_health_hide_comment_option',
        array(
                'label'      => esc_html__(' Show/Hide  Comment','better-health'),
                'section'   => 'better_health_post_comments_option',
                'type'      => 'checkbox',
                'priority'  => 10
             )
    );
