<?php
/**
 * Better Health default theme options.
 *
 * @package Canyon Themes
 * @subpackage Better Health
 */

if ( !function_exists('better_health_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function better_health_get_default_theme_options()
    {

        $default = array();

        // Homepage Slider Section
        $default['better_health_homepage_slider_option'] = 'show';
        $default['better_health_slider_cat_id'] = 26;
         $default['better_health_homepage_feature_option'] =  'show';
        $default['better_health_no_of_slider'] = 3;
        $default['better_health_slider_get_started_txt'] = esc_html__('Get Started!', 'better-health');
        $default['better_health_slider_get_started_link'] = '#';

        $default['better_health_slider_view_more_txt'] = esc_html__('View More', 'better-health');
        $default['better_health_slider_view_more_link'] = '#';

        // footer copyright.
         $default['better_health_copyright'] = wp_kses_post('Copyright All Rights Reserved', 'better-health');
        $default['better_health_contact_link_button_text'] = esc_html__('Contact Us', 'better-health');
         $default['better_health_contact_link_button_link'] = '#';

          $default['better_health_contact_image'] = '#';

         $default['better_health_contact_link_address_label'] = esc_html__('Address', 'better-health');
          $default['better_health_contact_link_address_icon'] = 'fa-globe';
         $default['better_health_contact_link_address'] = esc_html__('Corana, Newyork, Usa', 'better-health');

         $default['better_health_contact_link_email_label'] = esc_html__('Email', 'better-health'); 
         $default['better_health_contact_link_email_icon'] = 'fa-envelope-o';
         $default['better_health_contact_link_email'] = esc_html__('info@gmail.com', 'better-health');

          $default['better_health_contact_title_text'] = esc_html__('Have Any Questions !', 'better-health');
          $default['better_health_contact_subtitle_text'] = esc_html__('Don’t Hesitate To Contact Us ANy Time.', 'better-health');

         $default['better_health_contact_link_phone_label'] = esc_html__('Call Us', 'better-health');
         $default['better_health_contact_link_phone_icon'] = 'fa-phone';
         $default['better_health_contact_link_phone_number'] = esc_html__('+1234567879', 'better-health');

          $default['better_health_powered_by_text_option'] = esc_html__('Powered by Better Health ', 'better-health');
        $default['better_health_hide_power_by_text'] = 0;

        // Home Page Top header Info.
        $default['better_health_top_header_section'] = 'hide';
        $default['better_health_top_header_section_address_icon'] = 'fa-home';
        $default['better_health_top_header_address'] = '';

        $default['better_health_top_header_section_phone_number_icon'] = 'fa-phone';
        $default['better_health_top_header_phone_no'] = '';
        $default['better_health_email_icon'] = 'fa-envelope-o';
        $default['better_health_top_header_email'] = '';
        $default['better_health_social_link_hide_option'] = 0;
       
        $default['better_health_appointment_shortcode_field'] = '';
         $default['better_health_post_appointment_button_text'] = esc_html__('Make Appoinment', 'better-health');
      
        //woocommerce Store Text

        $default['better_health_post_store_text_option'] = esc_html__('Store', 'better-health');

        // Blog.
        $default['better_health_sidebar_layout_option'] = 'right-sidebar';
        $default['better_health_blog_title_option'] = esc_html__('Latest Blog', 'better-health');
        $default['better_health_blog_excerpt_option'] = 'excerpt';
        $default['better_health_description_length_option'] = 40;
        $default['better_health_exclude_cat_blog_archive_option'] = '';
        $default['better_health_read_more_text_blog_archive_option'] = esc_html__('Read More', 'better-health');
        $default['better_health_blog_layout_option'] = 'large-image';

        $default['better_health_blog_show_date_option'] = 1;
        $default['better_health_blog_show_author_option'] = 1;
        $default['better_health_blog_show_cats_option'] = 1;
        $default['better_health_blog_show_tags_option'] = 1;
        $default['better_health_blog_show_comments_option'] = 1;
        $default['better_health_columns_option'] = 'col-sm-12';

        // Details page.
        $default['better_health_show_feature_image_single_option'] = 'show';

        // Single Post option
        $default['better_health_related_post_hide_option'] = 'hide';
        $default['better_health_related_post_title_option'] = esc_html__('Related posts', 'better-health');
        $default['better_health_select_number_of_columns_reated_post_option'] =3;
        $default['better_health_number_of_post_show_option'] = 3;
        $default['better_health_number_of_words_show_option'] = 15;
        $default['better_health_show_categories_option'] = 1;
        $default['better_health_show_image_option'] = 1;
        $default['better_health_show_tags_option'] =1;
        $default['better_health_show_date_option'] = 1;
        $default['better_health_show_author_option'] = 1;
        $default['better_health_show_number_of_comments_option'] = 1;

        //Author Info Options
        $default['better_health_show_author_info_option'] = 'hide';

        //Post Navigation Options
        $default['better_health_navigation_option'] = 'title-only';

        //Post Comments Options
        $default['better_health_comment_title_option'] = esc_html__('Leave a Comment','better-health');
        $default['better_health_comment_button_text_option'] = esc_html__('Add Comment','better-health');
        $default['better_health_comment_note_after_option'] = '';
        $default['better_health_hide_comment_option'] = 1;


        // Color Option.
        $default['better_health_front_page_hide_option'] = 1;
        $default['better_health_search_button_hide_option'] = 0;
        $default['better_health_breadcrumb_setting_option'] = 'simple';
        $default['better_health_post_search_placeholder_option'] = esc_html__('Search', 'better-health');
        $default['better_health_hide_breadcrumb_front_page_option'] = 1;
        $default['better_health_color_reset_option'] = 'do-not-reset';
        $default['better_health_button_design_layout_option'] = 'rectangle';
        $default['better_health_post_pagination_option'] = 'default';

        //Contact us Default Value
         $default['better_health_working_hours_option'] = sprintf( esc_html__( ' <h4>Office Work Hours</h4>
              <p>We are Avilable more than 9 hours.</p>
              <p><b>Mon-Fri :</b> 09am to 06pm</p>
              <p><b>Tues-Wed :</b> Special Appointment</p>', 'better-health'));
         $default['better_health_contact_info_option'] =sprintf( esc_html__( '<h4>Connect With Us</h4>
              <p><b>Phone :</b> +9849494875</p>
              <p><b>Skype :</b> canyonthemes@gmail.com</p>
              <p><b>Website :</b> www.example.com</p>', 'better-health'));
         $default['better_health_googlemap_option'] = "";

         // Basic Color Option.
        $default['better_health_primary_color'] = '#00AEF0';
        $default['better_health_top_header_background_color'] = '#00AEF0';
        $default['better_health_top_footer_background_color'] = '#1A1E21';
        $default['better_health_bottom_footer_background_color'] = '#111315';
        $default['better_health_site_title_color_option'] = '#00aef0';
        $default['better_health_site_title_hover_color_option'] = '#00AEF0';
        $default['better_health_site_tagline_color_option'] = '#000000';
        $default['better_health_body_paragraph_color_option'] = '#777';
        $default['better_health_heading_color_option'] = '#222222';
        $default['better_health_link_color_option'] = '#000000';
        $default['better_health_link_hover_color_option'] = '#00AEF0';
        $default['better_health_image_display_option'] = 'full';

        // Font Awesome Icon list for service and offer page
       
        $default['better_health_feature_icon_0'] = 'fa-hospital-o';
        $default['better_health_feature_icon_1'] = 'fa-ambulance';
        $default['better_health_feature_icon_2'] = 'fa-user-md';
        $default['better_health_feature_icon_3'] = 'fa-stethoscope';

        $default['better_health_feature_description_length_option_0'] = 15;
        $default['better_health_feature_description_length_option_1'] = 15;
        $default['better_health_feature_description_length_option_2'] = 15;
        $default['better_health_feature_description_length_option_3'] = 15;


        // Advance Color Option.
        $default['better_health_menu_navbar_bg_color_option'] = '#ffffff';
        $default['better_health_menu_active_color_option'] = '#00AEF0';
        $default['better_health_menu_hover_color_option'] = '#00AEF0';
        $default['better_health_menu_text_color_option'] = '#222222';
        $default['better_health_top_footer_text_color'] = '#777';
        $default['better_health_top_footer_title_color'] = '#ffffff';
        $default['better_health_bottom_footer_text_color'] = '#B6B6B6';
        $default['better_health_top_header_text_color'] = '#00AEF0';
        $default['better_health_top_header_fontawesome_color'] = '#FFF';
        $default['better_health_slider_color_option'] = '#222222';
        $default['better_health_slider_desc_color_option'] = '#222222';
        
        $default['better_health_feature_odd_part_color_option'] = '#00aef0';
        $default['better_health_feature_even_part_color_option'] = '#05a1dc';
        //Top Scroll Color
        $default['better_health_top_scroll_icon_color'] = '#ffffff';
        $default['better_health_top_scroll_bg_color'] = '#00AEF0';

        // Font Options

        $default['better_health_site_title_fonts_section'] = wp_kses_post( 'Poppins:400,500,600,700,800|Roboto:300,400','better-health'); 
        $default['better_health_site_title_fonts_name'] =  wp_kses_post("'Poppins', Roboto", 'better-health'); 
        $default['better_health_site_tageline_fonts_section'] = wp_kses_post('Poppins:400,500,600,700,800|Roboto:300,400','better-health'); 
        $default['better_health_site_tagline_fonts_name'] =wp_kses_post("'Poppins', Roboto",'better-health'); 
        $default['better_health_menu_fonts_section'] = wp_kses_post('Poppins:400,500,600,700,800|Roboto:300,400','better-health'); 

        $default['better_health_menu_fonts_name'] =  wp_kses_post( "'Poppins', Roboto",'better-health'); 
        $default['better_health_body_fonts_section_title'] = ''; 
        $default['better_health_body_fonts_section'] = wp_kses_post('Poppins:400,500,600,700,800|Roboto:300,400','better-health'); 
        $default['better_health_body_fonts_family'] = wp_kses_post("'Poppins', Roboto",'better-health');

        //Heading Fonts family
        $default['better_health_heading_fonts_section_title'] = ""; 
        $default['better_health_heading_fonts_name'] = wp_kses_post('Poppins:400,500,600,700,800|Roboto:300,400','better-health'); 
        $default['better_health_heading_fonts_family'] = wp_kses_post("'Poppins', Roboto",'better-health'); 
 
        //Fonts Size Options
        $default['better_health_site_title'] = 35; 
        $default['better_health_site_description'] = 15; 
        $default['better_health_menu_item_font_size'] = 16; 
        $default['better_health_h1_font_size'] = 35;
        $default['better_health_h2_font_size'] = 30;
        $default['better_health_h3_font_size'] = 26;
        $default['better_health_h4_font_size'] = 24;
        $default['better_health_h5_font_size'] = 20;
        $default['better_health_h6_font_size'] = 15;
        $default['better_health_body_font_size'] = 14;

        // Pass through filter.
        $default = apply_filters( 'better_health_get_default_theme_options', $default );
        return $default;
    }
endif;
