<?php
/**
 * Post Navigation
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('better_health_posts_navigation') ) :
    function better_health_posts_navigation() {
        $better_health_pagination_option = get_theme_mod( 'better_health_post_pagination_option', 'default' );
        if( 'default' == $better_health_pagination_option ){
            the_posts_navigation();
        }
         else{
            global $wp_query;
            $big = 999999999; // need an unlikely integer
            echo paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                'format' => '?paged=%#%',
                'current' => max(1, get_query_var('paged')),
                'total' => $wp_query->max_num_pages,
                'prev_text' => __('&laquo;','better-health'),
                'next_text' => __('&raquo;','better-health'),
            ));
        }
    }
endif;
add_action( 'better_health_action_navigation', 'better_health_posts_navigation', 10 );
