<?php
/**
 * Related Post
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return void
 *
 */
if (!function_exists('better_health_related_post_below')) :

    function better_health_related_post_below($post_id)
    {
        $related_post_hide_option = better_health_get_option('better_health_related_post_hide_option');
        if ('hide' == $related_post_hide_option)
        {
            return;
        }
        $related_post_title_option = better_health_get_option('better_health_related_post_title_option');
        $select_number_of_columns_option = better_health_get_option('better_health_select_number_of_columns_reated_post_option');
        $number_of_post_show_option      = better_health_get_option('better_health_number_of_post_show_option');
        $number_of_words_show_option     = better_health_get_option('better_health_number_of_words_show_option');
        $show_image_option               = better_health_get_option('better_health_show_image_option');
        $show_number_of_comments_option  = better_health_get_option('better_health_show_number_of_comments_option');
        $show_date_option                = esc_html(better_health_get_option('better_health_show_date_option'));
        $show_author_option              = esc_html(better_health_get_option('better_health_show_author_option'));
        $readmore_text                   = esc_html(better_health_get_option('better_health_read_more_text_blog_archive_option'));
        /*--------Number of Column----------*/
        $better_health_column = '';
        if ($select_number_of_columns_option == 1)
        {
            $better_health_column = 'col-sm-12 col-md-12';
        } elseif ($select_number_of_columns_option == 2)
        {
            $better_health_column = 'col-sm-6 col-md-6';
        } elseif ($select_number_of_columns_option == 3)
        {
            $better_health_column = 'col-sm-4 col-md-4';
        } elseif ($select_number_of_columns_option == 4)
        {
            $better_health_column = 'col-sm-3 col-md-3';
        }

        $categories = get_the_category($post_id);
        if ($categories)
        {
            $category_ids = array();
            foreach ($categories as $category)
            {
                $category_ids[] = $category->term_id;
             
            }

            $better_health_plus_cat_post_args = array(
                'category__in' => $category_ids,
                'post__not_in' => array($post_id),
                'post_type' => 'post',
                'posts_per_page' => $number_of_post_show_option,
                'post_status' => 'publish',
                'ignore_sticky_posts' => true
            );
            $better_health_plus_featured_query = new WP_Query($better_health_plus_cat_post_args);
            ?>
            <div class="related-post news-block">
                <header class="entry-header">
                    <h2 class="entry-title">
                        <?php echo esc_html($related_post_title_option); ?>
                    </h2>
                </header>
                <div class="row">
                    <?php
                    while ($better_health_plus_featured_query->have_posts()) :
                        $better_health_plus_featured_query->the_post(); ?>
                        <div class="<?php echo esc_html($better_health_column); ?>">
                            <div class="section-14-box wow fadeInUp <?php if ( !has_post_thumbnail() ) {
                                            echo "no-image";
                                        } ?> " data-wow-delay="<?php echo esc_attr($i); ?>s">
                                            
                                            <?php
                                            if (has_post_thumbnail())
                                             {
                                                $image_id = get_post_thumbnail_id();
                                                $image_url = wp_get_attachment_image_src($image_id, 'full', true);
                                               if ($show_image_option == 1)
                                                 {
                                                ?>
                                               
                                                <img src="<?php echo esc_url($image_url[0]); ?>" class="img-responsive">
                                            <?php }
                                              }
                                            ?>
                                            <div class="heading-date-cat">
                                               
                                              <?php
                                                if ($show_date_option == 1)
                                                {
                                                 ?>  
                                                    <div class="front-blog-date">
                                                        <a class="btn btn-primary btn-sm">
                                                            <span class="publish-date"> <?php echo esc_html( get_the_date('d') ); ?> </span>
                                                            <span class="publish-month"><?php echo esc_html( get_the_date('M') ); ?></span>
                                                        </a>
                                                    </div>

                                               <?php } ?>     

                                                <div class="fornt-blog-title-cat">
                                                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                                 <?php
                                                   if ($show_author_option == 1)
                                                  {
                                                ?>  
                                                    <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><i class="fa fa-user-o"></i><?php the_author(); ?></a>
                                               <?php } ?>
                                                <span><?php better_health_realted_post() ?></span>
                                               <span>
                                                      <?php if ($show_number_of_comments_option == 1)
                                                      { ?>
                                                         <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a
                                                         href="<?php comments_link(); ?>"><?php comments_number('0 comments', '1 comments', '% comments'); ?></a></div>
                                                <?php } ?>

                                                </div>
                                            
                                            </div>
                                            <p><?php echo esc_html( wp_trim_words( get_the_content(),  $number_of_words_show_option ) ); ?></p>
                                            <a href="<?php the_permalink(); ?>" class="readmore"> <?php echo esc_html($readmore_text); ?><i class="fa fa-long-arrow-right"></i>
                                            </a>
                                        </div>
                                    </div>
                       
                    <?php endwhile;
                    wp_reset_postdata();
                    ?>
                </div>
            </div>
            <?php
        }
    }
endif;

add_action('better_health_related_posts', 'better_health_related_post_below', 10, 1);