<?php

/**
 * Adds Better Health Theme Widgets in SiteOrigin Pagebuilder Tabs
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return null
 *
 */
function better_health_widgets($widgets)
{
    $theme_widgets = array(
        'Better_health_About_Us_Widget',
        'Better_Health_Clients_Widget',
        'Better_Health_Counter_Widget',
        'Better_Health_Department_Widget',
        'Better_Health_Hero_Widget',
        'Better_Health_Our_mission_Widget',
        'Better_Health_Our_Team_Widget',
        'Better_Health_Treatment_Gallery_Widget',
        'Better_Health_Quote_Widget',
        'Better_Health_Recent_Post_Widget',
        'Better_Health_Services_Widget',
        'Better_Health_Testimonial_Widget',
        'Better_health_Welcome_Msg_Widget',
        'Better_Health_Additional_Services_Widget',
        'Better_health_Working_Hours_Widget'
       
    );
    foreach($theme_widgets as $theme_widget) {
        if( isset( $widgets[$theme_widget] ) ) {
            $widgets[$theme_widget]['groups'] = array('better-health');
            $widgets[$theme_widget]['icon']   = 'dashicons dashicons-screenoptions';
        }
    }
    return $widgets;
}
add_filter('siteorigin_panels_widgets', 'better_health_widgets');

/**
 * Add a tab for the theme widgets in the page builder
 *
 * @since Better Health 1.0.0
 *
 * @param null
 * @return null
 *
 */
function better_health_widgets_tab($tabs)
{
    $tabs[] = array(
        'title'  => __('Better Health Widgets', 'better-health'),
        'filter' => array(
            'groups' => array('better-health')
        )
    );
    return $tabs;
}
add_filter('siteorigin_panels_widget_dialog_tabs', 'better_health_widgets_tab', 20);