<?php

if( !class_exists( 'Better_Health_Team_Template_Metabox') ) {
    class Better_Health_Team_Template_Metabox
    {
      public function __construct()
        {

            
            add_action('add_meta_boxes', array($this, 'better_health_social_link_metabox'));

            add_action('save_post', array($this, 'better_health_save_social_link_value'));

        }



        public function better_health_social_link_metabox()
        {

            add_meta_box('social_link',
                esc_html__('Social Link [This field is used in Our Team Section]', 'better-health'),
                array($this, 'better_health_generate_social_link'),
                'post',
                'advanced',
                'high');


        }


        public function better_health_generate_social_link($post)
        {

            $facebook = get_post_meta($post->ID, 'better_health_facebook', true);
            $twitter = get_post_meta($post->ID, 'better_health_twitter', true);
            $googleplus = get_post_meta($post->ID, 'better_health_googleplus', true);
            $linkedin = get_post_meta($post->ID, 'better_health_linkedin', true);
            $instagram = get_post_meta($post->ID, 'better_health_instagram', true);

            ?>
            <label for="facebook"><strong><?php esc_html_e('Facebook', 'better-health') ?></strong></label>
            <input id="facebook" class="widefat" type="text" name="better_health_facebook" value="<?php echo esc_url($facebook) ?>"><br/>
            <label for="twitter"><strong><?php esc_html_e('Twitter', 'better-health') ?></strong></label>
            <input id="twitter" class="widefat" type="text" name="better_health_twitter" value="<?php echo esc_url($twitter) ?>"><br/>
            <label for="googleplus"><strong><?php esc_html_e('Google Plus', 'better-health') ?></strong></label>
            <input id="googleplus" class="widefat" type="text" name="better_health_googleplus" value="<?php echo esc_url($googleplus) ?>"><br/>
            <label for="linkedin"><strong><?php esc_html_e('Linkedin', 'better-health') ?></strong></label>
            <input id="linkedin" class="widefat" type="text" name="better_health_linkedin" value="<?php echo esc_url($linkedin) ?>"><br/>
            <label for="instagram"><strong><?php esc_html_e('Instagram', 'better-health') ?></strong></label>
            <input id="instagram" class="widefat" type="text" name="better_health_instagram" value="<?php echo esc_url($instagram) ?>"><br/>

            <?php
            wp_nonce_field(basename(__FILE__), 'better_health_social_link_fields_nonce');
        }
     

        public function better_health_save_social_link_value($post_id)
        {

            /*
            * A Guide to Writing Secure Themes – Part 4: Securing Post Meta
            *https://make.wordpress.org/themes/2015/06/09/a-guide-to-writing-secure-themes-part-4-securing-post-meta/
            * */
            if (!isset($_POST['better_health_social_link_fields_nonce']) ||
                !wp_verify_nonce($_POST['better_health_social_link_fields_nonce'], basename(__FILE__)) || /*Protecting against unwanted requests*/
                (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) || /*Dealing with autosaves*/
                !current_user_can('edit_post', $post_id)/*Verifying access rights*/
            ) {
                return;
              }


            //Execute this saving function
            if (isset($_POST['better_health_facebook']))
            {
                $facebook = esc_url_raw($_POST['better_health_facebook']);
                update_post_meta($post_id, 'better_health_facebook', $facebook);
            }

            if (isset($_POST['better_health_twitter']))
            {
                $twitter = esc_url_raw($_POST['better_health_twitter']);
                update_post_meta($post_id, 'better_health_twitter', $twitter);
            }

            if (isset($_POST['better_health_googleplus']))
            {
                $googleplus = esc_url_raw($_POST['better_health_googleplus']);
                update_post_meta($post_id, 'better_health_googleplus', $googleplus);
            }

            if (isset($_POST['better_health_linkedin']))
            {
                $linkedin = esc_url_raw($_POST['better_health_linkedin']);
                update_post_meta($post_id, 'better_health_linkedin', $linkedin);
            }


            if (isset($_POST['better_health_instagram']))
            {
                $instagram = sanitize_text_field($_POST['better_health_instagram']);
                update_post_meta($post_id, 'better_health_instagram', $instagram);
            }


        }

    }
}
$productsMetabox = new Better_Health_Team_Template_Metabox;




