<?php
if (!class_exists('Better_health_About_Us_Widget')) {
    class Better_health_About_Us_Widget extends WP_Widget
    {
        private function defaults()
        {
            $defaults = array(
                'page_id' => 0,
                'character_limit' => 25,
            );
            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'better-health-about-us-widget',
                esc_html__('Better Health About Us', 'better-health'),
                array('description' => esc_html__('Better Health About Us', 'better-health'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance = wp_parse_args( (array )$instance, $this->defaults() );
                $page_id = absint($instance['page_id']);
                $limit_character = absint( $instance['character_limit'] );
                $bgimage = esc_url($instance['bg_image']);
                echo $args['before_widget'];
                if (!empty($page_id)) {
                    $better_health_page_args = array(
                        'page_id' => $page_id,
                        'posts_per_page' => 1,
                        'post_type' => 'page',
                        'no_found_rows' => true,
                        'post_status' => 'publish'
                    );

                  $welcome_query = new WP_Query( $better_health_page_args );
                    if ($welcome_query->have_posts()):
                        while ($welcome_query->have_posts()):$welcome_query->the_post(); ?>

                            <section id="about-us" class="section-margine about-us-widget">
                                <div class="container">
                                    <div class="row">
                                        <div class="col-xs-12 col-sm-6">
                                             <div class="feature-image">
                                                <?php
                                                  if(has_post_thumbnail()) {
                                                      ?>
                                                         <?php the_post_thumbnail( 'full' ); ?>
                                                      <?php } ?>
                                             </div>
                                        </div>
                                        <div class="col-xs-12 col-sm-6">
                                            <div class="about-us-box-right row wow fadeInRight">
                                                <h2 class="about-us-title"><?php the_title(); ?></h2>
                                                <p><?php echo esc_html( wp_trim_words(get_the_content(), $limit_character)); ?></p>
                                            </div>
                                        </div>
                                        
                                    </div>
                                </div>
                            </section>
                            <?php
                        endwhile;
                    endif;
                    wp_reset_postdata();
                    echo $args['after_widget'];
                }
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['page_id'] = absint($new_instance['page_id']);
            $instance['character_limit'] = absint( $new_instance['character_limit'] );

            return $instance;
        }

        public function form($instance)
        {
            $instance = wp_parse_args((array )$instance, $this->defaults() );
            $page_id = absint($instance['page_id']);
            $limit_character = absint( $instance['character_limit'] );
            $bgimage = esc_url($instance['bg_image']);
            ?>

            <p>
                <label for="<?php echo esc_attr($this->get_field_id('page_id')); ?>"><?php esc_html_e('Select Page', 'better-health'); ?></label><br/>

                <?php
                /* see more here https://codex.wordpress.org/Function_Reference/wp_dropdown_pages*/
                $args = array(
                    'selected' => $page_id,
                    'name' => esc_attr( $this->get_field_name('page_id') ),
                    'id' => esc_attr( $this->get_field_id('page_id') ),
                    'class' => 'widefat',
                    'show_option_none' => esc_html__('Select Page', 'better-health'),
                );
                wp_dropdown_pages($args);
                ?>
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('character_limit')); ?>"><?php esc_html_e('Character Limit', 'better-health'); ?></label><br/>
                <input type="number" name="<?php echo esc_attr( $this->get_field_name('character_limit')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('character_limit')); ?>" value="<?php echo $limit_character ?>">
            </p>
            <hr>
         
            <?php
        }
    }

}

add_action('widgets_init', 'better_health_about_us_widget');
function better_health_about_us_widget()
{
    register_widget('Better_health_About_Us_Widget');

}















