<?php
if( !class_exists( 'Better_Health_Additional_Services_Widget') ){
    class Better_Health_Additional_Services_Widget extends WP_Widget
    {

        private function defaults()
        {

            $defaults = array(
                'cat_id' => 16,
                'title' => esc_html__('Additional Service Title','better-health'),
                'sub-title' => '',
            );
            return $defaults;
        }
        public function __construct()
        {
            parent::__construct(
                'better-health-additional-service-widget',
                esc_html__('Better Health Additional Service Widget', 'better-health'),
                array('description' => esc_html__('Better Health Additional Service Widget', 'better-health'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance = wp_parse_args( (array ) $instance, $this->defaults ());
                echo $args['before_widget'];

                 $a1 =35;
                  if($a1 == $instance['cat_id'] )
                {
                   $instance['cat_id'] = 16;
                   
                } 
                $catid = absint( $instance['cat_id'] );
                $title = apply_filters('widget_title', !empty($instance['title']) ? esc_html( $instance['title']): '', $instance, $this->id_base);
                $subtitle =  esc_html( $instance['sub-title'] );
                ?>
                <section id="additionalservice" class="section-margine additional-services">
                    <div class="container">
                        <div class="row">
                          
                                <header class="title-head">
                                    <?php
                                    if (!empty( $title )) {
                                        ?>
                                        <h2><?php echo $args['before_title'] . $title . $args['after_title']; ?></h2>
                                    <?php }
                                    if (!empty( $subtitle )) {
                                        ?>
                                        <p><?php echo $subtitle; ?></p>
                                    <?php } ?>
                                  <div class="line-heading">
                                    <span class="line-left"></span>
                                    <span class="line-middle">+</span>
                                    <span class="line-right"></span>
                                  </div>
                                </header>
                           
                           

                            <div class="col-md-12">
                            <?php if ( !empty( $catid ) ) {
                                $i = 0;
                                $sticky = get_option( 'sticky_posts' );
                                $home_feature_section = array(
                                    'ignore_sticky_posts' => true,
                                    'post__not_in' => $sticky,
                                    'cat' => $catid,
                                    'posts_per_page' => 3
                                );
                                $home_feature_section_query = new WP_Query( $home_feature_section );

                                if ($home_feature_section_query->have_posts()) {
                                while ($home_feature_section_query->have_posts()) {
                                    $home_feature_section_query->the_post();
                                    $icon = get_post_meta( get_the_ID(), 'better_health_icon', true );
                                    ?>
                            <div class="col-md-4 col-sm-4 right wow fadeInUp">
                                <div class="additional-services-content row">
                                    <a href="<?php the_permalink(); ?>">
                                    <div class="additional-services-icon">
                                        <i class="fa <?php echo esc_attr($icon); ?>"></i>
                                    </div>
                                    <div class="additional-services-title">
                                        <strong><?php the_title(); ?></strong>
                                    </div>
                                    <div class="additional-services-entry-content">
                                        <p><?php echo esc_html( wp_trim_words( get_the_content(), 16) ); ?></p>
                                    </div>
                                    </a>
                                </div>
                            </div>
                            <?php
                                $i++;
                            }

                        }
                                        wp_reset_postdata();
                                    }
                                    ?>
                            </div>
                        </div>
                    </div>
                </section>
                <?php
                echo $args['after_widget'];
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['cat_id'] = (isset($new_instance['cat_id'])) ? absint($new_instance['cat_id']) : '';
            $instance['title'] = sanitize_text_field( $new_instance['title'] );
            $instance['sub-title'] = sanitize_text_field( $new_instance['sub-title'] );
            return $instance;

        }

        public function form($instance)
        {
            $instance = wp_parse_args( (array ) $instance, $this->defaults() );
            $catid = absint( $instance['cat_id'] );
            $title = esc_attr( $instance['title'] );
            $subtitle =  esc_attr( $instance['sub-title'] );

            ?>
          
           <p>
                <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                    <?php esc_html_e('Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title') ); ?>" value="<?php echo $title; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('sub-title') ); ?>">
                    <?php esc_html_e( 'Sub Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr($this->get_field_name('sub-title')); ?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('sub-title')); ?>" value="<?php echo $subtitle; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('cat_id') ); ?>">
                    <?php esc_html_e( 'Select Category', 'better-health'); ?>
                </label><br />
                <?php
                $quality_dropown_cat = array(
                    'show_option_none' => esc_html__('Select Category', 'better-health'),
                    'orderby' => 'name',
                    'order' => 'asc',
                    'show_count' => 1,
                    'hide_empty' => 1,
                    'echo' => 1,
                    'selected' => $catid,
                    'hierarchical' => 1,
                    'name' => esc_attr( $this->get_field_name('cat_id') ),
                    'id' => esc_attr( $this->get_field_name('cat_id') ),
                    'class' => 'widefat',
                    'taxonomy' => 'category',
                    'hide_if_empty' => false,
                );
                wp_dropdown_categories( $quality_dropown_cat );
                ?>
            </p>
            <hr>

            <?php
        }
    }
}


add_action('widgets_init', 'better_health_additional_service_widget');
function better_health_additional_service_widget() {
    register_widget('Better_Health_Additional_Services_Widget' );
}