<?php
if (!class_exists('Better_Health_Clients_Widget'))
{
    class Better_Health_Clients_Widget extends WP_Widget
    {

        private function defaults()
        {
            $defaults = array(
                'cat_id' => 4,
                 );
            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'better-health-clients-widget',
                esc_html__('Better Health Clients Widget', 'better-health'),
                array('description' => esc_html__('Better Health Clients Section','better-health'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance = wp_parse_args((array)$instance, $this->defaults());
                $catid = absint( $instance['cat_id'] );
                echo $args['before_widget'];

                ?>
                <section id="section9" class="partner-wrapper section-margine no-m-top section-9-background">
                    <div class="container">
                        <div class="row">
                            <div id="partner" class="owl-carousel">
                            <?php
                              if (!empty($catid) && $catid != -1) {
                                $sticky = get_option('sticky_posts');
                                $home_clients_section = array(
                                    'cat' => $catid,
                                    'posts_per_page' => -1,
                                    'no_found_rows' => true,
                                    'post_status' => 'publish',
                                    'ignore_sticky_posts' => true,
                                    'post__not_in' => $sticky,
                                    );
                                $home_clients_section_query = new WP_Query($home_clients_section);
                                if ($home_clients_section_query->have_posts()) {
                                    while ($home_clients_section_query->have_posts()) {
                                        $home_clients_section_query->the_post();
                                        $image_id = get_post_thumbnail_id();
                                        $image_url = wp_get_attachment_image_src($image_id, 'full', true);
                                        $image_path = $image_url[0];
                                        if (!empty($image_path)) {
                                            ?>
                                            <div class="col-sm-12 col-md-12">
                                                <div class="owl-wrap">
                                                    <div class="feature-image">
                                                            <img src="<?php echo esc_url($image_path); ?>" class="img-responsive wow tada" alt="">
                                                    </div>
                                                </div><!-- /.owl-wrap -->
                                            </div><!-- /.col-sm-12 -->
                                            <?php
                                        }
                                    }

                                }
                                wp_reset_postdata();
                            }
                            ?>
                            </div><!-- /.owl-carousel -->
                        </div>
                    </div>
                </section>

                <?php
                echo $args['after_widget'];
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['cat_id'] = absint($new_instance['cat_id']);
            return $instance;        }

        public function form($instance)
        {

            $instance = wp_parse_args((array )$instance, $this->defaults());
            $better_health_selected_cat = absint($instance['cat_id']);
         ?>

            <p>
                <label for="<?php echo $this->get_field_id('cat_id'); ?>">
                    <strong><?php
                        esc_html__('Select Category','better-health');
                    ?></strong>
                </label>
                <br/>
                <?php
                $better_health_dropown_cat = array(
                    'show_option_none' => esc_html__('Select Category For Clients', 'better-health'),
                    'orderby' => 'name',
                    'order' => 'asc',
                    'show_count' => 1,
                    'hide_empty' => 1,
                    'selected' => $better_health_selected_cat,
                    'hierarchical' => 1,
                    'name' =>  esc_attr( $this->get_field_name('cat_id') ),
                    'id' =>  esc_attr( $this->get_field_name('cat_id') ),
                    'class' => 'widefat',
                    'taxonomy' => 'category',
                    'hide_if_empty' => false,
                );
                wp_dropdown_categories($better_health_dropown_cat);
                ?>
            </p>
            <hr>
            
            <?php
        }
    }
}

add_action( 'widgets_init', 'better_health_clients_widget' );
function better_health_clients_widget(){
    register_widget( 'Better_Health_Clients_Widget' );

}















