<?php
if( !class_exists( 'Better_Health_Department_Widget') ){

    class Better_Health_Department_Widget extends WP_Widget
    {
        private function defaults(){
            $defaults = array(
                 'cat_id' => 21,
                 'title' => esc_html__('Our Department','better-health'),
                 'sub-title' => '',
                 'button-text' => esc_html__('Read More','better-health'),

            );
            return $defaults;
        }
        public function __construct()
        {
            parent::__construct(
                'better-health-department-widget',
                    esc_html__('Better Health Department Widget', 'better-health'),
                array('description' => esc_html__('Better Health Department Section', 'better-health'))
            );
        }

        public function widget($args, $instance)
        {
            if ( !empty( $instance ) ) {
                $instance = wp_parse_args( (array) $instance, $this->defaults() );
                /*default values*/
                $a1 =34;
                  if($a1 == $instance['cat_id'] )
                {
                   $instance['cat_id'] = 21;
                   
                } 
                $catid = absint( $instance[ 'cat_id' ] );
                $title = apply_filters('widget_title', !empty($instance['title']) ? esc_html( $instance['title']): '', $instance, $this->id_base);
                $subtitle =  esc_html( $instance['sub-title'] );
                $button_text = esc_html($instance['button-text']);
                echo $args['before_widget'];
                ?>
                <section id="section-department" class="section-margine">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <header class="title-head">
                                    <?php
                                    if (!empty( $title )) {
                                        ?>
                                        <h2><?php echo $args['before_title'] . $title . $args['after_title']; ?></h2>
                                    <?php }
                                    if (!empty( $subtitle )) {
                                        ?>
                                        <p><?php echo $subtitle; ?></p>
                                    <?php } ?>
                                  <div class="line-heading">
                                    <span class="line-left"></span>
                                    <span class="line-middle">+</span>
                                    <span class="line-right"></span>
                                  </div>
                                </header>
                              </div>
                            <?php if ( !empty( $catid ) ) {
                                $i = 0;
                                $sticky = get_option( 'sticky_posts' );
                                $home_feature_section = array(
                                    'ignore_sticky_posts' => true,
                                    'post__not_in' => $sticky,
                                    'cat' => $catid,
                                    'posts_per_page' => 6
                                );
                                $home_feature_section_query = new WP_Query( $home_feature_section );

                                if ($home_feature_section_query->have_posts()) {
                                while ($home_feature_section_query->have_posts()) {
                                    $home_feature_section_query->the_post();
                                    ?>
                        
                                        <div class="col-sm-6 col-md-4 col-lg-4">
                                            <div class="section-department-box wow fadeInUp <?php if ( !has_post_thumbnail() ) {
                                                echo "no-image";
                                            } ?> " data-wow-delay="<?php echo esc_attr($i); ?>s">
                                                
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    $image_id = get_post_thumbnail_id();
                                                    $image_url = wp_get_attachment_image_src($image_id, 'full', true);
                                                    ?>
                                                    <img src="<?php echo esc_url($image_url[0]); ?>" class="img-responsive">
                                                <?php }
                                                ?>
                                                <div class="department-title-content">
                                                    <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                                    <p><?php echo esc_html( wp_trim_words( get_the_content(), 20 ) ); ?></p>
                                                    <a href="<?php the_permalink(); ?>" class="readmore">  <?php echo $button_text; ?> <i class="fa fa-long-arrow-right"></i>
                                            </a>
                                                </div>                                       
                                            </div>
                                        </div>
                                        <?php
                                        $i++;
                                    }
                                }
                                wp_reset_postdata();
                            }
                            ?>
                        </div>
                    </div>
                </section>
                <?php
                echo $args['after_widget'];
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['cat_id'] = (isset($new_instance['cat_id'])) ? absint( $new_instance['cat_id'] ) : '';
            $instance['title'] = sanitize_text_field( $new_instance['title'] );
            $instance['sub-title'] = sanitize_text_field( $new_instance['sub-title'] );
            $instance['button-text'] = sanitize_text_field($new_instance['button-text']);
            return $instance;

        }

        public function form($instance)
        {
            $instance = wp_parse_args( (array) $instance, $this->defaults() );
            /*default values*/
            $better_health_selected_cat = absint( $instance[ 'cat_id' ] );
            $title = esc_attr( $instance['title'] );
            $subtitle =  esc_attr( $instance['sub-title'] );
            $button_text = esc_html($instance['button-text']);
            ?>

            <p>
                <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                    <?php esc_html_e('Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title') ); ?>" value="<?php echo $title; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('sub-title') ); ?>">
                    <?php esc_html_e( 'Sub Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr($this->get_field_name('sub-title')); ?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('sub-title')); ?>" value="<?php echo $subtitle; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('cat_id') ); ?>">
                    <?php esc_html_e('Select Category', 'better-health'); ?>
                </label><br/>
                <?php
                $better_health_dropown_cat = array(
                    'show_option_none' => esc_html__('Select Category', 'better-health'),
                    'orderby' => 'name',
                    'order' => 'asc',
                    'show_count' => 1,
                    'hide_empty' => 1,
                    'echo' => 1,
                    'selected' => $better_health_selected_cat,
                    'hierarchical' => 1,
                    'name' => esc_attr( $this->get_field_name('cat_id') ),
                    'id' => esc_attr( $this->get_field_name('cat_id') ),
                    'class' => 'widefat',
                    'taxonomy' => 'category',
                    'hide_if_empty' => false,
                );
                wp_dropdown_categories($better_health_dropown_cat);
                ?>
            </p>
            <hr>
             <p>

                <label for="<?php echo esc_attr($this->get_field_id('button-text')); ?>">

                    <?php esc_html_e('Button Text', 'better-health'); ?>

                </label><br/>

                <input id="<?php echo esc_attr( $this->get_field_id( 'button-text' )); ?>" type="text" name="<?php echo esc_attr( $this->get_field_name( 'button-text' ) ); ?>" class="widefat" value="<?php echo $button_text; ?>">

            </p>
            <hr>
            <?php
        }
    }
}

add_action('widgets_init', 'better_health_department_widget');
function better_health_department_widget()
{
    register_widget('Better_Health_Department_Widget');
}










