<?php
if (!class_exists('Better_Health_Our_Team_Widget'))
{
    class Better_Health_Our_Team_Widget extends WP_Widget
    {

        private function defaults()
        {
            $defaults = array(
                'cat_id' => 22,
                'title' => esc_html__('Meet Our Doctors','better-health'),
                'sub-title' => '',
                'active_slider' =>0

            );
            return $defaults;
        }


        public function __construct()
        {
            parent::__construct(
                'our-team-widget',
                esc_html__('Better Health Our Team Widget', 'better-health'),
                array('description' => esc_html__('Better Health Our Team Section', 'better-health'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance = wp_parse_args((array)$instance, $this->defaults());
             
               $a1 =37;
                  if($a1 == $instance['cat_id'] )
                {
                   $instance['cat_id'] = 22;
                   
                } 
                $catid = absint( $instance['cat_id'] );

                $title = apply_filters('widget_title', !empty($instance['title']) ? esc_html( $instance['title']): '', $instance, $this->id_base);
                $subtitle =  esc_html( $instance['sub-title'] );
                $active_slider = absint( $instance[ 'active_slider' ] ? 1 : 0);
                echo $args['before_widget'];

                if (!empty($catid)) {
                    ?>
                    <section id="section17" class=" team-wrapper section-margine section17">
                        <div class="container">
                            <div class="row">

                            <div class="col-md-12">
                                <header class="title-head">
                                    <?php
                                    if (!empty( $title )) {
                                        ?>
                                        <h2><?php echo  $title . $args['after_title']; ?></h2>
                                    <?php }
                                    if (!empty( $subtitle )) {
                                        ?>
                                        <p><?php echo $subtitle; ?></p>
                                    <?php } ?>
                                  <div class="line-heading">
                                    <span class="line-left"></span>
                                    <span class="line-middle">+</span>
                                    <span class="line-right"></span>
                                  </div>
                                </header>
                            </div>

                             <?php if($active_slider==1)
                             { ?>
                                <div id="team" class="col-md-12 owl-carousel wow fadeInUp">
                               <?php } if (!empty($catid) && $catid != -1)
                                {
                                    $i = 0;

                                    $better_health_team_section = array(
                                        'cat' => $catid,
                                        'posts_per_page' =>-1,
                                        'no_found_rows' => true,
                                        'post__not_in' => get_option('sticky_posts'),
                                        'ignore_sticky_posts' => true,
                                    );
                                    $better_health_team_section_query = new WP_Query($better_health_team_section);
                                    if ($better_health_team_section_query->have_posts())
                                    {
                                        while ($better_health_team_section_query->have_posts())
                                        {
                                            $better_health_team_section_query->the_post();
                                            $facebook = get_post_meta(get_the_ID(), 'better_health_facebook', true);
                                            $twitter = get_post_meta(get_the_ID(), 'better_health_twitter', true);
                                            $googleplus = get_post_meta(get_the_ID(), 'better_health_googleplus', true);
                                            $linkedin = get_post_meta(get_the_ID(), 'better_health_linkedin', true);
                                            $instagram = get_post_meta(get_the_ID(), 'better_health_instagram', true);
                                            ?>
                                                <div class="<?php if($active_slider!=1){ echo "col-md-3"; } ?>">
                                                    <div class="team-member1">
                                                        <?php
                                                        if (has_post_thumbnail())
                                                        {
                                                            $image_id = get_post_thumbnail_id();
                                                            $image_url = wp_get_attachment_image_src($image_id, 'full', true);
                                                            ?>
                                                            <div class="team-member1-img-cont"><img src="<?php echo esc_url($image_url[0]); ?>" class="img-responsive" alt=""/>
                                                            </div>
                                                        <?php } ?>

                                                        <div class="team-social-icon">

                                                        <div class="my-member-social">
                            <ul>
                              <?php 
                                if(!empty($facebook))
                                {
                              ?>
                                <li>
                                    <a href="<?php echo esc_url($facebook); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
                                </li>
                              <?php 
                               }
                               if(!empty($twitter))
                                {
                              ?>
                                <li>
                                    <a href="<?php echo esc_url($twitter); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
                                </li>
                              <?php 
                                 } 
                               if(!empty($googleplus))
                                {
                              ?>
                                <li>
                                    <a href="<?php echo esc_url($googleplus); ?>" target="_blank"><i class="fa fa-google-plus"></i></a>
                                </li>
                               <?php
                                 }
                            if(!empty($linkedin))
                                {
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($linkedin); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
                                </li>
                                <?php
                                 }
                              if(!empty($instagram))
                                {
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($instagram); ?>" target="_blank"><i class="fa fa-instagram"></i></a>
                                </li>
                               <?php } ?> 
                            </ul>
                                                        </div>
                                                    </div>
                                                        
                                                        <div class="team-member1-details">
                                                            <h4><?php the_title() ?></h4>
                                                            <p><?php echo esc_html( wp_trim_words( get_the_content(), 15 ) ); ?></p>
                                                        </div>
                                                        
                                                    </div>
                                                </div>
                                            <?php
                                            $i++;
                                        }

                                    }
                                    wp_reset_postdata();
                                }
                          if($active_slider==1)
                          { ?>
                              </div>
                        <?php } ?>
                            </div>
                        </div>
                    </section>

                    <?php
                    echo $args['after_widget'];
                }
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['cat_id'] = (isset($new_instance['cat_id'])) ? absint($new_instance['cat_id']) : '';
            $instance['title'] = sanitize_text_field( $new_instance['title'] );
            $instance['sub-title'] = sanitize_text_field( $new_instance['sub-title'] );
            $instance['active_slider'] = isset($new_instance['active_slider']) ? '1':'0';
            return $instance;

        }

        public function form($instance)
        {
            $instance = wp_parse_args((array)$instance, $this->defaults());
            $better_health_selected_cat = absint( $instance['cat_id'] );
            $title = esc_attr( $instance['title'] );
            $subtitle =  esc_attr( $instance['sub-title'] );
            $active_slider = absint( $instance[ 'active_slider' ] );

              $a1 = array(37);
          
            if($a1 == $instance['cat_id'] )
             
              {
                $instance['cat_id'] = array(22);
              }
            ?>

            <p>
                <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                    <?php esc_html_e('Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" class="widefat" id="<?php echo esc_attr( $this->get_field_id( 'title') ); ?>" value="<?php echo $title; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('sub-title') ); ?>">
                    <?php esc_html_e( 'Sub Title', 'better-health'); ?>
                </label><br/>
                <input type="text" name="<?php echo esc_attr($this->get_field_name('sub-title')); ?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('sub-title')); ?>" value="<?php echo $subtitle; ?>">
            </p>

            <p>
                <label
                    for="<?php echo esc_attr( $this->get_field_id('cat_id') ); ?>"><strong><?php esc_html_e('Select Category', 'better-health'); ?></strong></label><br/>
                <?php
                $better_health_dropown_cat = array(
                    'show_option_none' => esc_html__('Select Category For Team Section', 'better-health'),
                    'orderby' => 'name',
                    'order' => 'asc',
                    'show_count' => 1,
                    'hide_empty' => 1,
                    'echo' => 1,
                    'selected' => $better_health_selected_cat,
                    'hierarchical' => 1,
                    'name' => esc_attr( $this->get_field_name('cat_id') ),
                    'id' => esc_attr( $this->get_field_name('cat_id') ),
                    'class' => 'widefat',
                    'taxonomy' => 'category',
                    'hide_if_empty' => false,
                );
                wp_dropdown_categories($better_health_dropown_cat);
                ?>
            </p>
            <hr>
                        
            <p>
                <input class="widefat" id="<?php echo  esc_attr( $this->get_field_id( 'active_slider' ) ); ?>" name="<?php echo  esc_attr( $this->get_field_name( 'active_slider' ) ); ?>" type="checkbox" value="<?php echo esc_attr( $active_slider ); ?>" <?php checked( 1, esc_attr( $active_slider ), 1 ); ?>/>
                <label for="<?php echo  esc_attr( $this->get_field_id( 'active_slider' ) ); ?>"><strong><?php echo esc_html__( 'Check to active slider in team section' ,'better-health'); ?></strong></label>

            </p>
            <?php
        }
    }

}

add_action( 'widgets_init', 'better_health_our_team_widget' );
function better_health_our_team_widget()
{
    register_widget( 'Better_Health_Our_Team_Widget' );

}















