<?php
if (!class_exists('Better_health_Working_Hours_Widget')) {
    class Better_health_Working_Hours_Widget extends WP_Widget
    {
        private function defaults()
        {
            $defaults = array(
                'title' => esc_html__('Working Hours','better-health'),
                'short_desc' => '',
                'day1' => esc_html__('MON – WED','better-health'),
                'day2' => esc_html__('THU','better-health'),
                'day3' => esc_html__('FRI','better-health'),
                'day4' => esc_html__('SAT – SUN','better-health'),
                'time1' => esc_html__('8:00 AM – 7:00 PM','better-health'),
                'time2' => esc_html__('8:00 AM – 5:00 PM','better-health'),
                'time3' => esc_html__('8:00 AM – 7:00 PM','better-health'),
                'time4'  => esc_html__('CLOSED','better-health'),
                'google_map' => esc_html( '<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m12!1m3!1d56516.31397712412!2d85.3261328!3d27.708960349999998!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!5e0!3m2!1sen!2snp!4v1503211948950" width="100%" height="100%" frameborder="0" style="border:0" allowfullscreen></iframe>','better-health' )
            );
            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'better-health-working-hours-widget',
                esc_html__('Better Health Working Hours', 'better-health'),
                array('description' => esc_html__('Better Health Working Hours', 'better-health'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance = wp_parse_args( (array )$instance, $this->defaults() );
                $title = esc_html($instance['title']);
                $short_desc = esc_html($instance['short_desc']);
                $day1 = esc_html($instance['day1'] );
                $day2 = esc_html($instance['day2'] );
                $day3 = esc_html($instance['day3'] );
                $day4 = esc_html($instance['day4'] );
                $time1 = esc_html($instance['time1'] );
                $time2 = esc_html($instance['time2'] );
                $time3 = esc_html($instance['time3'] );
                $time4 = esc_html($instance['time4'] );
                $googlemap = esc_html($instance['google_map']);
                $googlemap = htmlspecialchars_decode( esc_html( (string)$googlemap ) );
              
                echo $args['before_widget'];
                 ?>
                   <section id="working-hour" class="working-hour-widget">
                    <div class="google-map-background">
                      <?php echo $googlemap; ?>
                    </div>
                    <div class="container">
                        <div class="row">
                            <div class="col-xs-12 col-sm-4">
                                <div class="working-hour-box-right wow fadeInRight">
                                    <header>
                                        <h3><?php echo $title; ?></h3>
                                    </header>
                                    <div class="entry-content working-hour-content">
                                    <p>
                                        <?php echo $short_desc; ?>
                                            <ul>
                                                <li><span><?php echo  $day1; ?> </span><?php echo  $time1; ?></li>
                                                <li><span><?php echo  $day2; ?>  </span><?php echo  $time2; ?></li>
                                                <li><span><?php echo  $day3; ?>  </span><?php echo  $time3; ?></li>
                                                <li><span><?php echo  $day4; ?></span><?php echo  $time4; ?></li>
                                            </ul>
                                    </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>

            <?php
                    echo $args['after_widget'];
                }
            }
        

        public function update($new_instance, $old_instance)
        {

            $allowed_html = array(
                'a' => array(
                    'href' => array(),
                    'title' => array()
                ),
                'br' => array(),
                'em' => array(),
                'strong' => array(),
                'iframe' => array(
                    'align' => array(),
                    'frameborder' => array(),
                    'height' => array(),
                    'longdesc' => array(),
                    'marginheight' => array(),
                    'marginwidth' => array(),
                    'name' => array(),
                    'scrolling' => array(),
                    'src' => array(),
                    'srcdoc' => array(),
                    'width' => array(),
                ),
            );

            $instance = $old_instance;
            $instance['title'] = sanitize_text_field($new_instance['title']);
            $instance['short_desc'] = wp_kses_post( $new_instance['short_desc'] );
            $instance['day1'] = sanitize_text_field($new_instance['day1']);
            $instance['day2'] = sanitize_text_field($new_instance['day2']);
            $instance['day3'] = sanitize_text_field($new_instance['day3']); 
            $instance['day4'] = sanitize_text_field($new_instance['day4']);
            $instance['time1'] = sanitize_text_field($new_instance['time1']);
            $instance['time2'] = sanitize_text_field($new_instance['time2']);
            $instance['time3'] = sanitize_text_field($new_instance['time3']); 
            $instance['time4'] = sanitize_text_field($new_instance['time4']);
            $instance['google_map'] = wp_kses($new_instance['google_map'],$allowed_html);
            return $instance;
        }

        public function form($instance)
        {
            $instance = wp_parse_args((array )$instance, $this->defaults() );
            $title = esc_html($instance['title']);
            $short_desc = wp_kses_post($instance['short_desc']);
            $day1 = esc_html($instance['day1'] );
            $day2 = esc_html($instance['day2'] );
            $day3 = esc_html($instance['day3'] );
            $day4 = esc_html($instance['day4'] );
            $time1 = esc_html($instance['time1'] );
            $time2 = esc_html($instance['time2'] );
            $time3 = esc_html($instance['time3'] );
            $time4 = esc_html($instance['time4'] );
            $googlemap = esc_html($instance['google_map']);

            ?>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('title')); ?>"><?php esc_html_e('Title', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('title')); ?>" value="<?php echo $title ?>">
            </p>
                       
            <hr>
            
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('short_desc' ) ); ?>"><strong><?php esc_html_e('Short Description', 'better-health'); ?></strong></label><br/>
                <textarea rows="8" name="<?php echo esc_attr( $this->get_field_name('short_desc') ); ?>" id="<?php echo esc_attr( $this->get_field_id('short_desc' ) ); ?>" class="widefat"><?php echo $short_desc; ?></textarea>
            </p>
            <hr>
          
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('day1')); ?>"><?php esc_html_e('Day 1', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('day1')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('day1')); ?>" value="<?php echo $day1 ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('time1')); ?>"><?php esc_html_e('Time 1', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('time1')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('time1')); ?>" value="<?php echo $time1?>">
            </p> 
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('day2')); ?>"><?php esc_html_e('Day 2', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('day2')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('day2')); ?>" value="<?php echo $day2 ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('time2')); ?>"><?php esc_html_e('Time 2', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('time2')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('time2')); ?>" value="<?php echo $time2?>">
             </p>
             <hr>
             <p>
                <label for="<?php echo esc_attr( $this->get_field_id('day3')); ?>"><?php esc_html_e('Day 3', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('day3')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('day3')); ?>" value="<?php echo $day3?>">
             </p>

             <p>
                <label for="<?php echo esc_attr( $this->get_field_id('time3')); ?>"><?php esc_html_e('Time 3', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('time3')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('time3')); ?>" value="<?php echo $time3?>">
             </p>
              <hr>

             <p>
                <label for="<?php echo esc_attr( $this->get_field_id('day4')); ?>"><?php esc_html_e('Day 4', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('day4')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('day4')); ?>" value="<?php echo $day4?>">
             </p>
             <p>
                <label for="<?php echo esc_attr( $this->get_field_id('time4')); ?>"><?php esc_html_e('Time 4', 'better-health'); ?></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('time4')); ?>" class="quality-cons" id="<?php echo esc_attr($this->get_field_id('time4')); ?>" value="<?php echo $time4?>">
             </p>

             <p>
                <label for="<?php echo esc_attr( $this->get_field_id('google_map' ) ); ?>"><strong><?php esc_html_e('Google Map', 'better-health'); ?></strong></label><br/>
                <textarea rows="8" name="<?php echo esc_attr( $this->get_field_name('google_map') ); ?>" id="<?php echo esc_attr( $this->get_field_id('google_map' ) ); ?>" class="widefat"><?php echo $googlemap; ?></textarea>
            </p>
            
            <?php
        }
    }

}

add_action('widgets_init', 'better_health_working_hours_widget');
function better_health_working_hours_widget()
{
    register_widget('Better_health_Working_Hours_Widget');

}















