<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Canyon Themes
 * @subpackage Better Health
 */
$better_health_breadcrump_option = better_health_get_option('better_health_breadcrumb_setting_option');
$better_health_designlayout = get_post_meta(get_the_ID(), 'better_health_sidebar_layout', true  );
$post_navigation_layout = better_health_get_option('better_health_navigation_option');
get_header();
?>
<section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
    <div class="container">
        <div class="row">
            <div class="col-md-7">
                <h2><?php the_title(); ?></h2>
            </div>
            <?php
              if ($better_health_breadcrump_option == "simple")
              {
                ?>
                <div class="col-md-12">
                    <div class="breadcrumbs">
                        <?php
                        if('advanced' == $better_health_breadcrump_option){
                            if( function_exists('bcn_display'))
                            {
                                echo '<div id="better-health-breadcrumbs"><div class="breadcrumb-container">';
                                bcn_display();
                                echo "</div></div>";
                            }
                            else
                            {
                                breadcrumb_trail();
                            }
                        }
                        else
                        {
                            breadcrumb_trail();
                        }
                        ?>
                    </div>
                </div>
          <?php } ?>
        </div>
    </div>
</section>
<section id="section14" class="section-margine blog-list">
    <div class="container">
        <div class="row">
            <div class="col-sm-<?php if ($better_health_designlayout == 'no-sidebar') {
                echo "12";
            } else {
                echo "12";
            } ?> col-md-<?php if ($better_health_designlayout == 'no-sidebar') {
                echo "12";
            } else {
                echo "9";
            } ?> left-block">
                <?php
                while (have_posts()) : the_post();
                    get_template_part('template-parts/content', 'single');
                      
                    if($post_navigation_layout=="title-only")
                    {
                        the_post_navigation();
                    } elseif ($post_navigation_layout=="title-image")
                    { ?>
                        <div id="cooler-nav" class="navigation">
                            <?php $prevPost = get_previous_post(true);
                            if($prevPost) {?>
                                <div class="nav-box previous">
                                    <?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(100,100) );?>
                                    <?php previous_post_link('%link',"$prevthumbnail <p>%title</p>", TRUE); ?>
                                </div>

                            <?php } $nextPost = get_next_post(true);
                            if($nextPost) { ?>
                                <div class="nav-box next">
                                    <?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(100,100) ); ?>
                                    <?php next_post_link('%link',"$nextthumbnail <p>%title</p>", TRUE); ?>
                                </div>
                            <?php } ?>
                        </div><!--#cooler-nav div -->

                        <?php
                    }
                    else
                    {  ?>

                        <div id="cooler-nav" class="navigation">
                            <?php $prevPost = get_previous_post(true);
                            if($prevPost) {?>
                                <div class="nav-box previous">
                                    <?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(100,100) );?>
                                    <?php previous_post_link('%link',"$prevthumbnail", TRUE); ?>
                                </div>

                            <?php } $nextPost = get_next_post(true);
                            if($nextPost) { ?>
                                <div class="nav-box next">
                                    <?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(100,100) ); ?>
                                    <?php next_post_link('%link',"$nextthumbnail", TRUE); ?>
                                </div>
                            <?php } ?>
                        </div><!--#cooler-nav div -->
                        <?php
                    }
                    
                    /**
                     * better_health_related_posts hook
                     * @since Better Health 1.0.0
                     *
                     * @hooked better_health_related_posts
                     */
                    do_action('better_health_related_posts' ,get_the_ID() );
                    echo '<div class="comment-form-container wow fadeInLeft">';
                    // If comments are open or we have at least one comment, load up the comment template.
                    if (comments_open() || get_comments_number()) :
                        comments_template();
                    endif;

                    echo '</div>';
                endwhile; // End of the loop.
                ?>
            </div>
            <?php if ( $better_health_designlayout != 'no-sidebar') { ?>
                <div class="col-xs-12 col-sm-12 col-md-3">
                    <?php get_sidebar(); ?>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<?php
get_footer(); ?>
