<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Better Health
 */
$description_from = better_health_get_option( 'better_health_blog_excerpt_option');
$description_length = better_health_get_option( 'better_health_description_length_option');
$readme_text = better_health_get_option( 'better_health_read_more_text_blog_archive_option');
$image_size_option= esc_html(better_health_get_option( 'better_health_image_display_option'));
$show_date_option= esc_html(better_health_get_option( 'better_health_blog_show_date_option'));
$show_author_option= esc_html(better_health_get_option( 'better_health_blog_show_author_option'));
$show_comments_option= esc_html(better_health_get_option( 'better_health_blog_show_comments_option'));
$column_option= (better_health_get_option( 'better_health_columns_option'));
$imagedesignlayout = esc_attr(better_health_get_option('better_health_image_layout_option' ));
?>
<article id="post-<?php the_ID(); ?>" class="<?php echo esc_attr($column_option); ?>" <?php post_class(); ?>>

    <div class="section-14-box wow fadeInUp <?php if(!has_post_thumbnail()) { echo "no-image"; } ?> masonry-entry">
        <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
         
            <div class="section-14-box-wrapper <?php if(!has_post_thumbnail()) { echo "no-image-left"; } else { echo "yes-image-right"; } ?> <?php echo $imagedesignlayout; ?>">
                 <div class="section-14-img">
                    <a href="<?php the_permalink(); ?>">
                 <?php
                    
                     if(has_post_thumbnail()) {
                      
        	         the_post_thumbnail($image_size_option, array('class' => 'img-responsive'));
                   
                     }  
        	    ?>
              </a>
              </div>
              <div class="blog-content">  
                  <div class="row">
                    <div class="col-md-12">
                      <div class="comments comment-archive">
                   <?php  if($show_date_option==1)
                    {
                 
                     ?> 
                        <div class="front-blog-date">
                            <a class="btn btn-primary btn-sm">
                                <span class="publish-date"><?php echo esc_html(get_the_date('d')) ?>  </span>
                                <span class="publish-month"><?php echo esc_html( get_the_date('M')) ?></span>
                            </a>
                        </div>
                  <?php } ?>      

                      </div>
                      <div class="blog-inner-title-meta">
                        <h3 class="text-left"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                        <div class="section-14-meta">
                       <?php  if($show_date_option==1)
                         {
                 
                         ?>
                            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><i class="fa fa-calendar-check-o"></i><span><?php echo esc_html( get_the_date('M')) ?></span> , <?php echo esc_html(get_the_date('d')) ?> , <span><?php echo esc_html( get_the_date('Y')) ?></span></a>
                     <?php
                      }
                    if($show_author_option==1)
                      {
                      ?>
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><i class="fa fa-user-o"></i><?php the_author(); ?></a>
                 <?php } ?>  
                  <?php better_health_blog_list() ?>
                  <?php if($show_comments_option==1) { ?>
                         <a href="<?php comments_link(); ?>"><i class="fa fa-comments"></i><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a>
                   <?php } ?>
                        </div>
                      </div>
                        </div>
                    </div>
                   <?php
                   echo "<p>";
                   if($description_from=='content')
                   {
                       echo esc_html( wp_trim_words(get_the_content(),$description_length) );
                   }
                   else
                   {
                       echo esc_html( wp_trim_words(get_the_excerpt(),$description_length) );
                   }
                   echo "</p>";
                   ?>

                  <div class="row">
                    <div class="col-md-12">
                     <?php 
                      if(!empty($readme_text))
                      {
                     ?>
                        <div class="text-left"><a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php  echo esc_html($readme_text); ?></a></div>
                    </div>
                   <?php } 
                     wp_link_pages( array(
                            'before' => '<div class="page-links">' . esc_html__( 'Pages:','better-health'),
                            'after'  => '</div>',
                          ) );
                        ?>
                  </div>
              </div>
           </div>
        </div>
      </div><!-- #post-## -->
</article><!-- #post-## -->









