<?php
/**
		 * Layout/Design Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_panel(
	        'capacious_design_layout_options', 
	        	array(
	        		'priority'       => 7,
	            	'capability'     => 'edit_theme_options',
	            	'theme_supports' => '',
	            	'title'          => esc_html__( ' Layout/Design Option', 'capacious' ),
	            ) 
	    );

	  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Sidebar Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_default_sidbar_layout_option',
		        array(
		            'title'		=> esc_html__( 'Default Sidebar Layout Option', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Sidebar Option
	  */
        $wp_customize->add_setting(
	        'capacious_sidebar_layout_option', 
	            array(
	                'default'           => $default['capacious_sidebar_layout_option'] ,
	                'sanitize_callback' => 'capacious_sanitize_select',
	                'transport' => 'refresh'
		       	)
	    );
	    
		
     $layout = capacious_sidebar_layout();
     $wp_customize->add_control('capacious_sidebar_layout_option',
            array(
           'label'      => esc_html__('Default Sidebar Layout','capacious'),
	        'description' => esc_html__('Home/front page does not have sidebar. Inner Pages like blog, archive single page/post Sidebar Layout. However single page/post sidebar can be overridden.', 'capacious'),
	        'section'   => 'capacious_default_sidbar_layout_option',
            'type'	  	=> 'select',
             'choices'   => $layout,
            'priority'  => 10
         )
    ); 
    
               		 
   /*-------------------------------------------------------------------------------------------*/

    /**
		 * Blog/Archive Layout Image display options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_blog_layout_option',
		        array(
		            'title'		=> esc_html__( 'Blog/Archive Layout Option', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Blog/Archive Layout Image display options
	  */
        $wp_customize->add_setting(
	        'capacious_image_display_option', 
	            array(
	                'default'           =>   $default['capacious_image_display_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	                'transport' => 'refresh'
		       	)
	    );
		
     $image_display_option = capacious_image_display_option();
     $wp_customize->add_control('capacious_image_display_option',
            array(
            'choices'   => $image_display_option,
            'label'      => esc_html__('Image display options','capacious'),
	        'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'select',
            'priority'  => 10
         )
    ); 

	  
      /**
		 * Blog/Archive Layout Optio
	  */
        $wp_customize->add_setting(
	        'capacious_image_layout_option', 
	            array(
	                'default'           =>  $default['capacious_image_layout_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	                'transport' => 'refresh'
		       	)
	    );
		
     $bloglayout = capacious_blog_layout();
     $wp_customize->add_control('capacious_image_layout_option',
            array(
            'choices'   => $bloglayout,
            'label'      => esc_html__('Blog Layout Options','capacious'),
	        'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'select',
            'priority'  => 10
         )
    ); 


     /**
		 * Blog/Archive excerpt option
	  */
        $wp_customize->add_setting(
	        'capacious_blog_excerpt_option', 
	            array(
	                'default'           =>  $default['capacious_blog_excerpt_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	                'transport' => 'refresh'
		       	)
	    );
	 $blogexcerpt = capacious_blog_excerpt();
     $wp_customize->add_control('capacious_blog_excerpt_option',
            array(
            'choices'   => $blogexcerpt,
            'label'      => esc_html__('Show Description From','capacious'),
	        'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'select',
            'priority'  => 10
         )
    ); 

     /**
		 * Description Length In Words
	  */
        $wp_customize->add_setting(
	        'capacious_description_lenght_option', 
	            array(
	                'default'           =>  $default['capacious_description_lenght_option'],
	                'sanitize_callback' => 'sanitize_text_field',
	                'transport' => 'refresh'
		       	)
	    );
	    $wp_customize->add_control('capacious_description_lenght_option',
            array(
            'label'      => esc_html__('Description Length In Words','capacious'),
             'description' => esc_html__('Please enter -1 to show full content or 0 to show none.', 'capacious'),
	        'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'number',
            'priority'  => 10
         )
    ); 

	/**
		 * Exclude Categories In Blog/Archive Pages
	  */
        $wp_customize->add_setting(
	        'capacious_exclude_cat_blog_archive_option', 
	            array(
		                'default'           => $default['capacious_exclude_cat_blog_archive_option'],
		                'sanitize_callback' => 'sanitize_text_field',
	                )
	    );
	    $wp_customize->add_control('capacious_exclude_cat_blog_archive_option',
            array(
            'label'      => esc_html__('Exclude Categories In Blog/Archive Pages','capacious'),
            'description' => esc_html__('Enter categories ids in negative value with comma separated eg: -3,-5,-7,-95. For including all categories left blank', 'capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'text',
            'priority'  => 10
         )
    ); 
    
        
   

	/**
		 *   Show Date
	  */
        $wp_customize->add_setting(
	        'capacious_blog_show_date_option', 
	            array(
	                  'default'           => $default['capacious_blog_show_date_option'],
	                  'sanitize_callback' => 'capacious_sanitize_checkbox',
	               	)
	    );
	    $wp_customize->add_control('capacious_blog_show_date_option',
            array(
            'label'      => esc_html__('Show Date','capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    );     

  /**
		 *   Show Author
	  */
        $wp_customize->add_setting(
	        'capacious_blog_show_author_option', 
	            array(
		                'default'           =>  $default['capacious_blog_show_author_option'],
		                'sanitize_callback' => 'capacious_sanitize_checkbox',
	             
		       	     )
	    );
	    $wp_customize->add_control('capacious_blog_show_author_option',
            array(
            'label'      => esc_html__('Show Author','capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    );   

  /**
		 *   Show Cats
	  */
        $wp_customize->add_setting(
	        'capacious_blog_show_cats_option', 
	            array(
	                'default'           => $default['capacious_blog_show_cats_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	               
		       	)
	    );
	    $wp_customize->add_control('capacious_blog_show_cats_option',
            array(
            'label'      => esc_html__('Show Cats','capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 

   /**
		 *   Show Tags
	  */
        $wp_customize->add_setting(
	        'capacious_blog_show_tags_option', 
	            array(
	                'default'           =>$default['capacious_blog_show_tags_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	               
		        	)
	    );
	    $wp_customize->add_control('capacious_blog_show_tags_option',
            array(
            'label'      => esc_html__('Show Tags','capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 

	/**
		 *   Show Comments
	  */
        $wp_customize->add_setting(
	        'capacious_blog_show_comments_option', 
	            array(
	                'default'           => $default['capacious_blog_show_comments_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	               
		       	)
	    );
	    $wp_customize->add_control('capacious_blog_show_comments_option',
            array(
            'label'      => esc_html__('Show Comments','capacious'),
            'section'   => 'capacious_blog_layout_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 

   /*-------------------------------------------------------------------------------------------*/
		/**
		 * Single Post option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_single_post_design_option',
		        array(
		            'title'		=> esc_html__( 'Single Post Option', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Show Related Posts In Single Post
	  */
        $wp_customize->add_setting(
	        'capacious_related_post_hide_option', 
	            array(
	                'default'           =>  $default['capacious_related_post_hide_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	               
		       	)
	    );
	    
	  $choices=capacious_show_realted_post_layout();	
      $wp_customize->add_control(
	        'capacious_related_post_hide_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Show/HIde Related Posts In Single Post', 'capacious' ),
		            'section' => 'capacious_single_post_design_option',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

      /**
		 * Related Posts title 
	  */
        $wp_customize->add_setting(
	        'capacious_related_post_title_option', 
	            array(
	                'default'           => $default['capacious_related_post_title_option'],
	                'sanitize_callback' => 'sanitize_text_field',
	            	)
	    );
	    $wp_customize->add_control('capacious_related_post_title_option',
            array(
            'label'      => esc_html__('Related Posts title ','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'text',
            'priority'  => 10
         )
    ); 
     

     /**
		 * Select Number Of Columns 
	  */
        $wp_customize->add_setting(
	        'capacious_select_number_of_columns_option', 
	            array(
	                'default'           => $default['capacious_select_number_of_columns_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	               
		        	)
	    ); 
	    $wp_customize->add_control('capacious_select_number_of_columns_option',
            array(
            'label'      => esc_html__('Select Number Of Columns','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'select',
            'choices'   => array(
	                    '1' 	=> esc_html__( '1 Columns ', 'capacious' ),
	                    '2' 	=> esc_html__( '2 Columns', 'capacious' ),
	                    '3' 	=> esc_html__( '3 Columns', 'capacious' ),
	                    '4' 	=> esc_html__( '4 Columns', 'capacious' )
	                    ),
            'priority'  => 10
         )
    ); 
  

  /**
		 * Number of posts to show
	  */
        $wp_customize->add_setting(
	        'capacious_number_of_post_show_option', 
	            array(
	                'default'           => $default['capacious_number_of_post_show_option'],
	                'sanitize_callback' => 'absint',
	               
		         	)
	    );
	    $wp_customize->add_control('capacious_number_of_post_show_option',
            array(
            'label'      => esc_html__('Number of posts to show','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'number',
            'priority'  => 10
         )
    ); 


  /**
		 * Number of words in contents
	  */
        $wp_customize->add_setting(
	        'capacious_number_of_words_show_option', 
	            array(
	                'default'           =>$default['capacious_number_of_words_show_option'],
	                'sanitize_callback' => 'absint',
	               
		       	)
	    );
	    $wp_customize->add_control('capacious_number_of_words_show_option',
            array(
            'label'      => esc_html__('Number of words in contents','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'number',
            'priority'  => 10
         )
    ); 

  /**
		 *  Show Image
	  */
        $wp_customize->add_setting(
	        'capacious_show_image_option', 
	            array(
	                'default'           => $default['capacious_show_image_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	                )
	    );
	    $wp_customize->add_control('capacious_show_image_option',
            array(
            'label'      => esc_html__(' Show Image','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 


	 /**
		 *  Show Categories
	  */
        $wp_customize->add_setting(
	        'capacious_show_categories_option', 
	            array(
	                'default'           => $default['capacious_show_categories_option'] ,
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	              
		       	)
	    );
	    $wp_customize->add_control('capacious_show_categories_option',
            array(
            'label'      => esc_html__(' Show Categories','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
      ); 



 /**
		 *  Show Tag
	  */
        $wp_customize->add_setting(
	        'capacious_show_tags_option', 
	            array(
	                'default'           => $default['capacious_show_tags_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	               
		       	)
	    );
	    $wp_customize->add_control('capacious_show_tags_option',
            array(
            'label'      => esc_html__(' Show Tags','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
      ); 


    /**
		 *  Show Date
	  */
        $wp_customize->add_setting(
	        'capacious_show_date_option', 
	            array(
	                'default'           => $default['capacious_show_date_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	                 )
	    );
	    $wp_customize->add_control('capacious_show_date_option',
            array(
            'label'      => esc_html__('Show Date','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 	


    /**
		 *  Show Author
	  */
        $wp_customize->add_setting(
	        'capacious_show_author_option', 
	            array(
	                'default'           => $default['capacious_show_author_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	               
		       	)
	    );
	    $wp_customize->add_control('capacious_show_author_option',
            array(
            'label'      => esc_html__('Show Author','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 	

    /**
		 *  Show Comments
	  */
        $wp_customize->add_setting(
	        'capacious_show_number_of_comments_option', 
	            array(
	                'default'           => $default['capacious_show_number_of_comments_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	                
		       	)
	    );
	    $wp_customize->add_control('capacious_show_number_of_comments_option',
            array(
            'label'      => esc_html__('Show Number Of Comments','capacious'),
            'section'   => 'capacious_single_post_design_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 	    



 /*-------------------------------------------------------------------------------------------*/
		/**
		 * Author Info Options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_author_info_option',
		        array(
		            'title'		=> esc_html__( 'Author Info Options', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Show Author Info
	  */
        $wp_customize->add_setting(
	        'capacious_show_author_info_option', 
	            array(
	                'default'           =>  $default['capacious_show_author_info_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	                'transport' => 'refresh'
		       	)
	    );
	    
		$choices=capacious_show_author_info_option();
      $wp_customize->add_control(
	        'capacious_show_author_info_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Show/Hide Show Author Info', 'capacious' ),
		            'section' => 'capacious_author_info_option',
		            'choices'   => $choices,
		            'priority' =>5
	            )
	    );

     /*-------------------------------------------------------------------------------------------*/
		/**
		 * Feature Image Option
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_feature_image_info_option',
		        array(
		            'title'		=> esc_html__( 'Feature Image Option For Single Page', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
     
    /**
		 * Feature Image Option Single page
	  */
        $wp_customize->add_setting(
	        'capacious_show_feature_image_single_option', 
	            array(
	                   'default'           =>   $default['capacious_show_feature_image_single_option'],
	                   'sanitize_callback' => 'capacious_sanitize_select',
	                 )
	    );
	    
		$choices=capacious_show_feature_image_single_option();
      $wp_customize->add_control(
	        'capacious_show_feature_image_single_option',
	            array(
		            'type' => 'radio',
		            'label' => esc_html__( 'Show/Hide Feature Image For Single Page', 'capacious' ),
		            'section' => 'capacious_feature_image_info_option',
		            'choices'   =>$choices,
		            'priority' =>5
	            )
	    );



  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Post Navigation Options
		 *
		 * @since 1.0.0
		 */
		$wp_customize->add_section(
	        'capacious_post_navigation_option',
		        array(
		            'title'		=> esc_html__( 'Post Navigation Options', 'capacious' ),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Post Navigation Options
	  */
        $wp_customize->add_setting(
	        'capacious_navigation_option', 
	            array(
	                'default'           =>  $default['capacious_navigation_option'],
	                'sanitize_callback' => 'capacious_sanitize_select',
	               
		       	)
	    );
	    
	   $choices= capacious_navigation_option(); 
	   $wp_customize->add_control('capacious_navigation_option',
            array(
            'label'      => esc_html__('Navigation Options','capacious'),
            'section'   => 'capacious_post_navigation_option',
            'type'	  	=> 'select',
            'choices'   => $choices,
            'priority'  => 10
         )
    ); 



  /*-------------------------------------------------------------------------------------------*/
		/**
		 * Post Comments Options
		 *
		 * @since 1.0.0
		 */
		$option_discussion = "<a href='".admin_url( 'options-discussion.php' )."' target='_blank'>";
		$wp_customize->add_section(
	        'capacious_post_comments_option',
		        array(
		            'title'		=> esc_html__( 'Post Comments Options', 'capacious' ),
		            'description'    => sprintf( __( 'Further setting are available %1$s here %2$s, and also in single post/page', 'capacious' ), $option_discussion,'</a>'),
		            'panel'     => 'capacious_design_layout_options',
		            'priority'  => 6,
		        )
	    );  
    
      /**
		 * Comment Title
	  */
        $wp_customize->add_setting(
	        'capacious_comment_title_option', 
	            array(
	                'default'           =>  $default['capacious_comment_title_option'],
	                'sanitize_callback' => 'sanitize_text_field',
	                
		       	)
	    );
	    
	   $wp_customize->add_control('capacious_comment_title_option',
            array(
            'label'      => esc_html__('Comment Title','capacious'),
            'section'   => 'capacious_post_comments_option',
            'type'	  	=> 'text',
            'priority'  => 10
         )
    ); 


	/**
		 * Comment Button Text
	  */
        $wp_customize->add_setting(
	        'capacious_comment_button_text_option', 
	            array(
	                'default'           =>   $default['capacious_comment_button_text_option'],
	                'sanitize_callback' => 'sanitize_text_field',
	                'transport' => 'refresh'
		       	)
	    );
	    
	   $wp_customize->add_control('capacious_comment_button_text_option',
            array(
            'label'      => esc_html__('Comment Button Text','capacious'),
            'section'   => 'capacious_post_comments_option',
            'type'	  	=> 'text',
            'priority'  => 10
         )
    ); 


	/**
		 * Comment Note After
	  */
        $wp_customize->add_setting(
	        'capacious_comment_note_after_option', 
	            array(
	            	 'default'          => $default['capacious_comment_note_after_option'],
	                'sanitize_callback' => 'wp_kses_post',
	              
		       	)
	    );
	    
	   $wp_customize->add_control('capacious_comment_note_after_option',
            array(
            'label'      => esc_html__('Comment Note After','capacious'),
            'section'   => 'capacious_post_comments_option',
            'type'	  	=> 'textarea',
            'priority'  => 10
         )
    ); 


	/**
		 *  Hide Comment
	  */
        $wp_customize->add_setting(
	        'capacious_hide_comment_option', 
	            array(
	                'default'           => $default['capacious_hide_comment_option'],
	                'sanitize_callback' => 'capacious_sanitize_checkbox',
	              
		       	)
	    );
	    $wp_customize->add_control('capacious_hide_comment_option',
            array(
            'label'      => esc_html__(' Show/Hide  Comment','capacious'),
            'section'   => 'capacious_post_comments_option',
            'type'	  	=> 'checkbox',
            'priority'  => 10
         )
    ); 

