<?php
/**
 * Capacious default theme options.
 *
 * @package Canyon Themes
 * @subpackage Capacious
 */

if ( !function_exists('capacious_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function capacious_get_default_theme_options()
    {

        $default = array();
 
        // Top Header Section [Added]
        $default['capacious_top_header_section'] = 'show';
        $default['capacious_phone_number_icon'] ='fa-phone';
        $default['capacious_top_header_phone_no'] = esc_html__('+ 1 (1800) 459 123 7', 'capacious');
        $default['capacious_email_icon'] = 'fa-envelope-o';
        $default['capacious_top_header_email'] = esc_html__('example@gmail.com', 'capacious');
        $default['capacious_breadcrump_option'] = 'simple';
        $default['capacious_post_pagination_option'] = 'default';
        $default['capacious_post_search_placeholder_option'] =esc_html__('Search', 'capacious');
        $default['capacious_button_design_layout_option'] ='rectangle';
        $default['capacious_loader_bg_color']= '#1991EC';
        $default['capacious_loder_enable']= 1;
        $default['capacious_about_character_limit']= 100;
        $default['capacious_our_chairman_character_limit']= 30;
        $default['capacious_services_character_limit']= 7;
        $default['capacious_services_show_link_option']= 0;
        $default['capacious_what_we_offer_show_link_option']= 0;

        // footer copyright. [Added]
        $default['capacious_copyright_text_option'] = wp_kses_post('Copyright © capacious 2017. All rights reserved.','capacious');
        $default['capacious_powered_by_text_option'] = wp_kses_post('Capacious Pro by <a href="https://www.canyonthemes.com"> Canyon Themes</a>','capacious');
        $default['capacious_hide_power_by_text'] = 1;

        $default['capacious_hide_footer_social_icon'] = 0;
        $default['capacious_footer_section_color'] = 'rgba(0, 0, 0, 0.7)';
        $default['capacious_footer_section_border_top_color'] = '#233346';
        $default['capacious_footer_copyright_color'] = '#a1b1bc';

        
        // Home Page Top header Info.[added]
        $default['capacious_homepage_hide_front_page_option'] = 'show';
        $default['capacious_homepage_slider_option'] = 'show';
        $default['capacious_slider_section_id'] = esc_html__('home', 'capacious');
        $default['capacious_slider_cat_id'] = 0; 
        $default['capacious_slider_get_started_txt'] = esc_html__('Get Started','capacious');
        $default['capacious_homepage_quote_option'] = 'hide';
        $default['capacious_quote_section_title'] = esc_html__('Quote','capacious');
        $default['capacious_quote_get_a_quate_txt'] = esc_html__('Get a quote','capacious');
      
        $default['capacious_quote_get_a_quate_link'] = esc_html__('www.example.com', 'capacious');
        $default['capacious_homepage_about_option'] = 'hide'; 
        $default['capacious_about_section_id'] = esc_html__('about-us','capacious');
        $default['capacious_about_section_title'] = esc_html__('About','capacious');
        $default['capacious_about_section_sub_title'] = esc_html__('Who We Are','capacious');
        $default['capacious_about_page_id'] = 0;

        $default['capacious_about_read_more_txt'] = esc_html__('Read More', 'capacious');
        $default['capacious_our_chairman_section'] = esc_html__('Meet Our Chairman','capacious'); 
        $default['capacious_homepage_our_chairman_option'] = 'hide';
        $default['capacious_our_chairman_section_title'] = esc_html__('MEET OUR CHAIRMAN','capacious');
        $default['capacious_our_chairman_section_sub_title'] = esc_html__('LOREM IPSUM IS SIMPLY','capacious');
        $default['capacious_our_chairman_page_id'] = 0;


        $default['capacious_our_chairman_get_in_touch_txt'] = esc_html__('Get In Touch', 'capacious');
        $default['capacious_our_chairman_section_image'] = ''; 
        $default['capacious_homepage_service_option'] = 'hide';
 
        $default['capacious_services_section_id'] = esc_html__( 'services', 'capacious' );
        $default['capacious_services_section_title'] = esc_html__('Our Services','capacious');
        $default['capacious_services_section_sub_title'] = esc_html__('Our Works','capacious');
       
        

        $default['capacious_homepage_satisfied_clients_option'] = 'hide';
        $default['capacious_satisfied_clients_section_title'] = esc_html__( 'ALL AROUND THE WORLD', 'capacious' );
        $default['capacious_satisfied_clients_section_description'] = esc_html__('Our description','capacious');
        $default['capacious_satisfied_clients_section_cat_id'] = 0;
       

        $default['capacious_what_we_offer_section'] = esc_html__('What we offer Section', 'capacious');
        $default['capacious_homepage_what_we_offer_option'] = 'hide'; 
        $default['capacious_what_we_offer_section_id'] = esc_html__( 'whatwe', 'capacious' );
        $default['capacious_what_we_offer_section_title'] = esc_html__('Our What we offer','capacious');
        $default['capacious_what_we_offer_section_sub_title'] = esc_html__('ALL AROUND THE WORLD','capacious');
        $default['capacious_what_we_offer_section_description'] = esc_html__('Description Goes Here','capacious');

        $default['capacious_homepage_our_team_option'] = 'hide';
        $default['capacious_our_team_section_id'] = esc_html__( 'team', 'capacious' );
        $default['capacious_our_team_section_title'] = esc_html__('Our Team','capacious');
        $default['capacious_our_team_section_sub_title'] = esc_html__( 'MEET OUR DEDICATED AWESOME TEAM', 'capacious' );

        $default['capacious_our_team_section_view_all_text'] = esc_html__('View All','capacious');
        $default['capacious_our_team_section_view_all_text_url'] = '#';
        $default['capacious_our_team_cat_id'] = 0;
        $default['capacious_our_team_no_of_post_section'] = 4;
        $default['capacious_team_section_background_color_option'] = '#00aeff';
        $default['capacious_team_section_text_color_option'] = '#a3a3a3';
        $default['capacious_team_section_text_hover_color_option'] = '#a3a3a3';
        $default['capacious_team_section_background_hover_color_option'] = '#a3a3a3';
        $default['capacious_team_section_social_font_color_option'] = '#ffffff';
        $default['capacious_homepage_testimonials_option'] = 'hide';
        $default['capacious_testimonial_section_id'] = esc_html__( 'testimonial', 'capacious' );
        $default['capacious_testimonials_cat_id'] = 0;
        $default['capacious_overlay_color_setting'] = 'rgba(17, 33, 52, 0.8)';
        $default['capacious_testimonial_blockquote_border_color_option'] = '#00aeff';
        $default['capacious_testimonial_blockquote_name_color_option'] = '#008ed6';
       
         // Font Awesome Icon list for service and offer page
       
        $default['capacious_service_icon_0'] = 'fa-desktop';
        $default['capacious_service_icon_1'] = 'fa-mobile';
        $default['capacious_service_icon_2'] = 'fa-print';
        $default['capacious_service_icon_3'] = 'fa-flash';
        $default['capacious_service_icon_4'] = 'fa-music';
        $default['capacious_service_icon_5'] = 'fa-support';

        $default['capacious_what_we_offer_icon_0'] = 'fa-desktop';
        $default['capacious_what_we_offer_icon_1'] = 'fa-mobile';
        $default['capacious_what_we_offer_icon_2'] = 'fa-print';
        $default['capacious_what_we_offer_icon_3'] = 'fa-flash';
        $default['capacious_what_we_offer_icon_4'] = 'fa-music';
        $default['capacious_what_we_offer_icon_5'] = 'fa-support';


        // Blog.
        $default['capacious_homepage_blog_option'] = 'hide';
        $default['capacious_blog_section_id'] = esc_html__( 'blog', 'capacious' );
        $default['capacious_blog_section_title'] = esc_html__( 'Blog', 'capacious' );
        $default['capacious_blog_section_sub_title'] = esc_html__( 'Blog Short Description', 'capacious' );
         $default['capacious_blog_section_view_all_text'] = esc_html__( 'View All', 'capacious' );
        $default['capacious_blog_categories_id'] = 0;
        $default['capacious_sidebar_layout_option'] = 'right-sidebar'; 
        $default['capacious_blog_title_option'] = esc_html__('Latest Blog', 'capacious');
        $default['capacious_blog_excerpt_option'] = 'excerpt';
        $default['capacious_description_lenght_option'] = 40; 
        $default['capacious_exclude_cat_blog_archive_option'] = ''; 
        $default['capacious_readmore_text_blog_archive_option'] = esc_html__('Read More', 'capacious'); 
        $default['capacious_image_display_option'] = 'full';
        $default['capacious_image_layout_option'] = 'left-image'; 
        $default['capacious_blog_show_date_option'] = 1; 
        $default['capacious_blog_show_author_option'] = 1;
        $default['capacious_blog_show_cats_option'] = 1; 
        $default['capacious_blog_show_tags_option'] = 1; 
        $default['capacious_blog_show_comments_option'] = 1; 
         $default['capacious_columns_option'] = 'col-sm-12';
        
         // Single Post option
        $default['capacious_related_post_hide_option'] = 'hide'; 
        $default['capacious_related_post_title_option'] = esc_html__('Related posts', 'capacious'); 
        $default['capacious_select_number_of_columns_option'] =3;
        $default['capacious_number_of_post_show_option'] = 3; 
        $default['capacious_number_of_words_show_option'] = 15;
        $default['capacious_show_categories_option'] = 1;
        $default['capacious_show_image_option'] = 1;
        $default['capacious_show_tags_option'] =1; 
        $default['capacious_show_date_option'] = 1; 
        $default['capacious_show_author_option'] = 1; 
        $default['capacious_show_number_of_comments_option'] = 1; 

        //Author Info Options
        $default['capacious_show_author_info_option'] = 'hide'; 

        //Post Navigation Options
        $default['capacious_navigation_option'] = 'title-only'; 

        //Post Comments Options
        $default['capacious_comment_title_option'] = esc_html__('Leave a Comment','capacious'); 
        $default['capacious_comment_button_text_option'] = esc_html__('Add Comment','capacious'); 
        $default['capacious_comment_note_after_option'] = ''; 
        $default['capacious_hide_comment_option'] = 1; 

        // Details page.
        $default['capacious_show_feature_image_single_option'] = 'show'; 

        // Basic Color Option.
        $default['capacious_primary_color_option'] = '#00AEFF';
        $default['capacious_top_header_background_color'] = '#ffffff';
        $default['capacious_top_footer_background_color'] = '#1A1E21';
        $default['capacious_bottom_footer_background_color'] = '#111315';
        $default['capacious_site_title_color_option'] = '#00AEFF'; 
        $default['capacious_site_title_hover_color_option'] = '#00AEFF';
        $default['capacious_site_tagline_color_option'] = '#000000';
        $default['capacious_body_paragraph_color_option'] = '#000000';
        $default['capacious_heading_color_option'] = '#00AEFF';
        $default['capacious_link_color_option'] = '#000000'; 
        $default['capacious_link_hover_color_option'] = '#00AEFF';
        
        // Advance Color Option.[Added]
        $default['capacious_menu_navbar_bg_color_option'] = '#ffffff';
        $default['capacious_menu_active_bg_color_option'] = '#00AEFF';
        $default['capacious_menu_hover_bg_color_option'] = '#00AEFF';
        $default['capacious_menu_text_color_option'] = '#4d4d4d';
        $default['capacious_breadcrumb_bg_color_option'] = '#0095E6'; 

        $default['capacious_quote_color_option'] = '#00AEFF'; 
        
        $default['capacious_contact_section_border_color_option'] = '#00AEFF';
        $default['capacious_contact_section_font_color_option'] = '#00AEFF';
        $default['capacious_service_icon_border_color_option'] = '#00aeff';
        $default['capacious_top_header_fontawesome_color'] = '#ffffff';
        $default['capacious_h1_before_border_color_option'] = '#00aeff';
        $default['capacious_h1_footer_before_border_color_option'] = '#00aeff';
        $default['capacious_top_header_banner_color'] = '#112134';
        $default['capacious_top_header_phone_no_text_color'] = '#ffffff';

        $default['capacious_footer_heading_color_option'] = '#ffffff';
        $default['capacious_footer_text_color_option'] = '#a1b1bc';
        $default['capacious_top_header_banner_color'] = '#112134';
        $default['capacious_top_header_phone_no_text_color'] = '#ffffff';

        //Top Scroll Color [added]
        $default['capacious_top_scroll_icon_color'] = '#ffffff';
        $default['capacious_top_scroll_bg_color'] = 'rgba(0, 0, 0, 0.7)';

         //Top BOdy bg Color [added]
        $default['capacious_bg_color_option'] = '#ffffff';
       
       //Button Text Color Option [added]
        $default['capacious_button_text_color_option'] = '#ffffff';
        $default['capacious_button_color_option'] ='#00AEFF';

        //Sidebar Color Option [Added]
        $default['capacious_sidebar_bg_color_option'] = '#ffffff';
        $default['capacious_sidebar_widget_title_color_option'] = '#0095E6';
        $default['capacious_widget_text_color_option'] = '#888888';
        $default['capacious_widget_text_hover_color_option'] = '#00A8EF';
        $default['capacious_widget_border_color_option'] = '#eeeeee';
        $default['capacious_title_before_border_color_option'] = '#00AEFF';

        // Theme Options[added]
        $default['capacious_post_pagination_option'] = 'default';
        $default['capacious_button_design_layout_option'] = 'rectangle';

        // Font Options

        $default['capacious_site_title_fonts_section'] = wp_kses_post( 'Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','capacious'); 
        $default['capacious_site_title_fonts_name'] =  wp_kses_post("'Open Sans', sans-serif", 'capacious'); 
        $default['capacious_site_tageline_fonts_section'] = wp_kses_post('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','capacious'); 
        $default['capacious_site_tagline_fonts_name'] =wp_kses_post("'Open Sans', sans-serif",'capacious'); 
        $default['capacious_menu_fonts_section'] = wp_kses_post('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','capacious'); 

        $default['capacious_menu_fonts_name'] =  wp_kses_post( "'Open Sans', sans-serif",'capacious'); 
        $default['capacious_body_fonts_section_title'] = ''; 
        $default['capacious_body_fonts_section'] = wp_kses_post('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','capacious'); 
        $default['capacious_body_fonts_family'] = wp_kses_post("'Open Sans', sans-serif",'capacious');

        //Heading Fonts family
        $default['capacious_heading_fonts_section_title'] = ""; 
        $default['capacious_heading_fonts_name'] = wp_kses_post('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','capacious'); 
        $default['capacious_heading_fonts_family'] = wp_kses_post("'Open Sans', sans-serif",'capacious'); 
 
        //Fonts Size Options
        $default['capacious_site_title'] = 35; 
        $default['capacious_site_description'] = 15; 
        $default['capacious_menu_item_font_size'] = 14; 
        $default['capacious_h1_font_size'] = 35;
        $default['capacious_h2_font_size'] = 30;
        $default['capacious_h3_font_size'] = 26;
        $default['capacious_h4_font_size'] = 24;
        $default['capacious_h5_font_size'] = 20;
        $default['capacious_h6_font_size'] = 15;
        $default['capacious_body_font_size'] = 14; 
        $default['capacious_front_page_hide_option'] = 0;
        $default['capacious_hide_breadcrumb_front_page_option'] = 1;
        $default['capacious_breadcrumb_setting_option'] = 'simple';
        $default['capacious_post_search_placeholder_option'] = esc_html__('Search', 'capacious');
       
         $default['capacious_reset_value_option'] = 'do-not-reset';

        //Contact us Default Value[added]
          $default['capacious_homepage_contact_option'] = 'hide';
          $default['capacious_contact_section_id'] = esc_html__( 'contact-us', 'capacious' );
          $default['capacious_contact_section_title'] = esc_html__( 'NICE TO HEAR FROM YOU', 'capacious' );
          $default['capacious_contact_section_sub_title'] = esc_html__( 'SEND A MESSAGE USING THE FORM BELOW!', 'capacious' );
          $default['capacious_contact_section_opening_hours'] = esc_html__( 'Our support Hotline is available 24 Hours a day : (123) 456-7890', 'capacious' );
          $default['capacious_contact_section_opening_hours_icon'] = 'fa-support';
          $default['capacious_contact_section_business_hour_text'] = esc_html__( 'Business Hours', 'capacious' );
          $default['capacious_contact_section_opening_days_icon'] = 'fa-clock-o';
          $default['capacious_contact_section_opening_days'] = esc_html__( 'Monday-Friday : 9am to 6pm, - Saturday : 10am to 2pm', 'capacious' );
          $default['capacious_contact_section_building_address'] = esc_html__( 'Address: 557 Cyan Avenue, Suite 65, New York, CA 9008', 'capacious' );
          $default['capacious_contact_section_building_address_icon'] = 'fa-map-marker';
          $default['capacious_contact_section_building_address_text'] = esc_html__( 'Building Address', 'capacious' );
          $default['capacious_contact_section_email_address'] = esc_html__( 'example@gmail.com, info.example@gmail.com', 'capacious' );
          $default['capacious_contact_section_email_icon'] = 'fa-envelope-o';
          $default['capacious_contact_section_email_text'] = esc_html__( 'Email', 'capacious' );
          $default['capacious_contact_section_cell_phone'] = esc_html__( '(123) 456-7890', 'capacious' );
          $default['capacious_contact_section_cell_no_icon'] = 'fa-phone';
          $default['capacious_contact_section_cell_phone_text'] = esc_html__('Cell Phone', 'capacious' );
          $default['capacious_purchase_section'] = esc_html__('Hero Section', 'capacious' );
          $default['capacious_homepage_hero_option'] = 'hide';
          $default['capacious_hero_section_title'] = esc_html__('Hero', 'capacious' );
          $default['capacious_hero_purchase_txt'] = esc_html__('Purchase', 'capacious' );
          $default['capacious_hero_purchase_link'] = esc_html__('www.example.com', 'capacious' );
          $default['capacious_homepage_google_map_option'] = 'hide';
          $default['capacious_google_map_api_key'] = esc_html__('AIzaSyCcSoZc93wAPCPS2m0sO4aY58jpKkhO3pc', 'capacious' );
          $default['capacious_google_map_latitude'] = esc_html__( '-37.812802', 'capacious' );
          $default['capacious_google_map_longitude'] = esc_html__( '144.956981', 'capacious' );
        // Pass through filter.
        $default = apply_filters( 'capacious_get_default_theme_options', $default );
        return $default;
    }
endif;
