<?php 
/**
 * Sidebar layout options
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_sidebar_layout
 *
 */
if ( !function_exists('capacious_sidebar_layout') ) :
    function capacious_sidebar_layout() {
        $capacious_sidebar_layout =  array(
            'right-sidebar' => esc_html__( 'Right Sidebar', 'capacious'),
            'left-sidebar'  => esc_html__( 'Left Sidebar' , 'capacious'),
            'no-sidebar'    => esc_html__( 'No Sidebar'   , 'capacious')
        );
        return apply_filters( 'capacious_sidebar_layout', $capacious_sidebar_layout );
    }
endif;


/**
 * Blog/Archive Layout Optio
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_blog_layout
 *
 */
if ( !function_exists('capacious_blog_layout') ) :
    function capacious_blog_layout() {
        $capacious_blog_layout =  array(
            'left-image' => esc_html__( 'Left Image', 'capacious'),
            'right-image' => esc_html__( 'Right Image', 'capacious'),
            'large-image'  => esc_html__( 'Large Image' , 'capacious'),
            'alternate-image'    => esc_html__( 'Alternate Image', 'capacious'),
            'no-image'    => esc_html__( 'No Image', 'capacious')
        );
        return apply_filters( 'capacious_blog_layout', $capacious_blog_layout );
    }
endif;


/**
 * Show/HIde Related Posts In Single Post
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_show_realted_post_layout
 *
 */
if ( !function_exists('capacious_show_realted_post_layout') ) :
    function capacious_show_realted_post_layout() {
        $capacious_show_realted_post_layout =  array(
                                        'show'  => esc_html__( 'Show', 'capacious' ),
                                         'hide'  => esc_html__( 'Hide', 'capacious' )
                                      );
        return apply_filters( 'capacious_show_realted_post_layout', $capacious_show_realted_post_layout );
    }
endif;


/**
 * Show/Hide Show Author Info
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_show_author_info_option
 *
 */
if ( !function_exists('capacious_show_author_info_option') ) :
    function capacious_show_author_info_option() {
        $capacious_show_author_info_option =  array(
                                        'show'  => esc_html__( 'Show', 'capacious' ),
                                         'hide'  => esc_html__( 'Hide', 'capacious' )
                                      );
        return apply_filters( 'capacious_show_author_info_option', $capacious_show_author_info_option );
    }
endif;

/**
 * Show/Hide Feature Image For Single Page
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_show_feature_image_single_option
 *
 */
if ( !function_exists('capacious_show_feature_image_single_option') ) :
    function capacious_show_feature_image_single_option() {
        $capacious_show_feature_image_single_option =  array(
                                        'show'  => esc_html__( 'Show', 'capacious' ),
                                         'hide'  => esc_html__( 'Hide', 'capacious' )
                                      );
        return apply_filters( 'capacious_show_feature_image_single_option', $capacious_show_feature_image_single_option );
    }
endif;


/**
 * Navigation Options
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_navigation_option
 *
 */
if ( !function_exists('capacious_navigation_option') ) :
    function capacious_navigation_option() {
        $capacious_navigation_option =  array(
                                        'title-only'    => esc_html__( 'Default ( Title )', 'capacious' ),
                                        'title-image'   => esc_html__( 'Title and image', 'capacious' ),
                                        'image-only'    => esc_html__( 'Image', 'capacious' ),
                                      );
        return apply_filters( 'capacious_navigation_option', $capacious_navigation_option );
    }
endif;

/**
 * Top Header Info Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_top_header_section
 *
 */
if ( !function_exists('capacious_top_header_section') ) :
    function capacious_top_header_section() {
        $capacious_top_header_section =  array(
                                         'show'     => esc_html__( 'Show', 'capacious' ),
                                         'hide'  => esc_html__( 'Hide', 'capacious' )
                                      );
        return apply_filters( 'capacious_top_header_section', $capacious_top_header_section );
    }
endif;


/**
 * Breadcrumb Options
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_breadcrump_option
 *
 */
if ( !function_exists('capacious_breadcrump_option') ) :
    function capacious_breadcrump_option() {
        $capacious_breadcrump_option =  array(
                                            'simple'  => esc_html__( 'Theme Default', 'capacious' ),
                                            'advanced'  => esc_html__( 'Advanced : Breadcrumb NavXT', 'capacious' ),
                                            'disable'   => esc_html__( 'Disable', 'capacious' )
                                      );
        return apply_filters( 'capacious_breadcrump_option', $capacious_breadcrump_option );
    }
endif;


/**
 * Pagination Options
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_post_pagination_option
 *
 */
if ( !function_exists('capacious_post_pagination_option') ) :
    function capacious_post_pagination_option() {
        $capacious_post_pagination_option =  array(
                                             'default'  => esc_html__( 'Default', 'capacious' ),
                                             'numeric'   => esc_html__( 'Numeric', 'capacious' )
                                              );
        return apply_filters( 'capacious_post_pagination_option', $capacious_post_pagination_option );
    }
endif;


/**
 * Button Design
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_button_design_layout_option
 *
 */
if ( !function_exists('capacious_button_design_layout_option') ) :
    function capacious_button_design_layout_option() {
        $capacious_button_design_layout_option =  array(
                                             'rectangle'    => esc_html__( 'Rectangle', 'capacious' ),
                                             'rounded-rectangle'     => esc_html__( 'Rounded Rectangle', 'capacious' )
                                              );
        return apply_filters( 'capacious_button_design_layout_option', $capacious_button_design_layout_option );
    }
endif;

/**
 * Hide Front Page Content
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_hide_front_page_option
 *
 */
if ( !function_exists('capacious_homepage_hide_front_page_option') ) :
    function capacious_homepage_hide_front_page_option() {
        $capacious_homepage_hide_front_page_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                            'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_hide_front_page_option', $capacious_homepage_hide_front_page_option );
    }
endif;



/**
 * Slider Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_slider_option
 *
 */
if ( !function_exists('capacious_homepage_slider_option') ) :
    function capacious_homepage_slider_option() {
        $capacious_homepage_slider_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_slider_option', $capacious_homepage_slider_option );
    }
endif;


/**
 * Show/hide option for Homepage Quote Section
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_quote_option
 *
 */
if ( !function_exists('capacious_homepage_quote_option') ) :
    function capacious_homepage_quote_option() {
        $capacious_homepage_quote_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_quote_option', $capacious_homepage_quote_option );
    }
endif;


/**
 * About Section Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_about_option
 *
 */
if ( !function_exists('capacious_homepage_about_option') ) :
    function capacious_homepage_about_option() {
        $capacious_homepage_about_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_about_option', $capacious_homepage_about_option );
    }
endif;

/**
 * Meet Our Chairman Section Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_our_chairman_option
 *
 */
if ( !function_exists('capacious_homepage_our_chairman_option') ) :
    function capacious_homepage_our_chairman_option() {
        $capacious_homepage_our_chairman_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_our_chairman_option', $capacious_homepage_our_chairman_option );
    }
endif;


/**
 * Services Section Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_service_option
 *
 */
if ( !function_exists('capacious_homepage_service_option') ) :
    function capacious_homepage_service_option() {
        $capacious_homepage_service_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_service_option', $capacious_homepage_service_option );
    }
endif;


/**
 * Satisfied Clients Section Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_satisfied_clients_option
 *
 */
if ( !function_exists('capacious_homepage_satisfied_clients_option') ) :
    function capacious_homepage_satisfied_clients_option() {
        $capacious_homepage_satisfied_clients_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_satisfied_clients_option', $capacious_homepage_satisfied_clients_option );
    }
endif;

/**
 * What we offer Section Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_what_we_offer_option
 *
 */
if ( !function_exists('capacious_homepage_what_we_offer_option') ) :
    function capacious_homepage_what_we_offer_option() {
        $capacious_homepage_what_we_offer_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_what_we_offer_option', $capacious_homepage_what_we_offer_option);
    }
endif;

/**
 * Meet Our Team Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_our_team_option
 *
 */
if ( !function_exists('capacious_homepage_our_team_option') ) :
    function capacious_homepage_our_team_option() {
        $capacious_homepage_our_team_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_our_team_option', $capacious_homepage_our_team_option);
    }
endif;


/**
 * Testimonials Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_testimonials_option
 *
 */
if ( !function_exists('capacious_homepage_testimonials_option') ) :
    function capacious_homepage_testimonials_option() {
        $capacious_homepage_testimonials_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_testimonials_option', $capacious_homepage_testimonials_option);
    }
endif;


/**
 * Blog Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_blog_option
 *
 */
if ( !function_exists('capacious_homepage_blog_option') ) :
    function capacious_homepage_blog_option() {
        $capacious_homepage_blog_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_blog_option', $capacious_homepage_blog_option);
    }
endif;


/**
 * Contact Us Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_contact_option
 *
 */
if ( !function_exists('capacious_homepage_contact_option') ) :
    function capacious_homepage_contact_option() {
        $capacious_homepage_contact_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_contact_option', $capacious_homepage_contact_option);
    }
endif;

/**
 * Hero Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_hero_option
 *
 */
if ( !function_exists('capacious_homepage_hero_option') ) :
    function capacious_homepage_hero_option() {
        $capacious_homepage_hero_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_hero_option', $capacious_homepage_hero_option);
    }
endif;


/**
 * Google Map Section Option
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_homepage_google_map_option
 *
 */
if ( !function_exists('capacious_homepage_google_map_option') ) :
    function capacious_homepage_google_map_option() {
        $capacious_homepage_google_map_option =  array(
                                             'show'     => esc_html__( 'Show', 'capacious' ),
                                             'hide'  => esc_html__( 'Hide', 'capacious' )
                                              );
        return apply_filters( 'capacious_homepage_google_map_option', $capacious_homepage_google_map_option);
    }
endif;



/**
 * Blog/Archive Description Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_blog_excerpt
 *
 */
if ( !function_exists('capacious_blog_excerpt') ) :
    function capacious_blog_excerpt() {
        $capacious_blog_excerpt =  array(
            'excerpt' => esc_html__( 'Excerpt', 'capacious'),
            'content' => esc_html__( 'Content', 'capacious'),
           
        );
        return apply_filters( 'capacious_blog_excerpt', $capacious_blog_excerpt );
    }
endif;


/**
 * Reset Option Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $capacious_pro_reset_option
 *
 */
if ( !function_exists('capacious_pro_reset_option') ) :
    function capacious_pro_reset_option() {
        $capacious_pro_reset_option =  array(
            'do-not-reset' => esc_html__( 'Do Not Reset', 'capacious'),
            'reset-all' => esc_html__( 'Reset All', 'capacious'),
           
        );
        return apply_filters( 'capacious_pro_reset_option', $capacious_pro_reset_option );
    }
endif;




/**
 * Image display options
 *
 * @since capacious 1.0.0
 *
 * @param null
 * 
 *
 */
if ( !function_exists('capacious_image_display_option') ) :
    function capacious_image_display_option() {
        $capacious_image_display_option =  array(
            'thumbnail'  => esc_html__( 'Thumbnail (150x150)' , 'capacious'),
            'medium'  => esc_html__( 'Medium (640x426)' , 'capacious'),
            'large'    => esc_html__( 'Large (1024x1024)', 'capacious'),
            'full'    => esc_html__( 'Full (original)', 'capacious'),
            'post-thumbnail'    => esc_html__( 'Post Thumbnail (340x240)', 'capacious')
        );
        return apply_filters( 'capacious_image_display_option', $capacious_image_display_option );
    }
endif;


/**
 * Functions for get_theme_mod()
 *
 * @package Canyon Themes
 * @subpackage Capacious
 */

if (!function_exists('capacious_get_option')) :

    /**
     * Get theme option.
     *
     * @since 1.0.0
     *
     * @param string $key Option key.
     * @return mixed Option value.
     */
    function capacious_get_option($key = '')
    {
        if (empty($key))
        {
            return ;
        }
        $capacious_default_options = capacious_get_default_theme_options();

        $default = (isset($capacious_default_options[$key])) ? $capacious_default_options[$key] : '';

        $theme_option = get_theme_mod($key, $default);

        return $theme_option;

    }

endif;



//=============================================================
// Color reset
//=============================================================
if ( ! function_exists( 'capacious_pro_reset_colors' ) ) :

    function capacious_pro_reset_colors($data) {

         set_theme_mod('top_header_phone_no_text_color','#ffffff');
         set_theme_mod('top_header_fontawesome_color','#ffffff');
         set_theme_mod('top_header_banner_color','#112134');
         set_theme_mod('top_scroll_bg_color','rgba(0, 0, 0, 0.7)');
         set_theme_mod('top_scroll_icon_color','#ffffff');
         set_theme_mod('top_scroll_hover_color','rgba(0, 0, 0, 0.4)');
         set_theme_mod('capacious_overlay_color_setting','rgba(17, 33, 52, 0.8)');
         set_theme_mod('capacious_testimonial_blockquote_border_color_option','#00AEFF');
         set_theme_mod('capacious_testimonial_blockquote_name_color_option','#008ED6');
         set_theme_mod('capacious_team_section_background_color_option','#00AEFF');
         set_theme_mod('capacious_team_section_text_color_option','#a3a3a3');
         set_theme_mod('capacious_team_section_text_hover_color_option','#ffffff');
         set_theme_mod('capacious_team_section_background_hover_color_option','#686868');
         set_theme_mod('capacious_team_section_social_font_color_option','#00AEFF');
         set_theme_mod('button_color_option','#00AEF0');
         set_theme_mod('button_text_color_option','#ffffff');
         set_theme_mod('capacious_body_fonts_family',"'Raleway', sans-serif'");
         set_theme_mod('capacious_body_font_size',13);
         set_theme_mod('capacious_link_color_option','#00A8EF');
         set_theme_mod('capacious_link_hover_color_option','#00A8EF');

         set_theme_mod('capacious_loader_bg_color','#ffffff');
         set_theme_mod('capacious_primary_color_option','#00A8EF');
         set_theme_mod('capacious_bg_color_option','#ffffff');
         set_theme_mod('capacious_body_paragraph_color_option','#000000');
         set_theme_mod('capacious_quote_color_option','#00AEFF');
         set_theme_mod('capacious_service_icon_border_color_option','#00AEFF');
         set_theme_mod('capacious_h1_before_border_color_option','#00AEFF');

         set_theme_mod('capacious_widget_title_color_option','#00A8EF');
         set_theme_mod('capacious_h1_footer_before_border_color_option','#00A8EF');
         set_theme_mod('capacious_contact_section_border_color_option','#00AEFF');
         set_theme_mod('capacious_contact_section_font_color_option','#00AEFF');
         set_theme_mod('capacious_heading_color_option','#000000');
         set_theme_mod('capacious_h1_font_size',35);
         set_theme_mod('capacious_h2_font_size',30);

         set_theme_mod('capacious_h3_font_size',25);
         set_theme_mod('capacious_h4_font_size',20);
         set_theme_mod('capacious_h5_font_size',15);
         set_theme_mod('capacious_h6_font_size',10);

         set_theme_mod('capacious_site_title_color_option','#00AEFF');
         set_theme_mod('capacious_site_title_hover_color_option','#00AEFF');
         set_theme_mod('capacious_site_tagline_color_option','#000000');

         set_theme_mod('capacious_site_title',20);
         set_theme_mod('capacious_site_title_fonts_name',"'Raleway', sans-serif'");
         set_theme_mod('capacious_site_description',10);
         set_theme_mod('capacious_site_tagline_fonts_name',"'Raleway', sans-seri");

         set_theme_mod('capacious_menu_item_font_size',14);
         set_theme_mod('capacious_menu_fonts_name',"'Raleway', sans-serif'");
         set_theme_mod('capacious_menu_text_color_option','##4d4d4d');
         set_theme_mod('capacious_menu_navbar_bg_color_option','#ffffff');
         set_theme_mod('capacious_menu_active_bg_color_option','#00AEFF');
         set_theme_mod('capacious_menu_hover_bg_color_option','#00AEFF');
         set_theme_mod('capacious_breadcrumb_bg_color_option','#00aef0');
         set_theme_mod('capacious_sidebar_bg_color_option','#ffffff');
         set_theme_mod('footer_section_color','#112134');

         set_theme_mod('footer_section_border_top_color','#233346');
         set_theme_mod('footer_copyright_color','#a1b1bc');
         set_theme_mod('capacious_footer_heading_color_option','#ffffff');
         set_theme_mod('capacious_footer_text_color_option','#a1b1bc');
         
         set_theme_mod('capacious_title_before_border_color_option','#00AEFF');
         set_theme_mod('capacious_sidebar_bg_color_option','#ffffff');
         set_theme_mod('capacious_sidebar_widget_title_color_option','#000000');
         set_theme_mod('capacious_widget_text_color_option','#888888');
         set_theme_mod('capacious_widget_text_hover_color_option','#00A8EF');
         set_theme_mod('capacious_widget_border_color_option','#eeeeee');

         set_theme_mod('capacious_reset_value_option','do-not-reset');
    }

endif;
 add_action( 'capacious_colors_reset', 'capacious_pro_reset_colors', 10 );


