<?php
/**
 * Post Navigation
 *
 * @since Capacious 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('capacious_posts_navigation') ) :
    function capacious_posts_navigation() {
        $capacious_pagination_option = capacious_get_option( 'capacious_post_pagination_option');
        if( 'default' == $capacious_pagination_option ){
            the_posts_navigation();
        }
        else{
            global $wp_query;
            $big = 999999999; // need an unlikely integer
            echo paginate_links(array(
                'base' => str_replace($big, '%#%', esc_url(get_pagenum_link($big))),
                'format' => '?paged=%#%',
                'current' => max(1, get_query_var('paged')),
                'total' => $wp_query->max_num_pages,
                'prev_text' => __('&laquo;', 'capacious'),
                'next_text' => __('&raquo;', 'capacious'),
            ));
        }
    }
endif;
add_action( 'capacious_action_navigation', 'capacious_posts_navigation', 10 );
