<?php
/**
 * Related Post
 *
 * @since Capacious 1.0.0
 *
 * @param null
 * @return void
 *
 */
if ( !function_exists('capacious_related_post_below') ) :

    function capacious_related_post_below( $post_id ) {
        $related_post_hide_option= capacious_get_option( 'capacious_related_post_hide_option');
        $related_post_title_option= capacious_get_option( 'capacious_related_post_title_option');
        $select_number_of_columns_option=capacious_get_option( 'capacious_select_number_of_columns_option');
         $number_of_post_show_option=capacious_get_option( 'capacious_number_of_post_show_option');
         $number_of_words_show_option=capacious_get_option( 'capacious_number_of_words_show_option');
         $show_image_option= capacious_get_option( 'capacious_show_image_option');
         $show_categories_option= capacious_get_option( 'capacious_show_categories_option');
         $show_number_of_comments_option= capacious_get_option( 'capacious_show_number_of_comments_option');
         
         /*--------Number of Column----------*/
         if($select_number_of_columns_option==1)
         {
            $capacious_plus_column = 'col-sm-12 col-md-12';
         }
         elseif ($select_number_of_columns_option==2) {
             $capacious_plus_column = 'col-sm-6 col-md-6';
         }
         elseif ($select_number_of_columns_option==3) {
             $capacious_plus_column = 'col-sm-4 col-md-4';
         }
          elseif ($select_number_of_columns_option==4) {
             $capacious_plus_column = 'col-sm-3 col-md-3';
         }

         if('hide' == $related_post_hide_option){
            return;
        }
        $categories = get_the_category($post_id);
        if ($categories) {
            $category_ids = array();
            foreach ($categories as $category) {
                $category_ids[] = $category->term_id;
                $category_name[] = $category->slug;
            }
           
           $capacious_plus_cat_post_args = array(
                'category__in' => $category_ids,
                'post__not_in' => array($post_id),
                'post_type' => 'post',
                'posts_per_page'      => $number_of_post_show_option,
                'post_status'         => 'publish',
                'ignore_sticky_posts' => true
            );
            $capacious_plus_featured_query = new WP_Query($capacious_plus_cat_post_args);
          ?>
            <div class="clearfix"></div>
            <div class="related-post news-block">
               <header class="entry-header">
                      <h1 class="entry-title"><?php echo esc_html($related_post_title_option); ?></h1>
               </header>
              <?php
                 while($capacious_plus_featured_query->have_posts() ) :
                         $capacious_plus_featured_query->the_post(); ?>
                    <div class="<?php echo esc_html($capacious_plus_column);?>">
                         <?php
                           if($show_image_option==1)
                           {  
                         ?>  
                           <div class="re-post-thumbnail">
                                  <?php if(has_post_thumbnail()) {
                                      the_post_thumbnail('large', array('class' => 'img-responsive'));
                                  } ?>
                            </div>
                         <?php } ?>
                            <div class="news-info text-left">
                              <h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> </h4>
                              <div class="date"><?php capacious_posted_on(); ?></div>
                              <div class="content"><p><?php echo wp_trim_words(get_the_content(),$number_of_words_show_option) ?></p></div>
                            
                           <?php if($show_categories_option==1){ ?>   
                              <div class="name"><span><?php capacious_category_list() ?></span>
                              </div>
                            <?php
                             }
                             if( $show_number_of_comments_option==1)
                             {
                            ?> 
                              <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i> <a href="<?php comments_link(); ?>"><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a>
                              </div>
                           <?php } ?>
                            </div>
                      </div>
                 <?php  endwhile;
                wp_reset_query();
            ?>  
            </div>
            <div class="clearfix"></div>
            <?php
        }
    }

endif;

add_action( 'capacious_related_posts', 'capacious_related_post_below', 10, 1 );