<?php 

class TeamTemplateMetabox{

	public function __construct(){

		add_action( 'add_meta_boxes', array( $this, 'capaciour_pro_designation_metabox' ) );

    add_action( 'add_meta_boxes', array( $this, 'capacious_pro_social_link_metabox' ) );
   
    add_action( 'save_post', array( $this, 'capacious_pro_save_designation_value' ) );

    add_action( 'save_post', array( $this, 'capacious_pro_save_sociallink_value' ) );

	}


public function capaciour_pro_designation_metabox(){

      add_meta_box( 'designation', 
         esc_html__('Designation', 'capacious'), 
         array( $this, 'capacious_pro_generate_designation' ),
         'post',
         'advanced', 
         'high' 
         );
      }

public function capacious_pro_generate_designation( $post ) {
   $values = get_post_meta( $post->ID, 'capacious_pro_designation', true );
    ?>
     <input class="widefat" type="text" name="designation" value="<?php echo esc_attr($values) ?>">
    <?php
     wp_nonce_field( basename(__FILE__), 'capacious_designation_fields_nonce');  
}

public function capacious_pro_social_link_metabox(){

        add_meta_box( 'social_link', 
          esc_html__('Social Link', 'capacious'), 
         array(
               $this, 
            'capacious_pro_generate_social_link' ),
          'post', 
          'advanced',
          'high' 
          );
           

      }

public function capacious_pro_generate_social_link( $post ){

    $facebook = get_post_meta( $post->ID, 'capacious_pro_facebook', true );
    $twitter = get_post_meta( $post->ID, 'capacious_pro_twitter', true );
    $googleplus = get_post_meta( $post->ID, 'capacious_pro_googleplus', true );
    $linkedin = get_post_meta( $post->ID, 'capacious_pro_linkedin', true );
    $instagram = get_post_meta( $post->ID, 'capacious_pro_instagram', true );
    wp_nonce_field( basename(__FILE__), 'capacious_social_link_fields_nonce');       
       ?>
        <label class="widefat" for="products-styles"><?php esc_html_e( 'Facebook', 'capacious' ); ?></label>
        <input class="widefat" type="text" name="facebook" value="<?php echo esc_url($facebook) ?>"></br>
        <label class="widefat" for="products-styles"><?php esc_html_e( 'Twitter', 'capacious' ); ?></label>
        <input class="widefat" type="text" name="twitter" value="<?php echo esc_url($twitter) ?>"></br>
        <label class="widefat" for="products-styles"><?php esc_html_e( 'Google Plus', 'capacious' ); ?></label>
        <input class="widefat" type="text" name="googleplus" value="<?php echo esc_url($googleplus) ?>"></br>
        <label class="widefat" for="products-styles"><?php esc_html_e( 'Linkedin', 'capacious' ); ?></label>
        <input class="widefat" type="text" name="linkedin" value="<?php echo esc_url($linkedin) ?>"></br>
        <label class="widefat" for="products-styles"><?php esc_html_e( 'Instagram', 'capacious' ); ?></label>
        <input class="widefat" type="text" name="instagram" value="<?php echo esc_url($instagram) ?>"></br>
      

    <?php
  }

	public function capacious_pro_save_designation_value($post_id ){

    /*
          * A Guide to Writing Secure Themes – Part 4: Securing Post Meta
          *https://make.wordpress.org/themes/2015/06/09/a-guide-to-writing-secure-themes-part-4-securing-post-meta/
          * */
          if (
              !isset($_POST['capacious_designation_fields_nonce']) ||
              !wp_verify_nonce($_POST['capacious_designation_fields_nonce'], basename(__FILE__)) || /*Protecting against unwanted requests*/
              (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) || /*Dealing with autosaves*/
              !current_user_can('edit_post', $post_id)/*Verifying access rights*/
          ) {
              return;
            }

    if(isset($_POST['designation']) && !empty($_POST['designation']))
    {
       $designation = sanitize_text_field( $_POST['designation'] );
       update_post_meta( $post_id, 'capacious_pro_designation', $designation );
    }
   
   	}


    public function capacious_pro_save_sociallink_value($post_id ){

     /*
        * A Guide to Writing Secure Themes – Part 4: Securing Post Meta
        *https://make.wordpress.org/themes/2015/06/09/a-guide-to-writing-secure-themes-part-4-securing-post-meta/
        * */
        if (
            !isset($_POST['capacious_social_link_fields_nonce']) ||
            !wp_verify_nonce($_POST['capacious_social_link_fields_nonce'], basename(__FILE__)) || /*Protecting against unwanted requests*/
            (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) || /*Dealing with autosaves*/
            !current_user_can('edit_post', $post_id)/*Verifying access rights*/
        ) {
            return;
          }

      if(isset($_POST['facebook']) && !empty($_POST['facebook']))
    {
        $facebook = sanitize_text_field( $_POST['facebook'] );
        update_post_meta( $post_id, 'capacious_pro_facebook', $facebook );
     }
     
     if(isset($_POST['twitter']) && !empty($_POST['twitter']))
    {
       $twitter = sanitize_text_field( $_POST['twitter'] );
       update_post_meta( $post_id, 'capacious_pro_twitter', $twitter );

    }

    if(isset($_POST['googleplus']) && !empty($_POST['googleplus']))
    {
        $googleplus = sanitize_text_field( $_POST['googleplus'] );
        update_post_meta( $post_id, 'capacious_pro_googleplus', $googleplus );

    }

    if(isset($_POST['linkedin']) && !empty($_POST['linkedin']))
    {
        $linkedin = sanitize_text_field( $_POST['linkedin'] );
        update_post_meta( $post_id, 'capacious_pro_linkedin', $linkedin );

    } 

     if(isset($_POST['instagram']) && !empty($_POST['instagram']))
    {
        $instagram = sanitize_text_field( $_POST['instagram'] );
        update_post_meta( $post_id, 'capacious_pro_instagram', $instagram );

    } 
  
  }    

}

$productsMetabox = new TeamTemplateMetabox;




