<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 * Template Name: Our-team
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
get_header();
$breadcrump_option=capacious_get_option( 'capacious_breadcrump_option');

 ?>
<div class="header-space"></div>

	<section id="inner-title" class="inner-title">
  <div class="container">
    <div class="row">
      <div class="col-md-6 col-lg-6"><h2><?php the_title(); ?></h2></div>
      <div class="col-md-6 col-lg-6">
        <div class="breadcrumbs">
          <?php 
            if( 'disable'!=$breadcrump_option){
                  if('advanced' == $breadcrump_option){
                    if( function_exists('bcn_display')){
                      echo '<div id="capacious-plus-breadcrumbs"><div class="breadcrumb-container">';
                      bcn_display();
                      echo "</div></div>";
                    }
                    else{
                     capacious_pro_breadcrumb_trail();
                    }
                  }
                  else{
                   capacious_pro_breadcrumb_trail();
                  }
              }
           ?>
        </div>
      </div>
    </div>
  </div>
</section>

	<section id="primary" class="team-all section-padding">
		<div class="container">
			<div class="row">
				<div class="team-list">
					<?php
					$i=0;
					$section_cat_id = capacious_get_option( 'capacious_our_team_cat_id');
					$no_of_post = capacious_get_option( 'capacious_our_team_no_of_post_section');
					if( !empty( $section_cat_id ) ) {
						  $object = get_queried_object();

                    $tax = $object->taxonomy;

                    $slug = $object->slug;

                     global $wp_query;

                     $paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;   

						$home_team_section = array( 'cat' => $section_cat_id,'posts_per_page' =>$no_of_post,'paged' => $paged,'order'=>'DESC');
						$home_team_section_query = new WP_Query( $home_team_section);
						if( $home_team_section_query->have_posts() ) {
							while( $home_team_section_query->have_posts() ) {
								$home_team_section_query->the_post();
								if(has_post_thumbnail()){
								$image_id = get_post_thumbnail_id();
								$image_path = wp_get_attachment_image_src( $image_id, 'small', true );
							   }
								$designation = get_post_meta( get_the_ID(), 'capacious_pro_designation', true );
								$facebook = get_post_meta( get_the_ID(), 'capacious_pro_facebook', true );
								$twitter = get_post_meta( get_the_ID(), 'capacious_pro_twitter', true );
								$googleplus = get_post_meta( get_the_ID(), 'capacious_pro_googleplus', true );
								$linkedin = get_post_meta( get_the_ID(), 'capacious_pro_linkedin', true );
								$instagram = get_post_meta( get_the_ID(), 'capacious_pro_instagram', true );
								?>
								<div class="col-lg-12 col-md-12 col-sm-12 wow <?php if($i%2!=0){ echo 'fadeInRight'; } else { echo 'fadeInLeft'; } ?>">
									<div class="item">
									  <?php if(!empty($image_path[0])) { ?>	
											<div class="col-sm-3 col-md-3 img-wrap">
											  <img src="<?php echo esc_url($image_path[0]);?>" alt="">
											</div>
                                       <?php } ?>
										<div class="col-sm-9 col-md-9 content-wrap ">
										<h6><?php the_title(); ?></h6>
										<span><?php echo esc_html($designation,"capacious") ?></span>
										<?php the_content(); ?>
										<ul class="social">
											<li><a href="<?php echo esc_url($facebook) ?>"><i class="fa fa-facebook"></i></a></li>
											<li><a href="<?php echo  esc_url($twitter) ?>"><i class="fa fa-twitter"></i></a></li>
											<li><a href="<?php echo  esc_url($googleplus) ?>"><i class="fa fa-google-plus"></i></a></li>
											<li><a href="<?php echo  esc_url($linkedin) ?>"><i class="fa fa-linkedin"></i></a></li>
										</ul>
									</div>
									</div>

								</div>
								<?php
								$i++;}
						}
						wp_reset_query();
					}

					echo '<div class="col-sm-12 col-md-12 clearfix">';
					echo     ' <ul class="pagination">';
						
	           						 $big = 999999999; // need an unlikely integer
									echo paginate_links( array(

										'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),

										'format' => '?paged=%#%',

										'current' => max( 1, get_query_var('paged') ),

										'total' => $home_team_section_query->max_num_pages

									) );
					echo		'</ul>';
					echo  '</div>';
					
           
					?>
				</div>
			</div>
		</div>
	</section><!-- #primary -->
<?php get_footer();
