<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
// retrieving Customizer Value 
$section_option =  capacious_get_option( 'capacious_homepage_contact_option' );
if( $section_option != 'hide' ) {
	$section_title =  capacious_get_option( 'capacious_contact_section_title' );
	$section_sub_title =  capacious_get_option( 'capacious_contact_section_sub_title' ) ;
 
  $support_business_hours_text =  capacious_get_option( 'capacious_contact_section_business_hour_text' );

  $support_hour_icon =  capacious_get_option( 'capacious_contact_section_opening_hours_icon');

  $support_hour_text =  capacious_get_option( 'capacious_contact_section_opening_hours' );

  $opening_day_icon =  capacious_get_option( 'capacious_contact_section_opening_days_icon' );

  $opening_day_time =  capacious_get_option( 'capacious_contact_section_opening_days' );

  
  $building_address_text =  capacious_get_option( 'capacious_contact_section_building_address_text');

  $building_address_icon =  capacious_get_option( 'capacious_contact_section_building_address_icon' );

  $building_address =  capacious_get_option( 'capacious_contact_section_building_address' );

  $email_text =  capacious_get_option('capacious_contact_section_email_text' );

  $email_icon = capacious_get_option( 'capacious_contact_section_email_icon' );

  $email =  capacious_get_option( 'capacious_contact_section_email_address');

  $cellphone_text =  capacious_get_option('capacious_contact_section_cell_phone_text' );

  $cellphone_icon = capacious_get_option( 'capacious_contact_section_cell_no_icon');

  $cellphone=  capacious_get_option( 'capacious_contact_section_cell_phone' );

  $contact_section_id =  capacious_get_option( 'capacious_contact_section_id' ) ;
  $section_contact_form= capacious_get_option('capacious_contact_section_form_editor');
  
?>
 <section id="<?php echo esc_attr($contact_section_id) ; ?>" class="contact-section section-padding">
      <div class="container">
        <header class="page-header section-header">
          <h1><?php echo esc_html($section_title) ?></h1>
          <span><?php echo esc_html($section_sub_title) ?></span>
        </header>
      </div>
      <div class="container form-section">
        <div class="row">
          <div class="form col-sm-8 col-md-8 contact-form wow fadeInLeft">
                  <?php echo do_shortcode($section_contact_form); ?>
          </div>
          <div class="contact-detail col-sm-4 col-md-4 col-xs-12 wow fadeInRight">
            
            <ul class="contact-detail">
              <li>
                <h6><?php echo esc_html($support_business_hours_text) ?></h6>
                <p><i class="fa <?php echo esc_attr($support_hour_icon); ?>"></i><?php echo esc_html($support_hour_text); ?></p> 
                <p><i class="fa <?php echo esc_attr($opening_day_icon); ?>"></i><?php echo esc_html($opening_day_time) ?></p>
              </li>
              <li>
                <h6><?php echo esc_html($building_address_text) ?></h6>
                <p><i class="fa <?php echo esc_attr($building_address_icon); ?>"></i><?php echo esc_html($building_address) ?></p>
              </li>
              <li>
                <h6><?php echo esc_html($email_text) ?></h6>
                <p><i class="fa <?php echo esc_attr($email_icon); ?>"></i><?php echo esc_html($email) ?></p>
                <p><i class="fa <?php echo esc_attr($cellphone_icon); ?>"></i><?php echo esc_html($cellphone) ?></p>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </section>
  <?php } ?>