<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package capacious
 */
 $hide_show_feature_image= capacious_get_option( 'capacious_show_feature_image_single_option');
 $hide_show_author_info= capacious_get_option( 'capacious_show_author_info_option');

?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php
		if ( is_single() ) :
			the_title( '<h1 class="entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php capacious_posted_on(); ?>
		</div><!-- .entry-meta -->
		
		<?php
		endif; ?>
	</header><!-- .entry-header -->
	<!--post thumbnal options-->
       <?php 
       	 if($hide_show_feature_image=="show")
       	 {
       ?>
		  <div class="post-thumb">
			 <?php the_post_thumbnail( 'large' ); ?>
		  </div><!-- .post-thumb-->
      <?php } ?>
 
		
	<div class="entry-content">
		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'capacious' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'capacious' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php capacious_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	 <?php
		/*author bio*/
	  
		if('show'== $hide_show_author_info ){
			get_template_part( 'template-parts/content', 'author' );
		}
		?>
</article><!-- #post-## -->
