<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
$copyright  = quality_construction_get_option('quality_construction_copyright');
$powerby    = quality_construction_get_option('quality_construction_powered_by_text_option');
$hide_power = quality_construction_get_option('quality_construction_hide_power_by_text');

if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4')) {

   $count = 0;
    for ( $i = 1; $i <= 4; $i++ )
    {
      if ( is_active_sidebar( 'footer-' . $i ) )
      {
        $count++;
      }
    }
    $column = 3;
    if( $count == 4 ) 
    {
      $column = 3;  
    }
    elseif( $count == 3)
    {
      $column = 4;
    }
    elseif( $count == 2) 
    {
      $column = 6;
    }
    elseif( $count == 1) 
    {
      $column = 12;
    }

  ?>
  <section id="footer-top" class="footer-top">
    <div class="container">
      <div class="row">
        
        <?php
        for ( $i = 1; $i <= 4 ; $i++ )
        {
          if ( is_active_sidebar( 'footer-' . $i ) )
          {
            ?>
              <div class="col-md-<?php echo esc_attr($column) ?>">
                <div class="footer-top-box wow fadeInUp">
                 <?php dynamic_sidebar( 'footer-' . $i ); ?>
                </div>
              </div>
  <?php   }
        }       
  ?>      
       
      </div>
    </div>
  </section>
<?php } ?>
<section id="footer-bottom" class="footer-bottom">
  <div class="container">
    <div class="row">
      <div class="col-md-6">
        <div class="copyright"><?php echo wp_kses_post($copyright); ?> </div>
      </div>
     <?php 
       if($hide_power==1)
       {
     ?>
      <div class="col-md-6">
        <div class="copyright"><?php echo wp_kses_post($powerby); ?></div>
      </div>
     <?php } ?>
    </div>
  </div>
</section>
<a href="#" class="scrollup"><i class="fa fa-angle-up"></i></a>
<?php wp_footer(); ?>
</body>
</html>
