<?php

/**
 * Slider Hide/Show option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array quality_construction_homepage_slider_hide_show_option
 *
 */
if (!function_exists('quality_construction_homepage_slider_hide_show_option')) :
    function quality_construction_homepage_slider_hide_show_option()
    {
        $quality_construction_homepage_slider_hide_show_option = array(
            'show' => esc_html__('Show','quality-construction'),
            'hide' => esc_html__('Hide','quality-construction')
        );
        return apply_filters('quality_construction_reset_option', $quality_construction_homepage_slider_hide_show_option);
    }
endif;

/**
 * Button Design option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_button_design_option
 *
 */
if (!function_exists('quality_construction_button_design_option')) :
    function quality_construction_button_design_option()
    {
        $quality_construction_button_design_option = array(
            'rectangle' 	=> esc_html__( 'Rectangle','quality-construction'),
            'rounded-rectangle' 	=> esc_html__( 'Rounded Rectangle','quality-construction'),
        );
        return apply_filters('quality_construction_reset_option', $quality_construction_button_design_option);
    }
endif;

/**
 * Pagination option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_pagination_option
 *
 */
if (!function_exists('quality_construction_pagination_option')) :
    function quality_construction_pagination_option()
    {
        $quality_construction_pagination_option = array(
            'default' 	=> esc_html__( 'Default','quality-construction'),
            'numeric' 	=> esc_html__( 'Numeric','quality-construction'),
        );
        return apply_filters('quality_construction_reset_option', $quality_construction_pagination_option);
    }
endif;

/**
 * Reset Option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_reset_option
 *
 */
if (!function_exists('quality_construction_reset_option')) :
    function quality_construction_reset_option()
    {
        $quality_construction_reset_option = array(
            'do-not-reset' 	=> esc_html__( 'Do Not Reset','quality-construction'),
            'reset-all' 	=> esc_html__( 'Reset All','quality-construction'),
        );
        return apply_filters('quality_construction_reset_option', $quality_construction_reset_option);
    }
endif;

/**
 * Breadcrumb  display option options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_show_breadcrumb_option
 *
 */
if (!function_exists('quality_construction_show_breadcrumb_option')) :
    function quality_construction_show_breadcrumb_option()
    {
        $quality_construction_show_breadcrumb_option = array(
            'simple' 	=> esc_html__( 'Theme Default','quality-construction'),
            'advanced' 	=> esc_html__( 'Advanced : Breadcrumb NavXT','quality-construction'),
            'disable' 	=> esc_html__( 'Disable','quality-construction')
        );
        return apply_filters('quality_construction_show_breadcrumb_option', $quality_construction_show_breadcrumb_option);
    }
endif;

/**
 * Top header   display option options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_top_header_options
 *
 */
if (!function_exists('quality_construction_top_header_options')) :
    function quality_construction_top_header_options()
    {
        $quality_construction_top_header_options = array(
            'show' 	=> esc_html__( 'Show','quality-construction'),
            'hide' 	=> esc_html__( 'Hide','quality-construction')
        );
        return apply_filters('quality_construction_top_header_options', $quality_construction_top_header_options);
    }
endif;

/**
 * Post Navigation Options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $qquality_construction_navigation_option
 *
 */
if (!function_exists('quality_construction_navigation_option')) :
    function quality_construction_navigation_option()
    {
        $quality_construction_navigation_option = array(
            'title-only' 	=> esc_html__( 'Default ( Title )','quality-construction'),
            'title-image' 	=> esc_html__( 'Title and image','quality-construction'),
            'image-only' 	=> esc_html__( 'Image','quality-construction'),
        );
        return apply_filters('quality_construction_select_number_of_columns_option', $quality_construction_navigation_option);
    }
endif;

/**
 * quality construction show author info option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_show_author_info_option
 *
 */
if (!function_exists('quality_construction_show_author_info_option')) :
    function quality_construction_show_author_info_option()
    {
        $quality_construction_show_author_info_option = array(
            'show' 	=> esc_html__( 'Show','quality-construction'),
            'hide' 	=> esc_html__( 'Hide','quality-construction')
        );
        return apply_filters('quality_construction_select_number_of_columns_option', $quality_construction_show_author_info_option);
    }
endif;

/**
 * quality construction select_number of columns option for realted post
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_select_number_of_columns_reated_post_option
 *
 */
if (!function_exists('quality_construction_select_number_of_columns_reated_post_option')) :
    function quality_construction_select_number_of_columns_reated_post_option()
    {
        $quality_construction_select_number_of_columns_reated_post_option = array(
            '1'     => esc_html__( '1 Columns','quality-construction'),
            '2'  => esc_html__( '2 Columns','quality-construction'),
            '3'  => esc_html__( '3 Columns','quality-construction'),
            '4'  => esc_html__( '4 Columns','quality-construction')
        );
        return apply_filters('quality_construction_select_number_of_columns_reated_post_option', $quality_construction_select_number_of_columns_reated_post_option);
    }
endif;


/**
 * quality construction select_number of columns option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_select_number_of_columns_option
 *
 */
if (!function_exists('quality_construction_select_number_of_columns_option')) :
    function quality_construction_select_number_of_columns_option()
    {
        $quality_construction_select_number_of_columns_option = array(
            'col-sm-12' 	=> esc_html__( '1 Columns','quality-construction'),
            'col-sm-6' 	=> esc_html__( '2 Columns','quality-construction'),
            'col-sm-4' 	=> esc_html__( '3 Columns','quality-construction'),
            'col-sm-3' 	=> esc_html__( '4 Columns','quality-construction')
        );
        return apply_filters('quality_construction_select_number_of_columns_option', $quality_construction_select_number_of_columns_option);
    }
endif;

/**
 * Show Related post option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_show_related_posts_option
 *
 */
if (!function_exists('quality_construction_show_related_posts_option')) :
    function quality_construction_show_related_posts_option()
    {
        $quality_construction_show_related_posts_option = array(
            'show'  => esc_html__( 'Show' ,'quality-construction'),
            'hide'  => esc_html__( 'Hide' ,'quality-construction'),
        );
        return apply_filters('quality_construction_show_related_posts_option', $quality_construction_show_related_posts_option);
    }
endif;


/**
 * Blog Image  size option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array quality_construction_image_display_option
 *
 */
if (!function_exists('quality_construction_image_display_option')) :
    function quality_construction_image_display_option()
    {
        $quality_construction_image_display_option = array(
            'thumbnail'  => esc_html__( 'Thumbnail (150x150)' ,'quality-construction'),
            'medium'  => esc_html__( 'Medium (640x426)' ,'quality-construction'),
            'large'    => esc_html__( 'Large (1024x1024)','quality-construction'),
            'full'    => esc_html__( 'Full (original)','quality-construction'),
            'post-thumbnail'    => esc_html__( 'Post Thumbnail (340x240)','quality-construction')
        );
        return apply_filters('quality_construction_image_display_option', $quality_construction_image_display_option);
    }
endif;

/**
 * Blog/Archive Layout Option
 *
 * @since capacious 1.0.0
 *
 * @param null
 * @return array $quality_construction_blog_layout
 *
 */
if ( !function_exists('quality_construction_blog_layout') ) :
    function quality_construction_blog_layout() {
        $quality_construction_blog_layout =  array(
            'left-image' => esc_html__( 'Left Image','quality-construction'),
            'right-image' => esc_html__( 'Right Image','quality-construction'),
            'large-image'  => esc_html__( 'Default Image' ,'quality-construction'),
            'alternate-image'    => esc_html__( 'Alternate Image','quality-construction'),
           
        );
        return apply_filters( 'quality_construction_blog_layout', $quality_construction_blog_layout );
    }
endif;

/**
 * Top Header Section Hide/Show  options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_show_top_header_section_option
 *
 */
if (!function_exists('quality_construction_show_top_header_section_option')) :
    function quality_construction_show_top_header_section_option()
    {
        $quality_construction_show_top_header_section_option = array(
            'show' => esc_html__('Show', 'quality-construction'),
            'hide' => esc_html__('Hide', 'quality-construction')
        );
        return apply_filters('quality_construction_show_top_header_section_option', $quality_construction_show_top_header_section_option);
    }
endif;

/**
 * Show/Hide Feature Image  options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_show_feature_image_option
 *
 */
if (!function_exists('quality_construction_show_feature_image_option')) :
    function quality_construction_show_feature_image_option()
    {
        $quality_construction_show_feature_image_option = array(
            'show' => esc_html__('Show', 'quality-construction'),
            'hide' => esc_html__('Hide', 'quality-construction')
        );
        return apply_filters('quality_construction_show_feature_image_option', $quality_construction_show_feature_image_option);
    }
endif;

/**
 * Slider  options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_slider_option
 *
 */
if (!function_exists('quality_construction_slider_option')) :
    function quality_construction_slider_option()
    {
        $quality_construction_slider_option = array(
            'show' => esc_html__('Show', 'quality-construction'),
            'hide' => esc_html__('Hide', 'quality-construction')
        );
        return apply_filters('quality_construction_slider_option', $quality_construction_slider_option);
    }
endif;

/**
 * Sidebar layout options
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_sidebar_layout
 *
 */
if (!function_exists('quality_construction_sidebar_layout')) :
    function quality_construction_sidebar_layout()
    {
        $quality_construction_sidebar_layout = array(
            'right-sidebar' => esc_html__('Right Sidebar', 'quality-construction'),
            'left-sidebar' => esc_html__('Left Sidebar', 'quality-construction'),
            'no-sidebar' => esc_html__('No Sidebar', 'quality-construction'),
        );
        return apply_filters('quality_construction_sidebar_layout', $quality_construction_sidebar_layout);
    }
endif;

/**
 * Blog/Archive Description Option
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return array $quality_construction_blog_excerpt
 *
 */
if (!function_exists('quality_construction_blog_excerpt')) :
    function quality_construction_blog_excerpt()
    {
        $quality_construction_blog_excerpt = array(
            'excerpt' => esc_html__('Excerpt', 'quality-construction'),
            'content' => esc_html__('Content', 'quality-construction'),

        );
        return apply_filters('quality_construction_blog_excerpt', $quality_construction_blog_excerpt);
    }
endif;



