<?php

    if (!function_exists('quality_construction_is_video_slider_active')) {
        // Check for the video slider
        function quality_construction_is_video_slider_active()
        {
            $checkbox_value = quality_construction_get_option('quality_construction_homepage_image_slider_option');

            if ($checkbox_value == 1) {

                return false;
            }
            return true;
        }
    }

    if (!function_exists('quality_construction_is_vedio_content_active')) {
        // Check for the video slider
        function quality_construction_is_vedio_content_active()
        {
            $checkbox_value = quality_construction_get_option('quality_construction_homepage_image_slider_option');

            if ($checkbox_value == 1) {
                return true;
            }
            return false;
        }
    }


    /*-------------------------------------------------------------------------------------------------*/
    /**
     * Slider Section
     *
     * @since 1.0.0
     */
        $wp_customize->add_section(
            'quality_construction_slider_section',
            array(
                    'title' => esc_html__('Home Page Slider Section', 'quality-construction'),
                    'priority' => 4,
                  )
        );

    /**
     * Switch option for Homepage Slider Section
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_homepage_slider_option',
            array(
                    'default' => $default['quality_construction_homepage_slider_option'],
                    'sanitize_callback' => 'quality_construction_sanitize_select',
                 )
        );

        $slider_hide_show_option = quality_construction_homepage_slider_hide_show_option();
        $wp_customize->add_control(
            'quality_construction_homepage_slider_option',
            array(
                    'type' => 'radio',
                    'label' => esc_html__('Slider Option', 'quality-construction'),
                    'description' => esc_html__('Show/hide option for homepage Slider Section.', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'choices'   => $slider_hide_show_option,
                    'priority' => 5
                 )
        );

    /**
     * Switch option for Homepage Slider or Video Section
     *
     * @since 1.0.0
     */

    /**
     *   Show Video Slider
     */
      $wp_customize->add_setting(
            'quality_construction_homepage_image_slider_option',
            array(
                    'default' => $default['quality_construction_homepage_image_slider_option'],
                    'sanitize_callback' => 'quality_construction_sanitize_checkbox',
                 )
        );
        $wp_customize->add_control('quality_construction_homepage_image_slider_option',
            array(
                    'label' => esc_html__(' Show Video Slider','quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'type' => 'checkbox',
                    'priority' => 6
                 )
        );

    /**
     * Field for Video Url Link
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_video_background',
            array(
                    'default' => $default['quality_construction_video_background'],
                    'sanitize_callback' => 'esc_url_raw',
                 )
        );

        $wp_customize->add_control(
            'quality_construction_video_background',
            array(
                    'type' => 'url',
                    'label' => esc_html__('Insert Video Link', 'quality-construction'),
                     'description' => esc_html__('Please use youtube video link.e.g https://www.youtube.com/watch?v=_SvXE5LIVNI','quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_vedio_content_active',
                    'priority' => 10
                 )
        );


    /**
     * Field for Title Field
     *
     * @since 1.0.0
     */
        $wp_customize->add_setting(
            'quality_construction_video_title_text',
            array(
                    'default' =>  $default['quality_construction_video_title_text'],
                    'sanitize_callback' => 'sanitize_text_field',
                  )
        );
        $wp_customize->add_control(
            'quality_construction_video_title_text',
            array(
                    'type' => 'text',
                    'label' => esc_html__('This is Video Title', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_vedio_content_active',
                    'priority' => 10
                 )
        );

    /**
     * Field for Sub Title Field
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_video_sub_title_text',
            array(
                    'default' => $default['quality_construction_video_sub_title_text'],
                    'sanitize_callback' => 'sanitize_text_field',
                 )
        );

        $wp_customize->add_control(
            'quality_construction_video_sub_title_text',
            array(
                    'type' => 'text',
                    'label' => esc_html__('Video Sub title Title', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_vedio_content_active',
                    'priority' => 10
                  )
        );

    /**
     * Dropdown available category for homepage slider
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_slider_cat_id',
            array(
                    'default' => $default['quality_construction_slider_cat_id'],
                    'capability' => 'edit_theme_options',
                    'sanitize_callback' => 'absint'
                 )
        );

        $wp_customize->add_control(
            new Quality_Construction_Customize_Category_Control(
                $wp_customize,
                    'quality_construction_slider_cat_id',
                    array(
                            'label' => esc_html__('Slider Category', 'quality-construction'),
                            'description' => esc_html__('Select Cateogry For Homepage Slider Section','quality-construction'),
                            'section' => 'quality_construction_slider_section',
                            'priority' => 8,
                            'active_callback' => 'quality_construction_is_video_slider_active',
                         )
            )
        );


   /**
     * Field for Number of slider
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_no_of_slider',
            array(
                    'default' => $default['quality_construction_no_of_slider'],
                    'sanitize_callback' => 'absint',
                   )
        );

        $wp_customize->add_control(
            'quality_construction_no_of_slider',
            array(
                    'type' => 'number',
                    'label' => esc_html__('No Of Slider','quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_video_slider_active',
                    'priority' => 10
                  )
        );
    

/**
     * Character Limit
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_slider_character_limit',
            array(
                    'default' => $default['quality_construction_slider_character_limit'],
                    'sanitize_callback' => 'absint',
                   )
        );

        $wp_customize->add_control(
            'quality_construction_slider_character_limit',
            array(
                    'type' => 'number',
                    'label' => esc_html__('Number Of Words To Show', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_video_slider_active',
                    'priority' => 10
                  )
        );


    /**
     * Field for Get Started button text
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_slider_get_started_text',
            array(
                    'default' => $default['quality_construction_slider_get_started_text'],
                    'sanitize_callback' => 'sanitize_text_field',
                   )
        );

        $wp_customize->add_control(
            'quality_construction_slider_get_started_text',
            array(
                    'type' => 'text',
                    'label' => esc_html__('Get Started Button', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'priority' => 10
                  )
        );

    /**
     * Field for Get Started button Link
     *
     * @since 1.0.0
     */

        $wp_customize->add_setting(
            'quality_construction_slider_get_started_link',
            array(
                    'default' => $default['quality_construction_slider_get_started_link'],
                    'sanitize_callback' => 'esc_url_raw',
                 )
        );

        $wp_customize->add_control(
            'quality_construction_slider_get_started_link',
            array(
                    'type' => 'url',
                    'label' => esc_html__('Get Started Button Link', 'quality-construction'),
                    'description' => esc_html__('Use Full Url Link eg http://www.example.com', 'quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'priority' => 10
                 )
        );


        /**
         * Field for View More button text
         *
         * @since 1.0.0
         */

        $wp_customize->add_setting(
            'quality_construction_slider_view_more_text',
            array(
                    'default' => $default['quality_construction_slider_view_more_text'],
                    'sanitize_callback' => 'sanitize_text_field',
                  )
        );

        $wp_customize->add_control(
            'quality_construction_slider_view_more_text',
            array(
                    'type' => 'text',
                    'label' => esc_html__('View More Button','quality-construction'),
                    'section' => 'quality_construction_slider_section',
                    'active_callback' => 'quality_construction_is_video_slider_active',
                    'priority' => 10
                  )
        );
 
