<?php
/**
 * Quality Construction default theme options.
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */

if ( !function_exists('quality_construction_get_default_theme_options' ) ) :

    /**
     * Get default theme options.
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function quality_construction_get_default_theme_options()
    {

        $default = array();

        // Homepage Slider Section
        $default['quality_construction_homepage_slider_option'] = 'show';
        $default['quality_construction_slider_cat_id'] = 0;
        $default['quality_construction_no_of_slider'] = 3;
        $default['quality_construction_slider_character_limit'] = 8;
        $default['quality_construction_slider_get_started_text'] = esc_html__('Get Started!', 'quality-construction');
        $default['quality_construction_slider_view_more_text'] = esc_html__('View More','quality-construction');
        $default['quality_construction_slider_get_started_link'] = '#';
        $default['quality_construction_homepage_image_slider_option'] =0;
        $default['quality_construction_video_background'] =esc_url('https://www.youtube.com/watch?v=_SvXE5LIVNI&feature=youtu.be','quality-construction');
        $default['quality_construction_video_title_text']= esc_html__('This is Video Slider Title','quality-construction');
        $default['quality_construction_video_sub_title_text']= esc_html__('This is Video Sub Title', 'quality-construction');

        // footer copyright.
        $default['quality_construction_copyright'] = esc_html__('Copyright © 2017. All Rights Reserved','quality-construction');
        $default['quality_construction_powered_by_text_option'] = esc_html__('Powered by Quality Construction','quality-construction');
        $default['quality_construction_hide_power_by_text'] = 0;

        // Home Page Top header Info.
        $default['quality_construction_top_header_section'] = 'show';
        $default['quality_construction_top_header_section_phone_number_icon'] = 'fa-phone';
        $default['quality_construction_top_header_phone_no_text'] = esc_html__('Call Us', 'quality-construction');
        $default['quality_construction_top_header_phone_no'] = esc_html__('+1 187212346','quality-construction');
        $default['quality_construction_email_icon'] = 'fa-envelope-o';
        $default['quality_construction_top_header_email'] = 'info@yourdomain.com';
        $default['quality_construction_social_link_hide_option'] = 0;

        // Blog.
        $default['quality_construction_sidebar_layout_option'] = 'right-sidebar';
        $default['quality_construction_blog_title_option'] = esc_html__('Latest Blog', 'quality-construction');
        $default['quality_construction_blog_excerpt_option'] = 'excerpt';
        $default['quality_construction_description_length_option'] = 40;
        $default['quality_construction_exclude_cat_blog_archive_option'] = '';
        $default['quality_construction_read_more_text_blog_archive_option'] = esc_html__('Read More', 'quality-construction');
        $default['quality_construction_image_display_option'] = 'full';
        $default['quality_construction_image_layout_option'] = 'large-image';
        $default['quality_construction_blog_show_date_option'] = 1;
        $default['quality_construction_blog_show_author_option'] = 1;
        $default['quality_construction_blog_show_cats_option'] = 1;
        $default['quality_construction_blog_show_tags_option'] = 1;
        $default['quality_construction_blog_show_comments_option'] = 1;
         $default['quality_construction_columns_option'] = 'col-sm-12';
        
         // Single Post option
        $default['quality_construction_related_post_hide_option'] = 'hide';
        $default['quality_construction_related_post_title_option'] = esc_html__('Related posts', 'quality-construction');
        $default['quality_construction_select_number_of_columns_reated_post_option'] =3;
        $default['quality_construction_number_of_post_show_option'] = 3;
        $default['quality_construction_number_of_words_show_option'] = 15;
        $default['quality_construction_show_categories_option'] = 1;
        $default['quality_construction_show_image_option'] = 1;
        $default['quality_construction_show_tags_option'] =1;
        $default['quality_construction_show_date_option'] = 1;
        $default['quality_construction_show_author_option'] = 1;
        $default['quality_construction_show_number_of_comments_option'] = 1;

        //Author Info Options
        $default['quality_construction_show_author_info_option'] = 'hide';

        //Post Navigation Options
        $default['quality_construction_navigation_option'] = 'title-only';

        //Post Comments Options
        $default['quality_construction_comment_title_option'] = esc_html__('Leave a Comment','quality-construction');
        $default['quality_construction_comment_button_text_option'] = esc_html__('Add Comment','quality-construction');
        $default['quality_construction_comment_note_after_option'] = '';
        $default['quality_construction_hide_comment_option'] = 1;

        // Details page.
        $default['quality_construction_show_feature_image_single_option'] = 'show';

        // Basic Color Option.
        $default['quality_construction_primary_color'] = '#EEB500';
        $default['quality_construction_top_header_background_color'] = '#ffffff';
        $default['quality_construction_top_footer_background_color'] = '#1A1E21';
        $default['quality_construction_bottom_footer_background_color'] = '#111315';
        $default['quality_construction_site_title_color_option'] = '#000000';
        $default['quality_construction_site_title_hover_color_option'] = '#EEB500';
        $default['quality_construction_site_tagline_color_option'] = '#000000';
        $default['quality_construction_body_paragraph_color_option'] = '#777';
        $default['quality_construction_heading_color_option'] = '#222222';
        $default['quality_construction_link_color_option'] = '#000000';
        $default['quality_construction_link_hover_color_option'] = '#EEB500';
        // Button color
        $default['quality_construction_primary_btn_color_option'] = '#EEB500';
        $default['quality_construction_primary_btn_hover_color_option'] = '#d9a000';
        $default['quality_construction_secondary_btn_color_option'] = '#efeded';
        $default['quality_construction_secondary_btn_hover_color_option'] = '#fff';
        $default['quality_construction_primary_btn_text_color_option'] = '#fff';
        $default['quality_construction_secondary_btn_text_color_option'] = '#eeb500';


        // Advance Color Option.
        $default['quality_construction_menu_navbar_bg_color_option'] = '#ffffff';
        $default['quality_construction_menu_active_color_option'] = '#EEB500';
        $default['quality_construction_menu_hover_color_option'] = '#EEB500';
        $default['quality_construction_menu_text_color_option'] = '#B6B6B6';
        $default['quality_construction_top_footer_text_color'] = '#777';
        $default['quality_construction_top_footer_title_color'] = '#ffffff';
        $default['quality_construction_bottom_footer_text_color'] = '#B6B6B6';
        $default['quality_construction_top_header_text_color'] = '#777';
        $default['quality_construction_top_header_fontawesome_color'] = '#777';
         $default['quality_construction_slider_color_option'] = '#ffffff';

        //Top Scroll Color
        $default['quality_construction_top_scroll_icon_color'] = '#ffffff';
        $default['quality_construction_top_scroll_bg_color'] = '#EEB500';

       //Button Text Color Option
        $default['quality_construction_button_text_color_option'] = '#ffffff';
        $default['quality_construction_button_color_option'] = '#EEB500';

        //Sidebar Color Option
        $default['quality_construction_sidebar_bg_color_option'] = '#000000';
        $default['quality_construction_sidebar_widget_title_color_option'] = '#000000';
        $default['quality_construction_widget_text_color_option'] = '#777777';
        $default['quality_construction_widget_text_hover_color_option'] = '#EEB500';
        $default['quality_construction_widget_border_color_option'] = '#EEB500';

        // Theme Options
        $default['quality_construction_post_pagination_option'] = 'default';
        $default['quality_construction_button_design_layout_option'] = 'rectangle';

        // Font Options
        $default['quality_construction_site_title_fonts_section'] = wp_kses_post(__( 'Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','quality-construction'));
        $default['quality_construction_site_title_fonts_name'] =  wp_kses_post(__("'Open Sans', sans-serif", 'quality-construction'));
        $default['quality_construction_site_tageline_fonts_section'] = wp_kses_post(__('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','quality-construction'));
        $default['quality_construction_site_tagline_fonts_name'] =wp_kses_post(__( "'Open Sans', sans-serif",'quality-construction'));
        $default['quality_construction_menu_fonts_section'] = wp_kses_post(__( 'Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','quality-construction'));

        $default['quality_construction_menu_fonts_name'] =  wp_kses_post(__( "'Open Sans', sans-serif",'quality-construction'));
        $default['quality_construction_body_fonts_section_title'] = '';
        $default['quality_construction_body_fonts_section'] = wp_kses_post(__('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','quality-construction'));
        $default['quality_construction_body_fonts_family'] = wp_kses_post(__( "'Open Sans', sans-serif",'quality-construction'));

        //Heading Fonts family
        $default['quality_construction_heading_fonts_section_title'] = "";
        $default['quality_construction_heading_fonts_name'] = wp_kses_post(__('Open+Sans:400,300,300italic,800italic,800,600italic,600,400italic,700,700italic','quality-construction'));
        $default['quality_construction_heading_fonts_family'] = wp_kses_post(__( "'Open Sans', sans-serif",'quality-construction'));

        //Fonts Size Options
        $default['quality_construction_site_title'] = 30;
        $default['quality_construction_site_description'] = 15;
        $default['quality_construction_menu_item_font_size'] = 14;
        $default['quality_construction_h1_font_size'] = 35;
        $default['quality_construction_h2_font_size'] = 30;
        $default['quality_construction_h3_font_size'] = 26;
        $default['quality_construction_h4_font_size'] = 24;
        $default['quality_construction_h5_font_size'] = 20;
        $default['quality_construction_h6_font_size'] = 15;
        $default['quality_construction_body_font_size'] = 14;
        $default['quality_construction_footer_top_title_font_size'] = 20;
        $default['quality_construction_sidebar_title_font_size'] = 18;
        $default['quality_construction_content_title_font_size'] = 20;
        $default['quality_construction_front_page_hide_option'] = 0;
        $default['quality_construction_hide_breadcrumb_front_page_option'] = 1;
        $default['quality_construction_breadcrumb_setting_option'] = 'simple';
        $default['quality_construction_post_search_placeholder_option'] = esc_html__('Search', 'quality-construction');
        $default['quality_construction_color_reset_option'] = 'do-not-reset';

        //Contact us Default Value
         $default['quality_construction_working_hours_option'] = sprintf( esc_html__( ' <h4>Office Work Hours</h4>
              <p>We are Avilable more than 9 hours.</p>
              <p><b>Mon-Fri :</b> 09am to 06pm</p>
              <p><b>Tues-Wed :</b> Special Appointment</p>', 'quality-construction'));
         $default['quality_construction_contact_info_option'] =sprintf( esc_html__( '<h4>Connect With Us</h4>
              <p><b>Phone :</b> +9849494875</p>
              <p><b>Skype :</b> canyonthemes@gmail.com</p>
              <p><b>Website :</b> www.example.com</p>', 'quality-construction'));
         $default['quality_construction_googlemap_option'] = "";
        // Pass through filter.
        $default = apply_filters( 'quality_construction_get_default_theme_options', $default );
        return $default;
    }
endif;
