<?php

    /**
     * Color Option
     *
     * @since 1.0.0
     */
    $wp_customize->add_panel(
        'quality_construction_color_info',
        array(
                'priority'       => 7,
                'capability'     => 'edit_theme_options',
                'theme_supports' => '',
                'title'          => esc_html__( 'Theme Color Option','quality-construction'),
             )
    );

    /*------------------------------------------------------------------
       Top Scroll Icon Color
     */

    $wp_customize->add_section(
        'quality_construction_top_scroll_color_options',
        array(
                'title'		=> esc_html__( 'Top Scroll Color Option','quality-construction'),
                'panel'     => 'quality_construction_color_info',
                'priority'  => 6,
              )
    );


    $wp_customize->add_setting(
        'quality_construction_top_scroll_icon_color',
        array(
                'default' => $default['quality_construction_top_scroll_icon_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );


    $wp_customize->add_control( new WP_Customize_Color_Control(
        $wp_customize, 'quality_construction_top_scroll_icon_color',
             array(
                    'label' => esc_html__( 'Top Scroll Icon Color','quality-construction'),
                    'section' => 'quality_construction_top_scroll_color_options',
                    'priority' => 9,
                   )
        )
    );


    $wp_customize->add_setting(
        'quality_construction_top_scroll_bg_color',
        array(
                'default' => $default['quality_construction_top_scroll_bg_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_top_scroll_bg_color',
        array(
                'label' => esc_html__( 'Top Scroll Background Color','quality-construction'),
                'section' => 'quality_construction_top_scroll_color_options',
                'priority' => 9,

              )
        )
    );

 /*
    -----------------------------------------------------------------------------*/

    /**
     * Basic Colors Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'quality_construction_basic_color_option',
        array(
                'title'		=> esc_html__( 'Basic Colors Options ','quality-construction'),
                'panel'     => 'quality_construction_color_info',
                'priority'  => 4,
              )
    );


    $wp_customize->add_setting(
        'quality_construction_primary_color',
        array(
                'default' => $default['quality_construction_primary_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'quality_construction_primary_color',
        array(
                'label' => esc_html__( 'Primary Color','quality-construction'),
                'description' => esc_html__('We recommend choose  different  background color but not to choose similar to font color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,

              )
        )
    );

   /*-----------------------------------------------------------------------------*/
    /**
     * Top Header Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'quality_construction_top_header_background_color',
        array(
                'default' => $default['quality_construction_top_header_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            'quality_construction_top_header_background_color',
            array(
                    'label' => esc_html__('Top Header Background Color', 'quality-construction'),
                    'description' => esc_html__('Choose Top Background color', 'quality-construction'),
                    'section' => 'quality_construction_basic_color_option',
                    'priority' => 14,

                  )
            )
    );

    $wp_customize->add_setting(
        'quality_construction_top_header_text_color',
        array(
                'default' => $default['quality_construction_top_header_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',

              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_top_header_text_color',
        array(
                'label' => esc_html__('Top Header Email & Phone Color With Icon', 'quality-construction'),
                'description' => esc_html__('Choose Top Header Email & Phone Color With Icon color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'quality_construction_top_header_fontawesome_color',
        array(
                'default' => $default['quality_construction_top_header_fontawesome_color'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_top_header_fontawesome_color',
        array(
                'label' => esc_html__('Top Header Social Link Font Awesome Icon Color', 'quality-construction'),
                'description' => esc_html__('Choose Top Social Link Font Awesome Icon color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,

              )
        )
    );

  /*-----------------------------------------------------------------------------*/
    /**
     * Top Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'quality_construction_top_footer_background_color',
        array(
                'default' => $default['quality_construction_top_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',

             )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'quality_construction_top_footer_background_color',
        array(
                'label' => esc_html__('Top Footer Background Color', 'quality-construction'),
                'description' => esc_html__('Choose Background color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,

             )
        )
    );


    $wp_customize->add_setting(
        'quality_construction_top_footer_title_color',
        array(
                'default' => $default['quality_construction_top_footer_title_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'quality_construction_top_footer_title_color',
        array(
                'label' => esc_html__('Top Footer Title Color', 'quality-construction'),
                'description' => esc_html__('Choose Title color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );


    $wp_customize->add_setting(
        'quality_construction_top_footer_text_color',
        array(
                'default' => $default['quality_construction_top_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,
        'quality_construction_top_footer_text_color',
         array(
                'label' => esc_html__('Top Footer Text Color', 'quality-construction'),
                'description' => esc_html__('Choose Text color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
              )
         )
    );

    /*-----------------------------------------------------------------------------*/
    /**
     * Bottom Footer Background Color
     *
     * @since 1.0.0
     */

    $wp_customize->add_setting(
        'quality_construction_bottom_footer_background_color',
        array(
                'default' => $default['quality_construction_bottom_footer_background_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_bottom_footer_background_color',
         array(
                'label' => esc_html__('Bottom Footer Background Color', 'quality-construction'),
                'description' => esc_html__('Choose Background color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
              )
         )
    );

    $wp_customize->add_setting(
        'quality_construction_bottom_footer_text_color',
        array(
                'default' => $default['quality_construction_bottom_footer_text_color'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_bottom_footer_text_color',
        array(
                'label' => esc_html__('Bottom Footer Text Color', 'quality-construction'),
                'description' => esc_html__('Choose Text color', 'quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'quality_construction_site_title_color_option',
        array(
                'default' => $default['quality_construction_site_title_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_site_title_color_option',
         array(
                'label' => esc_html__( 'Site Title Color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
               )
         )
    );

    $wp_customize->add_setting(
        'quality_construction_site_title_hover_color_option',
        array(
                'default' => $default['quality_construction_site_title_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_site_title_hover_color_option',
        array(
                'label' => esc_html__( 'Site Title Hover Color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'quality_construction_site_tagline_color_option',
        array(
                'default' => $default['quality_construction_site_tagline_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_site_tagline_color_option',
        array(
                'label' => esc_html__( 'Site Tagline Color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );

    $wp_customize->add_setting(
        'quality_construction_body_paragraph_color_option',
        array(
                'default' => $default['quality_construction_body_paragraph_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_body_paragraph_color_option',
        array(
                'label' => esc_html__( 'Body Paragraph Color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
              )
         )
    );

    $wp_customize->add_setting(
        'quality_construction_heading_color_option',
        array(
                'default' => $default['quality_construction_heading_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_heading_color_option',
        array(
                'label' => esc_html__( 'Heading Color','quality-construction'),
                'description' 	=> esc_html__( 'H1-H6 color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );



    $wp_customize->add_setting(
        'quality_construction_link_color_option',
        array(
                'default' => $default['quality_construction_link_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_link_color_option',
        array(
                'label' => esc_html__( 'Link Color','quality-construction'),
                'section' => 'quality_construction_basic_color_option',
                'priority' => 14,
             )
        )
    );


    $wp_customize->add_setting(
        'quality_construction_link_hover_color_option',
        array(
                'default' => $default['quality_construction_link_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_link_hover_color_option',
             array(
                    'label' => esc_html__( 'Link Hover Color','quality-construction'),
                    'section' => 'quality_construction_basic_color_option',
                    'priority' => 14,
                  )
        )
    );

    /*
    -----------------------------------------------------------------------------*/

    /**
     * Advanced Color Options
     *
     * @since 1.0.0
     */
    $wp_customize->add_section(
        'quality_construction_advanced_color_option',
        array(
                'title'		=> esc_html__( 'Advanced Color Options','quality-construction'),
                'panel'     => 'quality_construction_color_info',
                'priority'  => 5,
             )
    );

    $wp_customize->add_setting(
        'quality_construction_menu_navbar_bg_color_option',
        array(
                'default' => $default['quality_construction_menu_navbar_bg_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_menu_navbar_bg_color_option',
        array(
                'label' => esc_html__( 'Nav Bar Background Color','quality-construction'),
                'section' => 'quality_construction_advanced_color_option',
                'priority' => 13,
             )
        )
    );



    $wp_customize->add_setting(
        'quality_construction_menu_active_color_option',
        array(
                'default' => $default['quality_construction_menu_active_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_menu_active_color_option',
         array(
                'label' => esc_html__( 'Menu Active Color','quality-construction'),
                'section' => 'quality_construction_advanced_color_option',
                'priority' => 16,
              )
         )
    );

    $wp_customize->add_setting(
        'quality_construction_menu_hover_color_option',
        array(
                'default' => $default['quality_construction_menu_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
             )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_menu_hover_color_option',
          array(
                    'label' => esc_html__( 'Menu Hover Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 15,
               )
          )
    );

    $wp_customize->add_setting(
        'quality_construction_menu_text_color_option',
        array(
                'default' => $default['quality_construction_menu_text_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_menu_text_color_option',
           array(
                    'label' => esc_html__( 'Menu Text Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 14,
                 )
        )
     );


    $wp_customize->add_setting(
        'quality_construction_slider_color_option',
        array(
                'default' => $default['quality_construction_slider_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_slider_color_option',
           array(
                    'label' => esc_html__( 'Slider Text Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );

  // Primary Button Color
     $wp_customize->add_setting(
        'quality_construction_primary_btn_color_option',
        array(
                'default' => $default['quality_construction_primary_btn_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_primary_btn_color_option',
           array(
                    'label' => esc_html__( 'Primary Button Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );
 // Primary Button Hover Color
     $wp_customize->add_setting(
        'quality_construction_primary_btn_hover_color_option',
        array(
                'default' => $default['quality_construction_primary_btn_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_primary_btn_hover_color_option',
           array(
                    'label' => esc_html__( 'Primary Button Hover Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );

// Primary Button Text color Color
     $wp_customize->add_setting(
        'quality_construction_primary_btn_text_color_option',
        array(
                'default' => $default['quality_construction_primary_btn_text_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_primary_btn_text_color_option',
           array(
                    'label' => esc_html__( 'Primary Button Text Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );

 // Secondary Button Color
     $wp_customize->add_setting(
        'quality_construction_secondary_btn_color_option',
        array(
                'default' => $default['quality_construction_secondary_btn_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_secondary_btn_color_option',
           array(
                    'label' => esc_html__( 'Secondary Button Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );



 // Secondary Button Hover Color
     $wp_customize->add_setting(
        'quality_construction_secondary_btn_hover_color_option',
        array(
                'default' => $default['quality_construction_secondary_btn_hover_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_secondary_btn_hover_color_option',
           array(
                    'label' => esc_html__( 'Secondary Button Hover Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );

 // Secondary Button Text color Color
     $wp_customize->add_setting(
        'quality_construction_secondary_btn_text_color_option',
        array(
                'default' => $default['quality_construction_secondary_btn_text_color_option'],
                'sanitize_callback' => 'sanitize_hex_color',
              )
    );

    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
        'quality_construction_secondary_btn_text_color_option',
           array(
                    'label' => esc_html__( 'Secondary Button Text Color','quality-construction'),
                    'section' => 'quality_construction_advanced_color_option',
                    'priority' => 18,
                 )
        )
     );