<?php
    /**
     * Copyright Info Section
     *
     * @since 1.0.0
     */

    $wp_customize->add_section(
        'quality_construction_copyright_info_section',
        array(
                'priority' => 12,
                'capability' => 'edit_theme_options',
                'theme_supports' => '',
                'title' => esc_html__('Footer Option', 'quality-construction'),
              )
    );

    /**
     * Field for Copyright
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'quality_construction_copyright',
        array(
                'default' => $default['quality_construction_copyright'],
                'sanitize_callback' => 'wp_kses_post',
             )
    );
    $wp_customize->add_control(
        'quality_construction_copyright',
        array(
                'type' => 'text',
                'label' => esc_html__('Copyright', 'quality-construction'),
                'section' => 'quality_construction_copyright_info_section',
                'priority' => 8
             )
    );

    /**
     *  Powered by Text
     */
    $wp_customize->add_setting(
        'quality_construction_powered_by_text_option',
        array(
                'default'           => $default['quality_construction_powered_by_text_option'],
                'sanitize_callback' => 'wp_kses_post',
             )
    );

    $wp_customize->add_control('quality_construction_powered_by_text_option',
        array(
                'label'      => esc_html__('Powered By','quality-construction'),
                'section'   => 'quality_construction_copyright_info_section',
                'type'	  	=> 'text',
                'priority'  => 10
             )
    );

    /*Enable Powered by Text*/
     $wp_customize->add_setting( 'quality_construction_hide_power_by_text',
        array(
                'capability'		=> 'edit_theme_options',
                'default'			=> $default['quality_construction_hide_power_by_text'],
                'sanitize_callback' => 'quality_construction_sanitize_checkbox'
              )
    );

    $wp_customize->add_control( 'quality_construction_hide_power_by_text',
        array(
                'label'		=> esc_html__( 'Enable/Disable Powered By Text','quality-construction'),
                'section'   => 'quality_construction_copyright_info_section',
                'type'	  	=> 'checkbox',
                'priority'  => 20
             )
    );
