<?php
/**
 * Dynamic css
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 *
 * @param null
 * @return void
 *
 */

if ( !function_exists('quality_construction_dynamic_css') ):
    function quality_construction_dynamic_css(){

        $quality_construction_top_header_color             = esc_attr( quality_construction_get_option('quality_construction_top_header_background_color') );
        
        $quality_construction_top_footer_bg_color          = esc_attr( quality_construction_get_option('quality_construction_top_footer_background_color') );
        
        $quality_construction_top_footer_text_color        = esc_attr( quality_construction_get_option('quality_construction_top_footer_text_color') );
        
        $quality_construction_top_footer_title_color       = esc_attr( quality_construction_get_option('quality_construction_top_footer_title_color') );
        
        $quality_construction_bottom_footer_color          = esc_attr( quality_construction_get_option('quality_construction_bottom_footer_background_color') );
        
        $quality_construction_bottom_footer_text_color     = esc_attr( quality_construction_get_option('quality_construction_bottom_footer_text_color') );
        
        $quality_construction_primary_color                = esc_attr( quality_construction_get_option('quality_construction_primary_color') );
        
        $quality_construction_top_header_email_phone_color = esc_attr( quality_construction_get_option('quality_construction_top_header_text_color') );
        
        $quality_construction_top_header_social_icon_color = esc_attr( quality_construction_get_option('quality_construction_top_header_fontawesome_color') );
        
        $quality_construction_site_tagline_color           = esc_attr( quality_construction_get_option('quality_construction_site_tagline_color_option') );
        
        $quality_construction_site_title_color             = esc_attr( quality_construction_get_option('quality_construction_site_title_color_option') );
        
        $quality_construction_site_title_hover_color       = esc_attr( quality_construction_get_option('quality_construction_site_title_hover_color_option') );
        
        $quality_construction_body_paragraph_color         = esc_attr( quality_construction_get_option('quality_construction_body_paragraph_color_option') );
        
        $quality_construction_menu_nav_bg_color            = esc_attr( quality_construction_get_option('quality_construction_menu_navbar_bg_color_option') );
        
        $quality_construction_menu_active_color            = esc_attr( quality_construction_get_option('quality_construction_menu_active_color_option') );
        
        $quality_construction_menu_hover_color             = esc_attr( quality_construction_get_option('quality_construction_menu_hover_color_option') );
        
        $quality_construction_menu_text_color              = esc_attr( quality_construction_get_option('quality_construction_menu_text_color_option') );

        // font name

        $quality_construction_site_title_fonts_name   = wp_kses_post( quality_construction_get_option('quality_construction_site_title_fonts_name') );
        
        $quality_construction_site_tagline_fonts_name = wp_kses_post( quality_construction_get_option('quality_construction_site_tagline_fonts_name') );
        
        $quality_construction_menu_fonts_name         = wp_kses_post( quality_construction_get_option('quality_construction_menu_fonts_name') );
        
        
        $quality_construction_h1_h6_font_name         = wp_kses_post( quality_construction_get_option('quality_construction_heading_fonts_family') );
        
        $quality_construction_body_fonts_family       = wp_kses_post( quality_construction_get_option('quality_construction_body_fonts_family') );

        // Font Size

        $quality_construction_site_title          = esc_attr( quality_construction_get_option('quality_construction_site_title') );
        
        $quality_construction_site_description    = esc_attr( quality_construction_get_option('quality_construction_site_description') );
        
        $quality_construction_menu_item_font_size = esc_attr( quality_construction_get_option('quality_construction_menu_item_font_size') );
        
        $quality_construction_body_font_size      = esc_attr( quality_construction_get_option('quality_construction_body_font_size') );
        
        $quality_construction_link_color          = esc_attr( quality_construction_get_option('quality_construction_link_color_option') );
        
        $quality_construction_link_hover_color    = esc_attr( quality_construction_get_option('quality_construction_link_hover_color_option') );
        
        $quality_construction_h1_h6_color         = esc_attr( quality_construction_get_option('quality_construction_heading_color_option') );
        
        $quality_construction_slider_text_color   = esc_attr( quality_construction_get_option('quality_construction_slider_color_option') );

        // Button color Value
        $quality_construction_primary_btn_color         = esc_attr( quality_construction_get_option('quality_construction_primary_btn_color_option') );
        
        $quality_construction_primary_btn_hover_color   = esc_attr( quality_construction_get_option('quality_construction_primary_btn_hover_color_option') );
        
        $quality_construction_secondary_btn_color       = esc_attr( quality_construction_get_option('quality_construction_secondary_btn_color_option') );
        
        $quality_construction_secondary_btn_hover_color = esc_attr( quality_construction_get_option('quality_construction_secondary_btn_hover_color_option') );
        
        $quality_construction_primary_btn_text_color    = esc_attr( quality_construction_get_option('quality_construction_primary_btn_text_color_option') );
        
        $quality_construction_secondary_btn_text_color  = esc_attr( quality_construction_get_option('quality_construction_secondary_btn_text_color_option') );
           
           // Heading font size
        $quality_construction_h1_font_size = esc_attr( quality_construction_get_option('quality_construction_h1_font_size') );
        
        $quality_construction_h2_font_size = esc_attr( quality_construction_get_option('quality_construction_h2_font_size') );
        
        $quality_construction_h3_font_size = esc_attr( quality_construction_get_option('quality_construction_h3_font_size') );
        
        $quality_construction_h4_font_size = esc_attr( quality_construction_get_option('quality_construction_h4_font_size') );
        
        $quality_construction_h5_font_size = esc_attr( quality_construction_get_option('quality_construction_h5_font_size') );
        
        $quality_construction_h6_font_size = esc_attr( quality_construction_get_option('quality_construction_h6_font_size') );

        $quality_construction_footer_top_title_font_size = esc_attr( quality_construction_get_option('quality_construction_footer_top_title_font_size') );

        $quality_construction_sidebar_title_font_size = esc_attr( quality_construction_get_option('quality_construction_sidebar_title_font_size') );

        $quality_construction_content_title_font_size = esc_attr( quality_construction_get_option('quality_construction_content_title_font_size') );

         
        $quality_construction_top_scroll_icon_color = esc_attr( quality_construction_get_option('quality_construction_top_scroll_icon_color') );

        $quality_construction_top_scroll_bg_color = esc_attr( quality_construction_get_option('quality_construction_top_scroll_bg_color') );




        $custom_css = '';

         /*====================Top scroll color option =====================*/
            
            /*Top scroll color option*/

                $custom_css.="a.scrollup{
                    
                background-color: ".$quality_construction_top_scroll_bg_color.";
                                     
                 }
                ";
                $custom_css.=".scrollup i{
                    
                    color: ".$quality_construction_top_scroll_icon_color.";
                 
                 }
                ";

         /*====================Content Title Font Size =====================*/
            /*Content Title Font Size*/
                $custom_css.=".section-14-box h3 a, .section-14-box h3{
                     font-size: ".$quality_construction_content_title_font_size.'px'.";
                 }
                ";

         /*====================Sidebar Title Font Size =====================*/
            /*Sidebar Title Font Size*/
                $custom_css.=".widget .widget-title {
                     font-size: ".$quality_construction_sidebar_title_font_size.'px'.";
                 }
                ";

        /*====================Footer Top Title Font Size =====================*/
            /*Title Font Size*/
                $custom_css.=".footer-top .widget h2, .footer-top .widget .textwidget h4 {
                     font-size: ".$quality_construction_footer_top_title_font_size.'px'.";
                 }
                ";


        /*====================Heading H1 to H6 Font Size =====================*/

              /*H1*/
                $custom_css.=" h1, .h1 {
                     font-size: ".$quality_construction_h1_font_size.'px'.";
                 }
                ";


                /*H2*/
                $custom_css.=" h2, .h2{
                     font-size: ".$quality_construction_h2_font_size.'px'.";
                    }
                ";

              /*H3*/
                $custom_css.="h3, .h3{
                     font-size: ".$quality_construction_h3_font_size.'px'.";
                    } 
                ";

              /*H4*/
                $custom_css.="h4,  .h4{
                     font-size: ".$quality_construction_h4_font_size.'px'.";
                    }
                ";

              /*H5*/
                $custom_css.="h5, .h5 {
                     font-size: ".$quality_construction_h5_font_size.'px'.";
                    }
                ";

            /*H6*/
                $custom_css.="h6,.h6

                {
                     font-size: ".$quality_construction_h6_font_size.'px'.";
                    }
                ";




        /*====================Dynamic Css =====================*/

         // Primary Button color
        $custom_css .= ".btn-primary,a.btn-primary
         {
            color: " . $quality_construction_primary_btn_text_color. ";
            background-color: " . $quality_construction_primary_btn_color. ";
            border-color: " . $quality_construction_primary_btn_color. ";

         }
        ";

         // Primary Button Hover color
        $custom_css .= ".btn-primary:hover
         {
            color: " . $quality_construction_primary_btn_text_color. ";
            background-color: " . $quality_construction_primary_btn_hover_color. ";
            border-color: " . $quality_construction_primary_btn_hover_color. ";

         }
        ";


         // Secondary Button color
        $custom_css .= ".btn-seconday
         {
            color: " . $quality_construction_secondary_btn_text_color. ";
            background-color: " . $quality_construction_secondary_btn_color. ";
            border-color: " . $quality_construction_secondary_btn_color. ";

         }
        ";

         // Secondary Button Hover color
        $custom_css .= ".btn-seconday:hover
         {
            color: " . $quality_construction_secondary_btn_text_color. ";
            background-color: " . $quality_construction_secondary_btn_hover_color. ";
            border-color: " . $quality_construction_secondary_btn_hover_color. ";

         }
        ";
         

          // Slider Text color
        $custom_css .= ".slider h1,.slider h3
         {
            color: " . $quality_construction_slider_text_color. ";
         }
        ";

        // link color
        $custom_css .= "a,.comments a,
                        .section-14-box .comments-bg a, 
                        .section-14-box h3 a,
                        .widget ul li a
         {
            color: " . $quality_construction_link_color. " ;
         }
        ";

        // link hover color
        $custom_css .= ".comments a:hover,
                      .section-14-box .comments-bg a:hover,
                      .section-14-box h3 a:hover,
                      .section-14-box .comments-bg a:hover,
                      .widget ul li a:hover

         {
            color: " . $quality_construction_link_hover_color. ";
         }
        ";


        //link hover color
        $custom_css .= "a:hover, .widget ul li a:hover
         {
            color: " . $quality_construction_link_hover_color. ";
         }
        ";
        //heading color
        $custom_css .= " h1, h2, h3, h4, h5, h6, .widget-area .section-title h2, .widget-area .section-title h6
         {
            color: " . $quality_construction_h1_h6_color. ";
         }
        ";

        //heading color
        $custom_css .= " h1 a, h2 a, h3 a, h4 a, h5 a, h6 a
         {
            color: " . $quality_construction_h1_h6_color. ";
            font-family :  " .$quality_construction_h1_h6_font_name . ";
         }
        ";

        // Navbar bg color
        $custom_css .=  "header .navbar-menu,
                         header .navbar-menu .navbar-nav>li>a,
                        .navbar-default .navbar-nav>.active>a,
                        .navbar-default .navbar-nav>.active>a:hover,
                         header .navbar-menu .navbar-nav>li>a:hover
                         {
                            background: " . $quality_construction_menu_nav_bg_color . ";
                         }
                         ";

     // Menu active color
        $custom_css .= ".navbar-default .navbar-nav > .active > a, 
                        .navbar-default .navbar-nav > .active > a:focus, 
                        .navbar-default .navbar-nav > .active
                         {
                            color: " . $quality_construction_menu_active_color . ";
                         }
                        ";

    // Menu drop down hover color
        $custom_css .= " header .dropdown-menu> li >a:hover,
                        .dropdown-menu > .active > a, 
                        .dropdown-menu > .active > a:focus, 
                        .dropdown-menu > .active > a:hover
                         {
                            background-color: " . $quality_construction_menu_active_color . ";
                         }
                        ";

    // Menu drop down hover color
        $custom_css .= "header .dropdown-menu> li >a:hover,
                       .dropdown-menu > .active > a:hover
                      {
                         background-color: " . $quality_construction_menu_hover_color . ";
                      }
                    ";


        // Menu Hover color
        $custom_css .= " header .navbar-menu .navbar-nav>li>a:hover,
                        .navbar-default .navbar-nav > .active > a:hover,
                         header .navbar-menu .navbar-nav>.open>a,
                         header .navbar-menu .navbar-nav>.open>a:focus,
                         header .navbar-menu .navbar-nav>.open>a:hover
                         {
                            color: " . $quality_construction_menu_hover_color . ";
                         }
                        ";

        // Menu Text color
        $custom_css .= " header .navbar-menu .navbar-nav>li>a
                         {
                            font-family:".$quality_construction_menu_fonts_name.";
                            color: " . $quality_construction_menu_text_color.";
                            font-size:" .$quality_construction_menu_item_font_size."px;
                         }
                        ";



        // Site Title Color
        $custom_css .= " p.site-title a,h1.site-title a
                         {
                            color: " . $quality_construction_site_title_color . ";
                            font-family: " . $quality_construction_site_title_fonts_name . ";
                            font-size :  " . $quality_construction_site_title . "px;
                         }
                        ";


    // Site Title Hover Color
        $custom_css .= " p.site-title a:hover,h1.site-title a:hover
                         {
                            color: " . $quality_construction_site_title_hover_color . ";
                         }
                        ";


       // Taline color
        $custom_css .= " p.site-description
                         {
                           font-family: " .$quality_construction_site_tagline_fonts_name .";
                            color: " . $quality_construction_site_tagline_color . ";
                           font-size :  " . $quality_construction_site_description . "px;
                         }
                        ";

        // Body Paragraph color
        $custom_css .= " body p,body,.section-14-box p
                         {
                            font-family: " .$quality_construction_body_fonts_family . ";
                            color: " . $quality_construction_body_paragraph_color . ";
                            font-size :  " . $quality_construction_body_font_size . "px;
                         }
                        ";

        // Top Header Dynaimc Css color option.
        $custom_css .= " .top-header
                         {
                           background-color: " . $quality_construction_top_header_color . ";
                         }
                       ";

        $custom_css .= " .contact-detail2 li a
                         {
                            color: " . $quality_construction_top_header_email_phone_color . ";
                         }
                        ";

        $custom_css .= " .social-links  ul li a:before
                         {
                            color: " . $quality_construction_top_header_social_icon_color . ";
                         }
                        ";

    /*====================Top Header End Dynamic Css =====================*/


    /*====================Top Footer Background Color Dynamic Css =====================*/
        $custom_css .= " .footer-top{
                          background-color: " .$quality_construction_top_footer_bg_color . ";}
                         ";

        $custom_css .= " .section-4-box-text-cont p,
                         .footer-top ul li a,.footer-top p,
                         .footer-top .widget .tagcloud a:hover,
                         .footer-top .widget .tagcloud a,
                         .textwidget

                         {
                            color: " . $quality_construction_top_footer_text_color . ";
                         }

                      ";

            $custom_css .= ".footer-top .widget .tagcloud a

                         {
                            border: 1px solid " . $quality_construction_top_footer_text_color . ";
                            
                         }
                         ";

        $custom_css .= " .footer-top .widget .widget-title,
                         .textwidget h1 , 
                         .textwidget h2, 
                         .textwidget h3, 
                         .textwidget h4 ,
                         .textwidget h5 , 
                         .textwidget h6
                         {
                            color: " . $quality_construction_top_footer_title_color . ";
                         }
                        ";

        /*==================== End of Top Footer Background Color Dynamic Css =====================*/

        /* ================Bottom Footer Background Color And Text Dynamic Css =====================*/

        $custom_css .= " .footer-bottom
                         {
                           background-color: " . $quality_construction_bottom_footer_color . ";
                         }
                       ";


        $custom_css .= " .footer-bottom .copyright
                         {
                            color: " . $quality_construction_bottom_footer_text_color . ";
                         }
                        ";


        /*==================== End of Bottom Footer Background Color And Text Dynamic Css  =====================*/


         $custom_css .= ".section-0-background,
                         .section-1-box-icon-background,
                         .section-14-box .date,
                         #quote-carousel a.carousel-control,
                         .section-10-background,
                         .footer-top .submit-bgcolor,
                         .nav-links .nav-previous a, 
                         .nav-links .nav-next a,
                         .comments-area .submit,
                         .inner-title,.pagination .current,
                         .pagination a:hover, 
                         .pagination a:focus,
                         .scrollup,header .navbar-toggle

                         {
                 background-color: " . $quality_construction_primary_color . ";}
            ";


        $custom_css .= " .section-4-box-icon-cont i,
                         .btn-seconday,
                         a:visited,.section-4-box-icon-cont i
                         {
                             color: " . $quality_construction_primary_color . ";
                         }
                        ";

        $custom_css .= " .section-14-box .underline,
                         .item blockquote img,
                         .widget .widget-title,
                         #quote-carousel .carousel-control.left, 
                         #quote-carousel .carousel-control.right
                         {
                          border-color: " . $quality_construction_primary_color . ";
                         }
                        ";
   /*------------------------------------------------------------------------------------------------- */

        /*custom css*/

         wp_add_inline_style('quality-construction-style', $custom_css);

}
        endif;
        add_action('wp_enqueue_scripts', 'quality_construction_dynamic_css', 99);