<?php
/**
 * Related Post
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return void
 *
 */
if (!function_exists('quality_construction_related_post_below')) :

    function quality_construction_related_post_below($post_id)
    {
        $related_post_hide_option = quality_construction_get_option('quality_construction_related_post_hide_option');
        if ('hide' == $related_post_hide_option)
        {
            return;
        }
        $related_post_title_option = quality_construction_get_option('quality_construction_related_post_title_option');
        $select_number_of_columns_option = quality_construction_get_option('quality_construction_select_number_of_columns_reated_post_option');
        $number_of_post_show_option = quality_construction_get_option('quality_construction_number_of_post_show_option');
        $number_of_words_show_option = quality_construction_get_option('quality_construction_number_of_words_show_option');
        $show_image_option = quality_construction_get_option('quality_construction_show_image_option');
        $show_number_of_comments_option = quality_construction_get_option('quality_construction_show_number_of_comments_option');
        $show_date_option = esc_html(quality_construction_get_option('quality_construction_show_date_option'));
        $show_author_option = esc_html(quality_construction_get_option('quality_construction_show_author_option'));
        /*--------Number of Column----------*/
        $quality_construction_column = '';
        if ($select_number_of_columns_option == 1)
        {
            $quality_construction_column = 'col-sm-12 col-md-12';
        } elseif ($select_number_of_columns_option == 2)
        {
            $quality_construction_column = 'col-sm-6 col-md-6';
        } elseif ($select_number_of_columns_option == 3)
        {
            $quality_construction_column = 'col-sm-4 col-md-4';
        } elseif ($select_number_of_columns_option == 4)
        {
            $quality_construction_column = 'col-sm-3 col-md-3';
        }

        $categories = get_the_category($post_id);
        if ($categories)
        {
            $category_ids = array();
            foreach ($categories as $category)
            {
                $category_ids[] = $category->term_id;
                $category_name[] = $category->slug;
            }

            $quality_construction_plus_cat_post_args = array(
                'category__in' => $category_ids,
                'post__not_in' => array($post_id),
                'post_type' => 'post',
                'posts_per_page' => $number_of_post_show_option,
                'post_status' => 'publish',
                'ignore_sticky_posts' => true
            );
            $quality_construction_plus_featured_query = new WP_Query($quality_construction_plus_cat_post_args);
            ?>
            <div class="related-post news-block">
                <header class="entry-header">
                    <h1 class="entry-title">
                        <?php echo esc_html($related_post_title_option); ?>
                    </h1>
                </header>
                <div class="row">
                    <?php
                    while ($quality_construction_plus_featured_query->have_posts()) :
                        $quality_construction_plus_featured_query->the_post(); ?>
                        <div class="<?php echo esc_html($quality_construction_column); ?>">
                        <div class="section-14-box wow fadeInUp <?php if (!has_post_thumbnail())
                            {
                                echo "no-image";
                            } ?> <?php if($show_date_option != 1) { echo "no-date"; } ?>">
                            <?php
                            if ($show_date_option == 1)
                            {
                             ?>
                                <div class="date ">
                                    <span><?php echo esc_html(get_the_date('M')) ?> </span>
                                    - <?php echo esc_html(get_the_date('d')) ?>
                                    <br>
                                    <span><?php echo esc_html(get_the_date('Y')) ?></span>
                                </div>
                                <?php
                             }
                                if ($show_image_option == 1)
                                {
                                    if (has_post_thumbnail())
                                    {
                                        the_post_thumbnail('large', array('class' => 'img-responsive'));
                                    }
                                }
                                ?>
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="text-left comments-bg">
                                            <?php
                                            if ($show_author_option == 1)
                                            {
                                                ?>
                                                <i class="fa fa-user"></i>
                                                <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'), get_the_author_meta('user_nicename'))); ?>"><?php the_author(); ?></a>
                                      <?php } ?>
                                            <span><?php quality_construction_realted_post() ?></span>
                                            <span>
                                                      <?php if ($show_number_of_comments_option == 1)
                                                      { ?>
                                                         <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a
                                                         href="<?php comments_link(); ?>"><?php comments_number('0 comments', '1 comments', '% comments'); ?></a></div>
                                                <?php } ?>
                                             </span>
                                        </div>
                                    </div>
                                </div>
                                <?php
                                echo "<p>";
                                echo esc_html(wp_trim_words(get_the_content(), $number_of_words_show_option));
                                echo "</p>";
                                ?>
                            </div>
                        </div>
                    <?php endwhile;
                    wp_reset_postdata();
                    ?>
                </div>
            </div>
            <?php
        }
    }
endif;

add_action('quality_construction_related_posts', 'quality_construction_related_post_below', 10, 1);