<?php 

//=============================================================
// Color reset
//=============================================================
if ( ! function_exists( 'quality_construction_reset_colors' ) ) :

    function quality_construction_reset_colors($data) {

        $default=quality_construction_get_default_theme_options();

         set_theme_mod('quality_construction_top_header_background_color',$default['quality_construction_top_header_background_color']);
         set_theme_mod('quality_construction_top_footer_background_color',$default['quality_construction_top_footer_background_color']);
         set_theme_mod('quality_construction_bottom_footer_background_color',$default['quality_construction_bottom_footer_background_color']);
         set_theme_mod('quality_construction_primary_color',$default['quality_construction_primary_color']);
         set_theme_mod('quality_construction_top_header_text_color',$default['quality_construction_top_header_text_color']);
         set_theme_mod('quality_construction_top_header_fontawesome_color',$default['quality_construction_top_header_fontawesome_color']);
         set_theme_mod('quality_construction_top_footer_text_color',$default['quality_construction_top_footer_text_color']);
         set_theme_mod('quality_construction_top_footer_title_color',$default['quality_construction_top_footer_title_color']);
         set_theme_mod('quality_construction_bottom_footer_text_color',$default['quality_construction_bottom_footer_text_color']);
         set_theme_mod('quality_construction_site_tagline_color_option',$default['quality_construction_site_tagline_color_option']);
         set_theme_mod('quality_construction_site_title_color_option',$default['quality_construction_site_title_color_option']);
         set_theme_mod('quality_construction_site_title_hover_color_option',$default['quality_construction_site_title_hover_color_option']);
         set_theme_mod('quality_construction_body_paragraph_color_option',$default['quality_construction_body_paragraph_color_option']);
         set_theme_mod('quality_construction_menu_navbar_bg_color_option',$default['quality_construction_menu_navbar_bg_color_option']);
         set_theme_mod('quality_construction_menu_active_color_option',$default['quality_construction_menu_active_color_option']);
         set_theme_mod('quality_construction_menu_hover_color_option',$default['quality_construction_menu_hover_color_option']);
         set_theme_mod('quality_construction_menu_text_color_option',$default['quality_construction_menu_text_color_option']);
         set_theme_mod('quality_construction_slider_color_option',$default['quality_construction_slider_color_option']);

        // Font Name
        set_theme_mod('quality_construction_site_title_fonts_name',$default['quality_construction_site_title_fonts_name']);
        set_theme_mod('quality_construction_site_tagline_fonts_name',$default['quality_construction_site_tagline_fonts_name']);
        set_theme_mod('quality_construction_menu_fonts_name',$default['quality_construction_site_tagline_fonts_name']);
        set_theme_mod('quality_construction_body_fonts_family',$default['quality_construction_body_fonts_family']);
        
        //color
         set_theme_mod('quality_construction_link_color_option',$default['quality_construction_link_color_option']);
         set_theme_mod('quality_construction_link_hover_color_option',$default['quality_construction_link_hover_color_option'] );
         set_theme_mod('quality_construction_heading_color_option', $default['quality_construction_heading_color_option']);

         // top to button scroll
         set_theme_mod('quality_construction_top_scroll_icon_color',$default['quality_construction_top_scroll_icon_color']);
         set_theme_mod('quality_construction_top_scroll_bg_color',$default['quality_construction_top_scroll_bg_color']);


        // Font Size
        set_theme_mod('quality_construction_site_title',$default['quality_construction_site_title']);
        set_theme_mod('quality_construction_site_description', $default['quality_construction_site_description'] );
        set_theme_mod('quality_construction_menu_item_font_size',$default['quality_construction_menu_item_font_size']);
        set_theme_mod('quality_construction_body_font_size',$default['quality_construction_body_font_size']);
        set_theme_mod('quality_construction_h1_font_size', $default['quality_construction_h1_font_size'] );
        set_theme_mod('quality_construction_h2_font_size', $default['quality_construction_h2_font_size']);
        set_theme_mod('quality_construction_h3_font_size', $default['quality_construction_h3_font_size']);
        set_theme_mod('quality_construction_h4_font_size', $default['quality_construction_h4_font_size']);
        set_theme_mod('quality_construction_h5_font_size', $default['quality_construction_h5_font_size']);
        set_theme_mod('quality_construction_h6_font_size',$default['quality_construction_h6_font_size']);
        set_theme_mod('quality_construction_footer_top_title_font_size',$default['quality_construction_footer_top_title_font_size']);
        set_theme_mod('quality_construction_sidebar_title_font_size',$default['quality_construction_sidebar_title_font_size']);
        set_theme_mod('quality_construction_content_title_font_size', $default['quality_construction_content_title_font_size'] );

        // button color
        set_theme_mod('quality_construction_primary_btn_color_option',$default['quality_construction_primary_btn_color_option'] );
        set_theme_mod('quality_construction_primary_btn_hover_color_option', $default['quality_construction_primary_btn_hover_color_option']);
        set_theme_mod('quality_construction_secondary_btn_color_option',$default['quality_construction_secondary_btn_color_option']);
        set_theme_mod('quality_construction_secondary_btn_hover_color_option', $default['quality_construction_secondary_btn_hover_color_option']);
        set_theme_mod('quality_construction_primary_btn_text_color_option', $default['quality_construction_primary_btn_text_color_option']);
        set_theme_mod('quality_construction_secondary_btn_text_color_option', $default['quality_construction_primary_btn_text_color_option']);

        set_theme_mod('quality_construction_color_reset_option','do-not-reset');

    }

endif;
add_action( 'quality_construction_colors_reset','quality_construction_reset_colors', 10 );


