<?php

/**
 * Adds Quality Construction Theme Widgets in SiteOrigin Pagebuilder Tabs
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return null
 *
 */
function quality_construction_widgets($widgets)
{
    $theme_widgets = array(
        'Quality_Construction_About_Us_Widget',
        'Quality_Construction_Clients_Widget',
        'Quality_Construction_Counter_Widget',
        'Quality_Construction_Feature_Widget',
        'Quality_Construction_Hero_Widget',
        'Quality_Construction_Our_mission_Widget',
        'Quality_Construction_Our_Team_Widget',
        'Quality_Construction_Our_Work_Widget',
        'Quality_Construction_Quote_Widget',
        'Quality_Construction_Recent_Post_Widget',
        'Quality_Construction_Services_Widget',
        'Quality_Construction_Testimonial_Widget',
        'Quality_Construction_Welcome_Msg_Widget'
       
    );
    foreach($theme_widgets as $theme_widget) {
        if( isset( $widgets[$theme_widget] ) ) {
            $widgets[$theme_widget]['groups'] = array('quality-construction');
            $widgets[$theme_widget]['icon']   = 'dashicons dashicons-screenoptions';
        }
    }
    return $widgets;
}
add_filter('siteorigin_panels_widgets', 'quality_construction_widgets');

/**
 * Add a tab for the theme widgets in the page builder
 *
 * @since Quality Construction 1.0.0
 *
 * @param null
 * @return null
 *
 */
function quality_construction_widgets_tab($tabs)
{
    $tabs[] = array(
        'title'  => __('Quality Construction Widgets', 'quality-construction'),
        'filter' => array(
            'groups' => array('quality-construction')
        )
    );
    return $tabs;
}
add_filter('siteorigin_panels_widget_dialog_tabs', 'quality_construction_widgets_tab', 20);