<?php

if( !class_exists( 'Quality_Construction_Team_Template_Metabox') ) {
    class Quality_Construction_Team_Template_Metabox
    {
      public function __construct()
        {

            
            add_action('add_meta_boxes', array($this, 'quality_construction_social_link_metabox'));

            add_action('save_post', array($this, 'quality_construction_save_social_link_value'));

        }



        public function quality_construction_social_link_metabox()
        {

            add_meta_box('social_link',
                esc_html__('Social Link [This field is used in Our Team Section]', 'quality-construction'),
                array($this, 'quality_construction_generate_social_link'),
                'post',
                'advanced',
                'high');


        }


        public function quality_construction_generate_social_link($post)
        {

            $facebook = get_post_meta($post->ID, 'quality_construction_facebook', true);
            $twitter = get_post_meta($post->ID, 'quality_construction_twitter', true);
            $linkedin = get_post_meta($post->ID, 'quality_construction_linkedin', true);
            $instagram = get_post_meta($post->ID, 'quality_construction_instagram', true);

            ?>
            <label for="facebook"><strong><?php esc_html_e('Facebook', 'quality-construction') ?></strong></label>
            <input id="facebook" class="widefat" type="text" name="quality_construction_facebook" value="<?php echo esc_url($facebook) ?>"><br/>
            <label for="twitter"><strong><?php esc_html_e('Twitter', 'quality-construction') ?></strong></label>
            <input id="twitter" class="widefat" type="text" name="quality_construction_twitter" value="<?php echo esc_url($twitter) ?>"><br/>
            <label for="linkedin"><strong><?php esc_html_e('Linkedin', 'quality-construction') ?></strong></label>
            <input id="linkedin" class="widefat" type="text" name="quality_construction_linkedin" value="<?php echo esc_url($linkedin) ?>"><br/>
            <label for="instagram"><strong><?php esc_html_e('Instagram', 'quality-construction') ?></strong></label>
            <input id="instagram" class="widefat" type="text" name="quality_construction_instagram" value="<?php echo esc_url($instagram) ?>"><br/>

            <?php
            wp_nonce_field(basename(__FILE__), 'quality_construction_social_link_fields_nonce');
        }
     

        public function quality_construction_save_social_link_value($post_id)
        {

            /*
            * A Guide to Writing Secure Themes – Part 4: Securing Post Meta
            *https://make.wordpress.org/themes/2015/06/09/a-guide-to-writing-secure-themes-part-4-securing-post-meta/
            * */
            if (!isset($_POST['quality_construction_social_link_fields_nonce']) ||
                !wp_verify_nonce($_POST['quality_construction_social_link_fields_nonce'], basename(__FILE__)) || /*Protecting against unwanted requests*/
                (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) || /*Dealing with autosaves*/
                !current_user_can('edit_post', $post_id)/*Verifying access rights*/
            ) {
                return;
              }


            //Execute this saving function
            if (isset($_POST['quality_construction_facebook']))
            {
                $facebook = esc_url_raw($_POST['quality_construction_facebook']);
                update_post_meta($post_id, 'quality_construction_facebook', $facebook);
            }

            if (isset($_POST['quality_construction_twitter']))
            {
                $twitter = esc_url_raw($_POST['quality_construction_twitter']);
                update_post_meta($post_id, 'quality_construction_twitter', $twitter);
            }

          
            if (isset($_POST['quality_construction_linkedin']))
            {
                $linkedin = esc_url_raw($_POST['quality_construction_linkedin']);
                update_post_meta($post_id, 'quality_construction_linkedin', $linkedin);
            }


            if (isset($_POST['quality_construction_instagram']))
            {
                $instagram = sanitize_text_field($_POST['quality_construction_instagram']);
                update_post_meta($post_id, 'quality_construction_instagram', $instagram);
            }


        }

    }
}
$productsMetabox = new Quality_Construction_Team_Template_Metabox;




