<?php
if (!class_exists('Quality_Construction_Our_mission_Widget'))
{
    class Quality_Construction_Our_mission_Widget extends WP_Widget
    {
        private function defaults()
        {
            $defaults = array(
                'page_id'          => '',
                'button-text'      => esc_html__('Learn More','quality-construction'),
                'button-text-link' => '#',
                'background-image' => '',
                'character_limit'  => 100
            );
            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'quality-construction-our-mission-widget',
                esc_html__('Quality Construction Our Misson Page', 'quality-construction'),
                array('description' => esc_html__(' Quality Construction Our Mission Page', 'quality-construction'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance        = wp_parse_args((array)$instance, $this->defaults());
                $page_id         = absint($instance['page_id']);
                if(!empty($page_id)){
                $button_text     = esc_html($instance['button-text']);
                $button_url      = esc_url($instance['button-text-link']);
                $bgimage         = esc_url($instance['background-image']);
                $limit_character = absint( $instance['character_limit'] );
                echo $args['before_widget'];
                $quality_construction_page_args = array(
                            'page_id'        => $page_id,
                            'posts_per_page' => 1,
                            'post_type'      => 'page',
                            'no_found_rows'  => true,
                            'post_status'    => 'publish'
                    );
                $mission_query = new WP_Query($quality_construction_page_args);
                if ($mission_query->have_posts()):
                    while ($mission_query->have_posts()):$mission_query->the_post();
                        if (has_post_thumbnail())
                        {
                            $image_id   = get_post_thumbnail_id();
                            $image_url  = wp_get_attachment_image_src($image_id, 'full', true);
                            $image_path = $image_url[0];
                        }
                        ?>

                        <section id="section5" class="section-margine section-5-background" style="<?php if(!empty($bgimage)) { ?> background: url(<?php echo $bgimage; ?>) no-repeat fixed;<?php } else { ?> background: #143646;  <?php } ?> ">
                            <div class="container">
                                <div class="row">
                                    <div class="col-md-<?php if (empty($image_path))
                                    {
                                        echo "12";
                                    } else
                                    {
                                        echo "6";
                                    } ?>">
                                        <div class="section-5-box-text-cont wow fadeInRight">
                                            <h2><?php the_title(); ?></h2>
                                            <p><?php echo esc_html( wp_trim_words(get_the_content(),$limit_character) ); ?></p>
                                            <?php
                                            if (!empty( $button_text ) && !empty($button_url) )
                                            {
                                                ?>
                                                <a href="<?php echo $button_url; ?>
                                                " class="btn btn-primary">
                                                    <?php echo $button_text; ?> </a>
                                        <?php } ?>
                                        </div>
                                    </div>
                                    <?php if (!empty($image_path))
                                    { ?>
                                        <div class="col-md-6">
                                            <div class="section-5-box-text-cont wow fadeInLeft">
                                                <img src="<?php echo esc_url( $image_path ); ?>" class="img-responsive">
                                            </div>
                                        </div>
                                <?php } ?>

                                </div>
                            </div>
                        </section>

                        <?php
                    endwhile;
                endif;
                wp_reset_postdata();
                echo $args['after_widget'];
            }
           }  
        }

        public function update($new_instance, $old_instance)
        {
            $instance                     = $old_instance;
            $instance['page_id']          = absint($new_instance['page_id']);
            $instance['button-text']      = sanitize_text_field($new_instance['button-text']);
            $instance['button-text-link'] = esc_url_raw($new_instance['button-text-link']);
            $instance['background-image'] = esc_url_raw($new_instance['background-image']);
            $instance['character_limit']  = absint( $new_instance['character_limit'] );

            return $instance;
        }

        public function form($instance)
        {
            $instance        = wp_parse_args((array)$instance, $this->defaults());
            $page_id         = absint($instance['page_id']);
            $button_text     = esc_html($instance['button-text']);
            $button_url      = esc_url($instance['button-text-link']);
            $bgimage         = esc_url($instance['background-image']);
            $limit_character = absint( $instance['character_limit'] );
            ?>

            <p>
                <label for="<?php echo esc_attr($this->get_field_id('page_id')); ?>">
                   <strong> <?php esc_html_e( 'Select Page', 'quality-construction' ); ?></strong>
                </label><br/>
                <?php
                /* see more here https://codex.wordpress.org/Function_Reference/wp_dropdown_pages*/
                $args = array(
                        'selected'         => $page_id,
                        'name'             => $this->get_field_name( 'page_id' ),
                        'id'               => $this->get_field_id( 'page_id' ),
                        'class'            => 'widefat',
                        'show_option_none' => esc_attr__( 'Select Page', 'quality-construction' )
                   );
                wp_dropdown_pages($args);
                ?>
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('character_limit')); ?>"><strong><?php esc_html_e('Character Limit', 'quality-construction'); ?></strong></label><br/>
                <input type="number" name="<?php echo esc_attr( $this->get_field_name('character_limit')); ?>" class="quality-cons" id="<?php echo esc_attr( $this->get_field_id('character_limit')); ?>" value="<?php echo $limit_character ?>">
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id( 'button-text' )); ?>">
                    <strong><?php esc_html_e('Button Text', 'quality-construction'); ?></strong>
                </label><br/>
                <input id="<?php echo esc_attr( $this->get_field_id( 'button-text' )); ?>" type="text" name="<?php echo esc_attr( $this->get_field_name( 'button-text' ) ); ?>" class="widefat" value="<?php echo $button_text; ?>">
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('button-text-link')); ?>"><strong><?php esc_html_e('Button Link', 'quality-construction'); ?></strong></label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('button-text-link') ); ?>" class="widefat"  id="<?php echo esc_attr( $this->get_field_id('button-text-link')); ?>"  value="<?php echo $button_url; ?>">
            </p>
            <hr>
            <p>
                <label for="<?php echo $this->get_field_id('background-image'); ?>">
                    <strong><?php esc_html_e('Background Image', 'quality-construction'); ?></strong>
                </label>
                <br/>
                <?php
                if ( !empty( $bgimage ) ) :
                    echo '<img class="custom_media_image widefat" src="' . esc_url( $instance['background-image'], 'quality-construction') . '" style="margin:0;padding:0;max-width:100px;float:left;display:inline-block" /><br />';
                endif;
                ?>
                <input type="text" class="widefat" name="<?php echo $this->get_field_name('background-image'); ?>" id="<?php echo $this->get_field_id('background-image'); ?>" value="<?php echo esc_url( $bgimage ); ?>" />
                <input type="button" value="<?php esc_html_e( 'Upload Image', 'quality-construction' ); ?>" class="button media-image-upload" data-title="<?php _e( 'Select Background Image','quality-construction'); ?>" data-button="<?php _e( 'Select Background Image','quality-construction'); ?>"/>
                <input type="button" value="<?php esc_html_e( 'Remove Background Image', 'quality-construction' ); ?>" class="button media-image-remove" />
            </p>
            <?php
        }
    }
}
add_action('widgets_init', 'quality_construction_our_mission_widget');
function quality_construction_our_mission_widget()
{
    register_widget('Quality_Construction_Our_mission_Widget');

}















