<?php
if (!class_exists('Quality_Construction_Our_Team_Widget'))
{
    class Quality_Construction_Our_Team_Widget extends WP_Widget
    {

        private function defaults()
        {
            $defaults = array(
                'cat_id'        => -1,
                'active_slider' =>0

            );
            return $defaults;
        }


        public function __construct()
        {
            parent::__construct(
                'our-team-widget',
                esc_html__('Quality Construction Our Team Widget', 'quality-construction'),
                array('description' => esc_html__('Quality Construction Our Team Section', 'quality-construction'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance      = wp_parse_args((array)$instance, $this->defaults());
                $catid         = absint( $instance['cat_id'] );
                $active_slider = absint( $instance[ 'active_slider' ] ? 1 : 0);
                echo $args['before_widget'];

                if (!empty($catid)) {
                    ?>
                    <section id="section17" class=" team-wrapper section-margine section17">
                        <div class="container">
                            <div class="row">
                             <?php if($active_slider==1)
                             { ?>
                                <div id="team" class="owl-carousel wow fadeInUp">
                               <?php } if (!empty($catid) && $catid != -1)
                                {
                                    $i = 0;

                                    $quality_construction_pro_team_section = array(
                                        'cat'                 => $catid,
                                        'posts_per_page'      =>-1,
                                        'no_found_rows'       => true,
                                        'post__not_in'        => get_option('sticky_posts'),
                                        'ignore_sticky_posts' => true,
                                    );
                                    $quality_construction_pro_team_section_query = new WP_Query($quality_construction_pro_team_section);
                                    if ($quality_construction_pro_team_section_query->have_posts())
                                    {
                                        while ($quality_construction_pro_team_section_query->have_posts())
                                        {
                                            $quality_construction_pro_team_section_query->the_post();
                                            $facebook   = get_post_meta(get_the_ID(), 'quality_construction_facebook', true);
                                            $twitter    = get_post_meta(get_the_ID(), 'quality_construction_twitter', true);
                                           
                                            $linkedin   = get_post_meta(get_the_ID(), 'quality_construction_linkedin', true);
                                            $instagram  = get_post_meta(get_the_ID(), 'quality_construction_instagram', true);
                                            ?>
                                                <div class="<?php if($active_slider!=1){ echo "col-md-3"; } ?>">
                                                    <div class="team-member1">
                                                        <?php
                                                        if (has_post_thumbnail())
                                                        {
                                                            $image_id  = get_post_thumbnail_id();
                                                            $image_url = wp_get_attachment_image_src($image_id, 'full', true);
                                                            ?>
                                                            <div class="team-member1-img-cont"><img src="<?php echo esc_url($image_url[0]); ?>" class="img-responsive" alt=""/>
                                                            </div>
                                                        <?php } ?>

                                                        <div class="team-member1-details">
                                                            <h4><?php the_title() ?></h4>
                                                            <p class="sub"><?php the_excerpt(); ?> </p>
                                                        </div>
                                                        <div class="my-member-social">
                            <ul>
                              <?php 
                                if(!empty($facebook))
                                {
                              ?>
                                <li>
                                    <a href="<?php echo esc_url($facebook); ?>" target="_blank"><i class="fa fa-facebook"></i></a>
                                </li>
                              <?php 
                               }
                               if(!empty($twitter))
                                {
                              ?>
                                <li>
                                    <a href="<?php echo esc_url($twitter); ?>" target="_blank"><i class="fa fa-twitter"></i></a>
                                </li>
                              <?php 
                                 } 
                              
                                                             
                            if(!empty($linkedin))
                                {
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($linkedin); ?>" target="_blank"><i class="fa fa-linkedin"></i></a>
                                </li>
                                <?php
                                 }
                              if(!empty($instagram))
                                {
                                ?>
                                <li>
                                    <a href="<?php echo esc_url($instagram); ?>" target="_blank"><i class="fa fa-instagram"></i></a>
                                </li>
                               <?php } ?> 
                            </ul>
                                    </div>
                                </div>
                            </div>
                        <?php
                        $i++;
                    }

                }
                wp_reset_postdata();
            }
                          if($active_slider==1)
                          { ?>
                              </div>
                        <?php } ?>
                            </div>
                        </div>
                    </section>

                    <?php
                    echo $args['after_widget'];
                }
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance = $old_instance;
            $instance['cat_id'] = (isset($new_instance['cat_id'])) ? absint($new_instance['cat_id']) : '';
            $instance['active_slider'] = isset($new_instance['active_slider']) ? '1':'0';
            return $instance;

        }

        public function form($instance)
        {
            $instance = wp_parse_args((array)$instance, $this->defaults());
            $quality_plus_selected_cat = absint( $instance['cat_id'] );
            $active_slider = absint( $instance[ 'active_slider' ] );
            ?>

            <p>
                <label
                    for="<?php echo esc_attr( $this->get_field_id('cat_id') ); ?>"><strong><?php esc_html_e('Select Category', 'quality-construction'); ?></strong></label><br/>
                <?php
                $quality_pro_dropown_cat = array(
                    'show_option_none' => esc_html__('Select Category For Team Section', 'quality-construction'),
                    'orderby'          => 'name',
                    'order'            => 'asc',
                    'show_count'       => 1,
                    'hide_empty'       => 1,
                    'echo'             => 1,
                    'selected'         => $quality_plus_selected_cat,
                    'hierarchical'     => 1,
                    'name'             => esc_attr( $this->get_field_name('cat_id') ),
                    'id'               => esc_attr( $this->get_field_name('cat_id') ),
                    'class'            => 'widefat',
                    'taxonomy'         => 'category',
                    'hide_if_empty'    => false,
                );
                wp_dropdown_categories($quality_pro_dropown_cat);
                ?>
            </p>
            <hr>
                        
            <p>
                <input class="widefat" id="<?php echo  esc_attr( $this->get_field_id( 'active_slider' ) ); ?>" name="<?php echo  esc_attr( $this->get_field_name( 'active_slider' ) ); ?>" type="checkbox" value="<?php echo esc_attr( $active_slider ); ?>" <?php checked( 1, esc_attr( $active_slider ), 1 ); ?>/>
                <label for="<?php echo  esc_attr( $this->get_field_id( 'active_slider' ) ); ?>"><strong><?php echo esc_html__( 'Check to active slider in team section' ,'quality-construction'); ?></strong></label>

            </p>
            <?php
        }
    }

}

add_action( 'widgets_init', 'quality_construction_our_team_widget' );
function quality_construction_our_team_widget()
{
    register_widget( 'Quality_Construction_Our_Team_Widget' );

}















