<?php
if (!class_exists('Quality_Construction_Recent_Post_Widget'))
{
    class Quality_Construction_Recent_Post_Widget extends WP_Widget
    {

        private function defaults()
        {

            $defaults = array(
                'cat_id'          => -1,
                'title'           => esc_html__('Recent Posts','quality-construction'),
                'sub-title'       => '',
                'read-more'       => 'Read More',
                'post_column'     => 3,
                'post_number'     => 3,
                'character_limit' => 20

            );
            return $defaults;
        }

        public function __construct()
        {
            parent::__construct(
                'quality-construction-recent-post-widget',
                esc_html__('Quality Construction Recent Post Widget', 'quality-construction'),
                array('description' => esc_html__('Quality Construction Recent Post Section', 'quality-construction'))
            );
        }

        public function widget($args, $instance)
        {

            if (!empty($instance)) {
                $instance        = wp_parse_args( (array ) $instance, $this->defaults() );
                echo $args['before_widget'];
                $catid           = absint( $instance['cat_id'] );
                $title           = apply_filters('widget_title', !empty($instance['title']) ? esc_html( $instance['title']): '', $instance, $this->id_base);
                $subtitle        =  esc_html( $instance['sub-title'] );
                $readmore        =  esc_html( $instance['read-more'] );
                $limit_character = absint( $instance['character_limit'] );
                $column_number   = absint( $instance['post_column'] );
                $post_number     = absint( $instance['post_number'] );
              ?>
                <section id="section14" class="section-margine">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="section-title">
                                    <?php
                                    if (!empty( $title ))
                                    {
                                        ?>
                                        <h2><?php echo $args['before_title'] . $title . $args['after_title']; ?></h2>
                                    <?php
                                    }
                                    if (!empty( $subtitle ))
                                    {
                                        ?>
                                        <h6><?php echo $subtitle; ?></h6>
                                    <?php
                                    }
                                    ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <?php
                            $i = 0;
                            $show_comments_option = esc_html(quality_construction_get_option( 'quality_construction_blog_show_comments_option'));
                            $show_author_option   = esc_html(quality_construction_get_option( 'quality_construction_blog_show_author_option'));
                            $show_date_option     = esc_html(quality_construction_get_option( 'quality_construction_blog_show_date_option'));
                            $sticky               = get_option( 'sticky_posts' );
                            if ($catid != -1)
                            {
                                $home_recent_post_section = array(
                                    'ignore_sticky_posts' => true,
                                    'post__not_in'        => $sticky,
                                    'cat'                 => $catid,
                                    'posts_per_page'      =>$post_number,
                                    'order'               => 'DESC'
                                );
                            } else
                            {
                                $home_recent_post_section = array(
                                    'ignore_sticky_posts' => true,
                                    'post__not_in'        => $sticky,
                                    'post_type'           => 'post',
                                    'posts_per_page'      => $post_number,
                                    'order'               => 'DESC'
                                );
                            }

                            $home_recent_post_section_query = new WP_Query($home_recent_post_section);

                            if ($home_recent_post_section_query->have_posts())
                            {
                                 if (2 == $column_number)
                                            {
                                                $quality_construction_column = "col-md-6";
                                            } elseif (3 == $column_number)
                                            {
                                                $quality_construction_column = "col-md-4";
                                            } elseif (4 == $column_number)
                                            {
                                                $quality_construction_column = 'col-md-3';
                                            }
                                            else
                                            {
                                                $quality_construction_column = 'col-md-12';
                                            }
                                while ($home_recent_post_section_query->have_posts())
                                {
                                    $home_recent_post_section_query->the_post();
                                    ?>
                                    <div class="<?php echo esc_attr($quality_construction_column); ?> <?php if($show_date_option!=1){ echo "no-date"; } ?>">
                                        <div class="section-14-box wow fadeInLeft <?php if ( !has_post_thumbnail() )
                                        {
                                            echo "no-image";
                                        } ?> " data-wow-delay="<?php echo esc_attr($i); ?>s">
                                         <?php 
                                            if($show_date_option==1)
                                             {
                                          ?>
                                            <div class="date">
                                                <span><?php echo esc_html( get_the_date('M') ); ?></span>
                                                - <?php echo esc_html( get_the_date('d') ); ?>
                                                <br>
                                                <span><?php echo esc_html( get_the_date('Y') ); ?></span>
                                            </div>
                                            <?php
                                            } 
                                            if (has_post_thumbnail())
                                            {
                                                $image_id = get_post_thumbnail_id();
                                                $image_url = wp_get_attachment_image_src($image_id, 'medium', true);
                                                ?>
                                              <a href="<?php the_permalink(); ?>">
                                                <img src="<?php echo esc_url($image_url[0]); ?>" class="img-responsive">
                                              </a>  
                                            <?php
                                            }
                                            ?>
                                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="text-left comments-bg">
                                                       <?php
                                                             if($show_author_option==1)
                                                             {
                                                           ?>
                                                        <span>
                                                            <i class="fa fa-user"></i>
                                                            <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?> ">
                                                                <?php the_author(); ?>
                                                            </a>
                                                        </span>
                                                        <?php } ?>
                                                         <?php quality_construction_blog_list() ?>
                                                        <span>
                                                            <?php if($show_comments_option==1) { ?>
                                                                <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a href="<?php comments_link(); ?>"><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a></div>
                                                            <?php } ?>
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                            <p><?php echo esc_html( wp_trim_words( get_the_content(), $limit_character ) ); ?></p>
                                            <?php if(!empty($readmore) )
                                            { ?>
                                            <a href="<?php the_permalink(); ?>" class="btn btn-primary">
                                                <?php echo $readmore;?>
                                            </a>
                                        <?php } ?>
                                        </div>
                                    </div>
                                    <?php
                                    $i++;
                                }
                            }
                            wp_reset_postdata();
                            ?>
                        </div>
                    </div>
                </section>
                <?php
                echo $args['after_widget'];
            }
        }

        public function update($new_instance, $old_instance)
        {
            $instance                    = $old_instance;
            $instance['cat_id']          = (isset( $new_instance['cat_id'] ) ) ? absint($new_instance['cat_id']) : '';
            $instance['title']           = sanitize_text_field( $new_instance['title'] );
            $instance['sub-title']       = sanitize_text_field( $new_instance['sub-title'] );
            $instance['read-more']       = sanitize_text_field( $new_instance['read-more'] );
            $instance['character_limit'] = absint( $new_instance['character_limit'] );
            $instance['post_number']     = absint( $new_instance['post_number'] );
            $instance['post_column']     = absint( $new_instance['post_column']);
            return $instance;

        }

        public function form( $instance )
        {
            $instance        = wp_parse_args( (array ) $instance, $this->defaults() );
            $catid           = absint( $instance['cat_id'] );
            $title           = esc_attr( $instance['title'] );
            $subtitle        =  esc_attr( $instance['sub-title'] );
            $readmore        =  esc_attr( $instance['read-more'] );
            $limit_character = absint( $instance['character_limit'] );
            $post_number     = absint($instance['post_number']);
            $column_number   = absint($instance['post_column']);
            ?>

            <p>
                <label for="<?php echo esc_attr($this->get_field_id('title')); ?>">
                    <strong><?php esc_html_e('Title', 'quality-construction'); ?></strong>
                </label><br/>
                <input type="text" name="<?php echo esc_attr( $this->get_field_name('title') ); ?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" value="<?php echo $title; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('sub-title') ); ?>">
                   <strong> <?php esc_html_e( 'Sub Title', 'quality-construction'); ?></strong>
                </label><br/>
                <input type="text" name="<?php echo esc_attr($this->get_field_name('sub-title')); ?>" class="widefat" id="<?php echo esc_attr( $this->get_field_id('sub-title') ); ?>" value="<?php echo $subtitle; ?>">
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('cat_id') ); ?>">
                   <strong> <?php esc_html_e('Select Category', 'quality-construction'); ?></strong>
                </label><br/>
                <?php
                $quality_con_dropown_cat = array(
                    'show_option_none' => esc_html__('From Recent Posts', 'quality-construction'),
                    'orderby'          => 'name',
                    'order'            => 'asc',
                    'show_count'       => 1,
                    'hide_empty'       => 1,
                    'echo'             => 1,
                    'selected'         => $catid,
                    'hierarchical'     => 1,
                    'name'             => esc_attr( $this->get_field_name('cat_id') ),
                    'id'               => esc_attr( $this->get_field_name('cat_id') ),
                    'class'            => 'widefat',
                    'taxonomy'         => 'category',
                    'hide_if_empty'    => false,
                );
                wp_dropdown_categories( $quality_con_dropown_cat );
                ?>
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('post_number')); ?>"><strong><?php esc_html_e('Number of Posts:', 'quality-construction'); ?></strong></label>
                <input class="widefat" id="<?php echo esc_attr($this->get_field_id('post_number')); ?>" name="<?php echo esc_attr($this->get_field_name('post_number')); ?>" type="number" value="<?php echo $post_number; ?>" min="1"/>
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr($this->get_field_id('post_column')); ?>"><strong><?php esc_html_e('Number of Columns:', 'quality-construction'); ?></strong></label>
                <?php
                $this->dropdown_post_columns(
                    array(
                        'id' => esc_attr($this->get_field_id('post_column')),
                        'name' => esc_attr($this->get_field_name('post_column')),
                        'selected' => $column_number
                    )
                );
                ?>
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('character_limit')); ?>"><strong><?php esc_html_e('Character Limit', 'quality-construction'); ?></strong></label><br/>
                <input type="number" name="<?php echo esc_attr( $this->get_field_name('character_limit')); ?>" class="quality-cons" id="<?php echo esc_attr( $this->get_field_id('character_limit')); ?>" value="<?php echo $limit_character ?>">
            </p>
            <hr>
            <p>
                <label for="<?php echo esc_attr( $this->get_field_id('read-more') ); ?>">
                   <strong> <?php esc_html_e( 'Read More Button Text', 'quality-construction'); ?></strong>
                </label><br/>
                <input type="text" name="<?php echo esc_attr($this->get_field_name('read-more')); ?>" class="widefat" id="<?php echo esc_attr( $this->get_field_id('read-more') ); ?>" value="<?php echo $readmore; ?>">
            </p>
            <?php
        }

        function dropdown_post_columns($args)
        {
            $defaults = array(
                'id'       => '',
                'name'     => '',
                'selected' => 0,
            );

            $r = wp_parse_args($args, $defaults);
            $output = '';

            $choices = array(
                2 => esc_html__('2', 'quality-construction'),
                3 => esc_html__('3', 'quality-construction'),
                4 => esc_html__('4', 'quality-construction'),
            );

            if (!empty($choices))
            {

                $output = "<select name='" . esc_attr($r['name']) . "' id='" . esc_attr($r['id']) . "'>\n";
                foreach ($choices as $key => $choice) {
                    $output .= '<option value="' . esc_attr($key) . '" ';
                    $output .= selected($r['selected'], $key, false);
                    $output .= '>' . esc_html($choice) . '</option>\n';
                }
                $output .= "</select>\n";
            }

            echo $output;
        }
    }
}
add_action('widgets_init', 'quality_construction_recent_post_widget');
function quality_construction_recent_post_widget()
{
    register_widget('Quality_Construction_Recent_Post_Widget');

}