<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
$quality_construction_breadcrump_option = quality_construction_get_option('quality_construction_breadcrumb_setting_option');
$quality_construction_designlayout = get_post_meta(get_the_ID(), 'quality_construction_sidebar_layout', true  );
$post_navigation_layout = quality_construction_get_option('quality_construction_navigation_option');
get_header();
$header_image = get_header_image();

if( $header_image ){
    $header_style = 'style="background-image: url('.esc_url( $header_image ).');background-size: cover;background-attachment: fixed;"';

} else{
    $header_style = '';
}
?>
<section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
    <div class="container">
        <div class="row">
            <div class="col-md-7">
                <h2><?php the_title(); ?></h2>
            </div>
            <?php
            if ($quality_construction_breadcrump_option == "simple")
            {
                ?>
                <div class="col-md-5">
                    <div class="breadcrumbs">
                        <?php
                        if('advanced' == $quality_construction_breadcrump_option)
                        {
                            if( function_exists('bcn_display'))
                            {
                                echo '<div id="quality-construction-breadcrumbs"><div class="breadcrumb-container">';
                                bcn_display();
                                echo "</div></div>";
                            }
                            else
                            {
                                breadcrumb_trail();
                            }
                        }
                        else{
                            breadcrumb_trail();
                        }
                        ?>
                    </div>
                </div>
            <?php } ?>
        </div>
    </div>
</section>
<section id="section14" class="section-margine">
    <div class="container">
        <div class="row">
            <div class="col-sm-<?php if ($quality_construction_designlayout == 'no-sidebar')
            {
                echo "12";
            } else {
                echo "9";
            } ?> col-md-<?php if ($quality_construction_designlayout == 'no-sidebar')
            {
                echo "12";
            } else
            {
                echo "9";
            } ?> left-block">
                <?php
                while (have_posts()) : the_post();
                    get_template_part('template-parts/content', 'single');

                    if($post_navigation_layout=="title-only")
                    {
                        the_post_navigation();
                    } elseif ($post_navigation_layout=="title-image")
                    { ?>
                        <div id="cooler-nav" class="navigation">
                            <?php $prevPost = get_previous_post(true);
                            if($prevPost) {?>
                                <div class="nav-box previous">
                                    <?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(100,100) );?>
                                    <?php previous_post_link('%link',"$prevthumbnail <p>%title</p>", TRUE); ?>
                                </div>

                            <?php } $nextPost = get_next_post(true);
                            if($nextPost) { ?>
                                <div class="nav-box next">
                                    <?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(100,100) ); ?>
                                    <?php next_post_link('%link',"$nextthumbnail <p>%title</p>", TRUE); ?>
                                </div>
                            <?php } ?>
                        </div><!--#cooler-nav div -->

                        <?php
                    }
                    else
                    {  ?>

                        <div id="cooler-nav" class="navigation only-image">
                            <?php $prevPost = get_previous_post(true);
                            if($prevPost) {?>
                                <div class="nav-box previous">
                                    <?php $prevthumbnail = get_the_post_thumbnail($prevPost->ID, array(100,100) );?>
                                    <?php previous_post_link('%link',"$prevthumbnail", TRUE); ?>
                                </div>

                            <?php } $nextPost = get_next_post(true);
                            if($nextPost) { ?>
                                <div class="nav-box next">
                                    <?php $nextthumbnail = get_the_post_thumbnail($nextPost->ID, array(100,100) ); ?>
                                    <?php next_post_link('%link',"$nextthumbnail", TRUE); ?>
                                </div>
                            <?php } ?>
                        </div><!--#cooler-nav div -->
                        <?php
                    }
                    /**
                     * quality_construction_related_posts hook
                     * @since Quality Construction 1.0.0
                     *
                     * @hooked quality_construction_related_posts
                     */
                    do_action('quality_construction_related_posts' ,get_the_ID() );
                    echo '<div class="comment-form-container wow fadeInLeft">';

                    // If comments are open or we have at least one comment, load up the comment template.
                    if (comments_open() || get_comments_number()) :
                        comments_template();
                    endif;

                    echo '</div>';
                endwhile; // End of the loop.
                ?>
            </div>
            <?php if ( $quality_construction_designlayout != 'no-sidebar')
            { ?>
                <div class="col-md-3">
                    <?php get_sidebar(); ?>
                </div>
        <?php } ?>
        </div>
    </div>
</section>
<?php
get_footer(); ?>
