<?php
/**
 * The template for displaying all pages
 * Template Name: Contact Us
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
get_header();
$header_image = get_header_image();

if( $header_image ){
	$header_style = 'style="background-image: url('.esc_url( $header_image ).');background-size: cover;background-attachment: fixed;"';

} else{
	$header_style = '';
}
$quality_construction_breadcrump_option = quality_construction_get_option('quality_construction_breadcrumb_setting_option');
$quality_construction_working_hours = quality_construction_get_option('quality_construction_working_hours_option');
$quality_construction_contact_info = quality_construction_get_option('quality_construction_contact_info_option');
$quality_construction_google_map_iframe = quality_construction_get_option('quality_construction_googlemap_option');

?>
	<section id="inner-title" class="inner-title"  <?php echo $header_style; ?>>
		<div class="container">
			<div class="row">
				<div class="col-md-8"><h2><?php the_title(); ?></h2>
				</div>
				<?php
				if ($quality_construction_breadcrump_option == "simple") {
					?>
					<div class="col-md-4">
						<div class="breadcrumbs">
							<?php
							if('advanced' == $quality_construction_breadcrump_option){
								if( function_exists('bcn_display')){
									echo '<div id="quality-construction-breadcrumbs"><div class="breadcrumb-container">';
									bcn_display();
									echo "</div></div>";
								}
								else{
									breadcrumb_trail();
								}
							}
							else{
								breadcrumb_trail();
							}
							?>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	</section>
	<section id="section16" class="section16">
	  <div class="container">
	    <div class="row">
	      <div class="col-md-6 wow fadeInLeft">
	        <?php 
	         	while ( have_posts() ) : the_post();

	        	   the_content();
	        	endwhile; // End of the loop.   
	        ?>
	      </div>
	      <div class="col-md-6 wow fadeInRight">
	        <div class="row">
	          <div class="col-md-6">
	            <div class="address"> 
	                <?php echo wp_kses_post($quality_construction_working_hours); ?>
	            </div>
	          </div>
	          <div class="col-md-6">
	            <div class="address"> 
	                <?php echo wp_kses_post($quality_construction_contact_info); ?>
	            </div>
	          </div>
	        </div>
	      </div>
	      <div class="col-md-12">
	        <?php 
	        	$allowed_html = array(
                'a' => array(
                    'href' => array(),
                    'title' => array(),
					'target' => array()

                ),
                'br' => array(),
                'em' => array(),
                'strong' => array(),
                'iframe' => array(
                    'align' => array(),
                    'frameborder' => array(),
                    'height' => array(),
                    'longdesc' => array(),
                    'marginheight' => array(),
                    'marginwidth' => array(),
                    'name' => array(),
                    'scrolling' => array(),
                    'src' => array(),
                    'srcdoc' => array(),
                    'width' => array(),
                ),
            );

	           echo wp_kses($quality_construction_google_map_iframe,$allowed_html); 
	           ?>
	      </div>
	    </div>
	  </div>
</section>
 <?php
get_footer();
