<?php
/**
 * Template part for displaying results in search pages
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */

$readme_text = quality_construction_get_option( 'quality_construction_read_more_text_blog_archive_option');
?>
<article id="post-<?php the_ID(); ?>" class="<?php echo esc_attr($column_option); ?>" <?php post_class(); ?>>
    <div   class="section-14-box wow fadeInUp <?php if(!has_post_thumbnail()) { echo "no-image"; } ?>">
       <?php if(!has_post_thumbnail())
        {  
           ?>
             <div class="date">
            <span><?php echo esc_html(get_the_date('M')) ?> 
            </span>- <?php echo esc_html(get_the_date('d')) ?><br><span><?php echo esc_html(get_the_date('Y')) ?></span>
           </div>
     <?php } 
         else
       {

       ?>
      <a href="<?php the_permalink(); ?>">
        <div class="post-date-thumb">
            <div class="date"><span><?php echo esc_html(get_the_date('M')) ?> </span>
                      - <?php echo esc_html(get_the_date('d')) ?><br><span><?php echo esc_html(get_the_date('Y')) ?></span>
            </div>
             <?php
             
            if(has_post_thumbnail()) {
                the_post_thumbnail($image_size_option, array('class' => 'img-responsive'));
            }
            ?>
        </div>
      </a>  
        <?php } ?>
        <div class="post-title-content <?php if(!has_post_thumbnail()) { echo "no-image-left"; } else { echo "yes-image-right"; } ?>">
            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <div class="row">
                <div class="col-md-12">
                    <div class="text-left comments-bg">
                        <span><i class="fa fa-user"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ) ); ?>"><?php the_author(); ?></a>
                        </span>
                        <?php quality_construction_blog_list() ?>
                        <span>
                            <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a href="<?php comments_link(); ?>"><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a></div>
                        </span>
                    </div>
                </div>
            </div>
            <?php
              the_excerpt();
            ?>

            <div class="row">
                <div class="col-md-12">
                    <?php
                    if(!empty($readme_text))
                    {
                    ?>
                      <div class="text-left"><a href="<?php the_permalink(); ?>" class="btn btn-primary"><?php  echo esc_html($readme_text); ?></a></div>
                   <?php } ?> 
                </div>
                <?php
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:','quality-construction'),
                    'after'  => '</div>',
                ) );
                ?>
            </div>
        </div>
    </div>
</article><!-- #post-## -->











