<?php
/**
 * Template part for displaying page content in page.php.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Canyon Themes
 * @subpackage Quality Construction
 */
$hide_show_feature_image=quality_construction_get_option( 'quality_construction_show_feature_image_single_option');
$hide_show_author_info= quality_construction_get_option( 'quality_construction_show_author_info_option');
$show_comments_option= quality_construction_get_option( 'quality_construction_hide_comment_option');
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="section-14-box wow fadeInUp <?php if(!has_post_thumbnail() || $hide_show_feature_image=='hide') { echo'no-image'; }?>">
        <div class="post-date-thumb">
            <div class="date">
                <span><?php echo esc_html( get_the_date('M') ); ?> - <?php echo  esc_html( get_the_date('d')); ?><br><?php echo esc_html( get_the_date('Y') ); ?></span>
            </div>

            <?php
            if(has_post_thumbnail() && $hide_show_feature_image=="show")
            {
                ?>
                <?php the_post_thumbnail( 'full' ); ?>

            <?php }
            ?>
        </div>
        <div class="post-title-content">
            <h3 class="clearfix"><?php the_title(); ?></h3>
            <div class="text-left comments-bg ">
                <span><i class="fa fa-user"></i><a href="<?php echo esc_url( get_author_posts_url(get_the_author_meta('ID')) ); ?> "><?php the_author(); ?></a></span>
                 <?php quality_construction_blog_list() ?>
                <span>
                    <?php if($show_comments_option==1) { ?>
                        <div class="comments"><i class="fa fa fa-comments" aria-hidden="true"></i><a href="<?php comments_link(); ?>"><?php comments_number( '0 comments', '1 comments', '% comments' ); ?></a></div>
                    <?php } ?>
                </span>
            </div>
            <div class="post-des">
                <?php the_content();
                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:','quality-construction' ),
                    'after'  => '</div>',
                ) );
                ?>
            </div>

            <footer class="entry-footer">
                <?php
                edit_post_link(
                    sprintf(
                    /* translators: %s: Name of current post */
                        esc_html__( 'Edit %s','quality-construction'),
                        the_title( '<span class="screen-reader-text">"', '"</span>', false )
                    ),
                    '<span class="edit-link">',
                    '</span>'
                );
                ?>
            </footer><!-- .entry-footer -->
           <div class="clearfix"></div>
            
        </div>
    </div>
     <!--author bio -->
    <?php
        if('show'== $hide_show_author_info )
        {
            get_template_part( 'template-parts/content', 'author' );
        }
    ?>
</article><!-- #post-## -->

